2008-10-31  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #558726 (patch by Frederic van Starbmann)

	* em-format-html.c (emfh_multipart_related_check):
	Fix a potential format string crash.

2008-10-31  Sankar P  <psankar@novell.com>

	** Patch by Bharath Acharya <abharath@novell.com> 

	* em-folder-tree.c (emft_popup):
	Disable delete and rename on 
	right click menu for the system folders 

2008-10-22  Matthew Barnes  <mbarnes@redhat.com>

	* mail-send-recv.c:
	* mail-send-recv.h:
	Just some minor code polishing.

2008-10-21  Sankar P  <psankar@novell.com>

	* em-folder-view.c (emfv_spin):
	Re-factor spinner usage	

2008-10-20  Patrick Ohly  <Patrick.Ohly@gmx.de>

	* mail-component.h: Fixed a build break.

2008-10-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #438155

	* message-list.h: (struct _MessageList):
	* message-list.c: (message_list_init), (message_list_finalise),
	(regen_list_done), (regen_list_free), (ml_regen_timeout),
	(mail_regen_cancel): Guard access to the 'regen' list with a lock.

2008-10-17  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #555276

	* mail/mail-vfolder.c: Don't load a vfolder as a sub folder.

2008-10-17  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #364542

	* em-utils.c: (struct TryOpenEBookStruct), (try_open_e_book_cb),
	(try_open_e_book), (em_utils_in_addressbook), (em_utils_contact_photo):
	Stop when camel operation has been canceled. Also check for
	cancellation when opening EBook, thus the UI (preview) will
	not freeze with slow address books.

2008-10-07  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #555203

	* mail-session.c: (get_password): Use the url value in cases where the 
	account goes NULL. Fixes the issue of Exchange not sending mails, 
	because it does not have a valid transport url to use.

2008-10-05  Sankar P  <psankar@novell.com>

	** Fix for bug #554349

	* mail/em-folder-browser.c:
	Expand threads and select messages,
	if user has given select-all.

2008-10-01  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #554418

	* em-utils.c: (em_utils_snoop_type):
	* em-popup.c: (emp_standard_menu_factory):
	Guess mime_type based on the filename only.

2008-10-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #554458

	* em-popup.c: (emp_standard_menu_factory):
	Use content-type to call of g_app_info_get_all_for_type.

2008-10-01  Sankar P  <psankar@novell.com>

License Changes

	* em-composer-utils.c:

2008-09-30  Philip Withnall  <philip@tecnocode.co.uk>

	** Fix for bug #545045

	* mail-send-recv.c (build_dialog): Don't show SMTP in the
	Send/Receive dialogue if there are no unsent mails.

2008-09-30  Sankar P  <psankar@novell.com>

License Changes

	* mail-ops.c:

2008-09-30  Sankar P  <psankar@novell.com>

	* mail/message-list.c:
	Remove unnecessary FIXME. 
	normalized columns are for internal manipulation.

2008-09-30  Sankar P  <psankar@novell.com>

	** Committed on behalf of Hans Petter Jansson  <hpj@novell.com>

	** Fix for bug #554107

	* message-list.c (get_trimmed_subject), (ml_tree_value_at):
	* message-list.etspec:
	* message-list.h:
	Add "Subject - Trimmed" column which enables to read 
	mailing list mails in a better way.

2008-09-29  Gabor Kelemen  <kelemeng@gnome.hu>

	* mail-config.glade: Mark some forgotten strings for translation. Fixes bug #553067

2008-09-29  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #530716

	* mail-session.c: (user_message_response), (user_message_exec),
	(user_message_response_free): Differentiate between response
	with valid message pointer and with one already freed.

2008-09-29  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #530691

	* em-folder-utils.c: (emfu_delete_rec), (emfu_delete_done),
	(emfu_delete_folders), (emfu_delete_response),
	(em_folder_utils_delete_folder):
	* mail-ops.h: (mail_remove_folder):
	* mail-ops.c: (mail_remove_folder), (struct _remove_folder_msg),
	(remove_folder_desc), (remove_folder_rec), (remove_folder_exec),
	(remove_folder_done), (remove_folder_free):
	Remove folders in its own thread, not in main thread.

2008-09-29  Sankar P  <psankar@novell.com>

License Changes

	* em-filter-i18n.h:
	* em-utils.c:
	* importers/mail-importer.c:
	* mail-config.c:
	* message-list.c:

2008-09-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #552583 (Suggested by Sebastian Keller)

	* mail-session.c: (get_password):
	Do not hide auth_mech from the URL.

2008-09-25  Philip Withnall  <philip@tecnocode.co.uk>

	** Fix for bug #552551

	* em-folder-browser.c (emfb_search_search_activated): Add a NULL
	check for search_word before calling strcmp.

2008-09-25  Sankar P  <psankar@novell.com>

License Changes

	* mail-folder-cache.c:

2008-09-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #313225

	* message-list.c: (struct states_pixmaps), (ml_tree_value_at),
	(message_list_create_extras): Show meeting icon in 'Attachment'
	column on messages with '$has_cal' user flag set.

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* em-folder-browser.c:

2008-09-24  Philip Withnall  <philip@tecnocode.co.uk>

	** Fixes bug #553479

	* em-migrate.c (migrate_to_db):
	* evolution-mail.schemas.in: String capitalisation improvements.

2008-09-23  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #553273

	* em-composer-utils.c: (em_utils_handle_receipt):
	* em-folder-view.c: (emfv_delete_msg_response):
	Always end e_error_run/e_error_new calls with NULL parameter.

2008-09-22  Luca Ferretti  <elle.uca@libero.it>

	* default/Makefile.am:
	* default/it/Inbox:
	* default/it/Makefile.am:
	Added Italian translation for default email message.

2008-09-22  Petr Kovar  <pknbe@volny.cz>

	* default/cs/Inbox: Added Czech translation of default email
	message by Jiri Eischmann.
	* default/cs/Makefile.am: Ditto.
	* default/Makefile.am: Ditto.

2008-09-21  Wadim Dziedzic  <wdziedzic@aviary.pl>

	* default/pl/Inbox: Updated Polish translation

2008-09-19  Gintautas Miliauskas  <gintas@akl.lt>

	* default/lt/Inbox: Updated Lithuanian translation.

2008-09-19  Sankar P  <psankar@novell.com>

License Changes

	* em-folder-tree-model.c:
	* em-folder-tree.c:
	* em-folder-view.c:
	* em-format-html-display.c:
	* em-format-html.c:
	* em-migrate.c:
	* mail-component.c:

2008-09-17  Gabor Kelemen  <kelemeng@gnome.hu>

	* default/hu/Makefile.am: Add this too

2008-09-17  Gabor Kelemen  <kelemeng@gnome.hu>

	* default/hu/Inbox: Default welcome mail translation added.
	* default/Makefile.am: Added hu

2008-09-16  Goran Rakić  <grakic@devbase.net>

        * default/Makefile.am:
        * default/sr/*, default/sr@latin/*: Added Serbian welcome message translation.

2008-09-16  Sankar P  <psankar@novell.com>

License Changes

	* em-account-editor.c:
	* em-account-prefs.c:
	* em-format.c:
	* em-message-browser.c:
	* em-popup.c:
	* em-subscribe-editor.c:
	* importers/pine-importer.c:
	* mail-mt.c:
	* mail-send-recv.c:

2008-09-16  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* default/nl/Inbox: Updated Dutch translation by Tino Meinen.

2008-09-16  Ilkka Tuohela <hile@iki.fi>

	* default/fi/Inbox: Updated Finnish default mailbox.

2008-09-16  Claude Paroz  <claude@2xlibre.net>

	* default/fr/Inbox: Updated French translation.

2008-09-15  Daniel Nylander <po@danielnylander.se>

	* default/sv/Inbox: Updated Swedish translation.

2008-06-22  Sankar P <psankar@novell.com>

	* Committed on behalf of Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #539536

	* em-format.c: (struct default_headers):
	* em-format-html.c: (efh_format_headers):
	* em-format-html.c: (default_headers):
	Add "Face" header to default headers and allow it to be hidden.

2008-09-14  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #504767

	* em-folder-tree.c: (emft_expand_node):
	Expand also parent nodes, if necessary.

2008-09-14  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #551915

	* em-junk-hook.c: (struct manage_error_idle_data), (free_mei),
	(manage_error_idle), (manage_error):
	Manage error on idle, to call gtk functions in the main thread.

2008-09-12  Sankar P  <psankar@novell.com>

License Changes

	* em-icon-stream.c:
	* em-mailer-prefs.c:
	* em-mailer-prefs.h:
	* em-network-prefs.c:
	* em-network-prefs.h:
	* importers/evolution-mbox-importer.c:

2008-09-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #534039

	* mail-vfolder.c: (vfolder_load_storage): Load store to mail component
	first, to have all notifications registered in time of adding rules.
	* mail-folder-cache.c: (real_flush_updates): Dropped unnecessary and
	offending code causing infinite loops when deleting search folder.

2008-09-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #493298

	* em-format-html-display.c: (efhd_image): Do not try to access widget
	of the pury when the operation has been cancelled.

2008-09-08  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #328216

	* mail-send-recv.h: (mail_autoreceive_init):
	* mail-send-recv.c: (mail_autoreceive_init):
	* mail-component.c: (mail_component_init): Pass 'session' as parameter
	to the 'mail_autoreceive_init' to not create two MailComponents.
	* mail-component.c: (impl_finalize): Do not free pointer twice.
	* mail-component.c: (impl_finalize), (impl_quit): Call shutdown in time
	of quit to shutdown camel, which will store changes in 'camel-cert.db'.

2008-09-05  Srinivasa Ragavan  <sragavan@novell.com>

	* mail-folder-cache.c (real_flush_updates): Fix infinite loop on
	deleting vfolders.

2008-09-04  Sankar P  <psankar@novell.com>

License Changes

	* em-composer-prefs.c:
	* em-event.c:
	* em-folder-properties.c:
	* em-folder-selection-button.c:
	* em-vfolder-rule.c:
	* em-vfolder-rule.h:
	* mail-config.h:
	* mail-session.c:

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* e-searching-tokenizer.c:
	* em-account-editor.h:
	* em-composer-prefs.h:
	* em-config.c:
	* em-config.h:
	* em-filter-context.c:
	* em-filter-editor.c:
	* em-filter-rule.c:
	* em-filter-source-element.c:
	* em-filter-source-element.h:
	* em-folder-tree-model.h:
	* em-folder-utils.c:
	* em-folder-utils.h:
	* em-folder-view.h:
	* em-format-hook.c:
	* em-format-html-print.h:
	* em-format-quote.h:
	* em-icon-stream.h:
	* em-inline-filter.c:
	* em-junk-hook.c:
	* em-menu.c:
	* em-migrate.h:
	* em-stripsig-filter.h:
	* em-sync-stream.c:
	* em-utils.h:
	* em-vfolder-editor.h:
	* importers/elm-importer.c:
	* mail-autofilter.c:
	* mail-autofilter.h:
	* mail-component-factory.c:
	* mail-component.h:
	* mail-config-factory.h:
	* mail-crypto.c:
	* mail-crypto.h:
	* mail-folder-cache.h:
	* mail-mt.h:
	* mail-ops.h:
	* mail-send-recv.h:
	* mail-session.h:
	* mail-signature-editor.c:
	* mail-tools.c:
	* mail-tools.h:
	* mail-vfolder.c:
	* mail-vfolder.h:
	* message-list.h:

2008-09-01  Matthew Barnes  <mbarnes@redhat.com>

	* em-composer-utils.c (edit_message):
	Don't mix declarations and code.

2008-09-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #543135

	* em-format-html-display.c: (efhd_format_optional):
	Write error message to the right stream.
	* message-list.c: (mail_regen_list), (regen_list_done): Do not try
	to set information message to the message list when it's not visible.

2008-09-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #534039

	* mail-folder-cache.c: (real_flush_updates): Make sure search folder's
	unread count will be tracked properly in a tree even before the folder
	is opened in the UI. (The previous patch for this bug made this issue.)

2008-09-01  Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #549661

	* em-folder-tree.c: (emft_drop_async__exec): Use
	em_utils_selection_get_urilist() for DND_DROP_TYPE_TEXT_URI_LIST (and
	not em_utils_selection_get_mailbox()).

2008-08-31  Matthew Barnes  <mbarnes@redhat.com>

	** Fix bug #544430

	* em-folder-properties.c (emfp_get_folder_item):
	Better formed translatable strings for quota usage.

2008-08-30  Srinivasa Ragavan  <sragavan@novell.com>

	* mail/mail-component.c: Disable flag upsync. I need to implement it
	more intelligently.

2008-08-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #509647

	* em-folder-utils.c: (emft_copy_folders__exec):
	* mail-ops.c: (fetch_mail_exec), (send_queue_exec):
	Do not expunge folder when something goes wrong.

2008-08-27  Philip Withnall  <philip@tecnocode.co.uk>

	** Fix for bug #534762

	* evolution-mail.schemas.in:
	* mail-config.glade: Change "addressbook" to "address book" in
	translatable strings.

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* e-searching-tokenizer.h:
	* em-account-prefs.h:
	* em-composer-utils.h:
	* em-event.h:
	* em-filter-context.h:
	* em-filter-editor.h:
	* em-filter-folder-element.c:
	* em-filter-folder-element.h:
	* em-filter-rule.h:
	* em-folder-browser.h:
	* em-folder-properties.h:
	* em-folder-selection-button.h:
	* em-folder-selection.c:
	* em-folder-selection.h:
	* em-folder-selector.c:
	* em-folder-selector.h:
	* em-folder-tree.h:
	* em-format-hook.h:
	* em-format-html-display.h:
	* em-format-html-print.c:
	* em-format-html.h:
	* em-format-quote.c:
	* em-format.h:
	* em-html-stream.c:
	* em-html-stream.h:
	* em-inline-filter.h:
	* em-junk-hook.h:
	* em-menu.h:
	* em-message-browser.h:
	* em-popup.h:
	* em-search-context.c:
	* em-search-context.h:
	* em-stripsig-filter.c:
	* em-subscribe-editor.h:
	* em-sync-stream.h:
	* em-vfolder-context.c:
	* em-vfolder-context.h:
	* em-vfolder-editor.c:
	* importers/mail-importer.h:
	* mail-config-factory.c:
	* mail-signature-editor.h:
	* mail-types.h:
	* message-tag-editor.c:
	* message-tag-editor.h:
	* message-tag-followup.c:
	* message-tag-followup.h:

2008-08-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #546926

	* mail-session.c (mail_session_shutdown):
	New function simply calls camel_shutdown().

	* mail-component.c (impl_finalize):
	Call mail_session_shutdown().

2008-08-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #508732

	* mail-component.c (impl_createView):
	Add a "select_item" argument for crash recovery, which we forward
	to EMFolderBrowser as a "suppress_message_selection" flag.

	* em-folder-browser.c (emfb_set_folder):
	Suppress automatic message selection if we are recovering from a
	crash.

2008-08-16  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #513363

	* default/C/Inbox:
	Remove the outdated "New Features" list, and well as the incorrect
	"Evolution team" email address.

2008-08-14  Sebastien Bacher  <seb128@ubuntu.com>

	** Fix for bug #547805

	* em-popup.c: (emp_standard_menu_factory): 
	don't filter applications using g_app_info_should_show()

2008-08-13  Moritz Mertinkat  <moritz@mertinkat.net>

	* em-format-html.c: Added meaningful user agent for HTTP requests
	used to load remote images. The original part (CamelHttpStream/1.0)
	has been kept for backward compatibility.

2008-08-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #519292

	* message-list.c: (read_boolean_with_default),
	(message_list_construct): Read 'thread_expand' and 'thread_latest'
	safely with TRUE as default if key doesn't exist.

2008-08-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #546892

	* em-folder-browser.c:
	* em-format-html-display.c:
	* mail-send-recv.c:
	* message-tag-followup.c:
	Prefer gtk_image_new_from_icon_name() over e_icon_factory_get_image().

	* mail-send-recv.c:
	* message-tag-followup.c:
	Prefer gtk_window_set_icon_name() over gtk_window_set_icon_list().

	* mail-mt.c:
	e_activity_handler_cancelable_operation_started() no longer takes a
	GdkPixbuf.  It was ignoring the pixbuf anyway ever since we added a
	spinner icon.

2008-08-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #519292

	* message-list.c: (load_tree_expand_all): Drop function.
	* message-list.c: (regen_list_done): Rather use desired expanded state
	value when creating the tree instead of the default model's value for
	this to have 'expand/collapse all' commands work better and quicker.

2008-08-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #352695

	* message-list.c: (struct _MessageListPrivate), (save_tree_state),
	(load_tree_state), (on_model_row_changed), (message_list_init),
	(message_list_construct), (struct _regen_list_msg), (regen_list_done),
	(regen_list_free), (mail_regen_list): Be able to recognize whether
	there has been any change on any row in a list and save expanded
	state only in case there was any change. Also use in-memory storing
	of the expanded state in case we do not want to rewrite full view
	It's for searches only, and it's not stored between sessions.

2008-08-11  Srinivasa Ragavan  <sragavan@novell.com>

	** Part fix for bug #529743

	* searchtypes.xml: Support Subject or Recipients contain search.

2008-08-11  Srinivasa Ragavan  <sragavan@novell.com>

	* mail/message-list.c: Don't use uninitialized exception. It leads to
	freeing uninitialized memory.

2008-08-07  Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #546788

	* em-folder-view.c: "/commands/ViewNormal" isn't actually used. It is
	probably a leftover from a previous way of setting the formatting
	style. It can be removed. Related cleanups.

2008-08-06  Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #546668

	* em-format-html.c: Drop a (pointless) define used only once.
	* em-format-html-display.c: Drop one unused define.

2008-08-07  Matthew Barnes  <mbarnes@redhat.com>

	* em-format.c (emf_format_secure):
	* em-format-html-display.c (efhd_xpkcs7mime_add_cert_table):
	Use CamelDList instead of EDList.

2008-08-06  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #249844

	* em-event.h: (struct _EMEventTargetCustomIcon): Declare 'folder_name'
	as const char * to let compiler happy; no copy of the pointer anyway.
	* mail-component.c: (impl__get_userCreatableItems):
	Do not let compiler claim.

2008-08-05  Srinivasa Ragavan  <sragavan@novell.com>

	* mail/message-list.c: Fix a performance issue, where we can just go
	by the presence than the exact count.

2008-08-04  Matthew Barnes  <mbarnes@redhat.com>

	* em-migrate.c (migrate_to_db):
	* em-network-prefs.c (notify_proxy_type_changed),
	(widget_entry_changed_cb):
	* em-subscribe-editor.c (sub_fill_level), (sub_queue_fill_level),
	(sub_row_expanded):
	* mail-vfolder.c:
	Use G_STRLOC or G_STRFUNC instead of deprecated
	G_GNUC_PRETTY_FUNCTION.

2008-08-04  Paul Bolle <pebolle@tiscali.nl>

	** Fix for bug #543058

	* em-folder-properties.c (emfp_dialog_got_folder_quota):
	* mail-component.c (view_changed): Replace three occurrences of
	INBOX in the GUI code with Inbox. INBOX is a written in all caps
	because that is the way it is used in the IMAP protocol. There's
	little reason to use it in the GUI. Inbox is properly capitalized and
	can be localized too.

2008-08-04  Paul Bolle  <pebolle@tiscali.nl>

	** Further fix for bug #539268

	* em-format.c (em_format_describe_part): Do not append description 
	if it is just an empty string.

2008-08-04  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #249844

	* em-folder-tree.c (render_display_name):
	* mail-component.c (impl__get_userCreatableItems):
	Use C_() macro instead of Q_() macro. 
	Use fully qualified names for "New" submenu entries. 

2008-08-04  Paul Bolle  <pebolle@tiscali.nl>

	** Fixes bug #537088

	* em-format-html.c: (efh_format_headers): Break out of the loop rather
	that return from this function when running into an empty From: or
	Sender: header.

2008-08-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #514006

	* apps-evolution-mail-notification.schemas.in:
	Quote literal values.

2008-08-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #544859

	* evolution-mail.schemas.in:
	Clarify description of "sync_interval" key.

2008-08-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #545820

	* mail-ops.c (save_messages_desc): Fix a typo. (Nicolas Kaiser)

2008-07-31  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #545436

	* mail/message-list.c: Check the info before accessing it.

2008-07-30  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #500389

	* em-account-editor.c: (emae_option_options_changed),
	(emae_option_options), (emae_receive_options_extra_item):
	New ability to define Options (ComboBox) in provider's options.

2008-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	* mail/em-folder-tree.c: Kill a compilation warning.

2008-07-28  Lucian Langa  <lucilanga@gnome.org>

	* mail/mail-config.glade:
	Corrected string "Prompt on sending HTML.."

2008-07-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #543532

	* em-folder-tree-model.c: (em_folder_tree_model_remove_store_info):
	Let free memory when we are done with it, not before.

2008-07-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #256540

	* mail-dialogs.glade: (message_security_dialog):
	Do not use GtkNotebook with only one tab.

2008-07-28  Lucian Langa  <lucilanga@gnome.org>

	* mail/mail-config.glade:
	** See bug #504417: Preferences windows
	cut off

2008-07-28 Jeff Cai <jeff.cai@sun.com> 

	* em-migrate.c: (migrate_to_db):
	* em-network-prefs.c: (notify_proxy_type_changed),
	(widget_entry_changed_cb):
    Use G_GNUC_PRETTY_FUNCTION instead of __PRETTY__FUNCTION

2008-07-27  Lucian Langa <lucilanga@gnome.org>

	* mail/em-event.h (struct _EMEventTargetCustomIcon):
	* mail/em-event.c (em_event_target_new_custom_icon):
	* mail/em-folder-tree.c (render_pixbuf):
	** See bug #544969: Added the hook for folder
	custom icon.

2008-07-28  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #543411

	* mail/em-folder-tree-model.c: Dont load known folders.
	* mail/em-folder-tree.c: Move iter to the last entry.

2008-07-25  Srinivasa Ragavan  <sragavan@novell.com>

	* mail/em-folder-browser.c: Make show unread/etc work well.

2008-07-24  Sankar P  <psankar@novell.com>

	* em-folder-browser.c (get_view_query):
	Search by Labels.

2008-07-24  Srinivasa Ragavan  <sragavan@novell.com>

	* mail/em-folder-browser.c: Revert Sankar's search hacks.

2008-07-22  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #544022

	* e-searching-tokenizer.c: (dump_trie):
	Define function only when required. (Compiler warning cleanup.)

2008-07-21  Tor Lillqvist  <tml@novell.com>

	* em-migrate.c: Rearrange G_OS_WIN32 ifdefs a bit, as we need to
	compile more of this file to support upgrade attempts from 2.12
	and later.
	(migrate_folders): Guard against camel_store_get_folder()
	returning NULL, which happened at least for me. It was for a
	partially broken GroupWise folder structure on disk, so that is a
	case of garbage in--garbage out I guess, but it can't hurt to be
	careful...

2008-07-21  Bharath Acharya  <abharath@novell.com>

	Fixed some compiler warnings for Templates specific hunk.

	* em-composer-utils.c: (edit_message):

2008-07-20  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #200147
	Added basic Template support

	* em-composer-utils.c (edit_message), (em_utils_edit_message): Modified 
	to suit it better for plugins to use it. And added support for template 
	placeholders to be replaced in the messages.
	* em-composer-utils.h:
	* em-folder-tree.c (is_special_local_folder):
	* em-folder-utils.c (emfu_is_special_local_folder):
	* em-folder-view.c (em_folder_view_open_selected):
	* em-utils.c (em_utils_folder_is_templates):
	* em-utils.h:
	* mail-component.c:
	* mail-component.h:

2008-07-16  Sankar P  <psankar@novell.com>

	Pushing disk summary changes from the madagascar branch

	* em-folder-browser.c (get_view_query):
	* em-folder-view.c (emfv_enable_menus):
	* mail-ops.c (refresh_folder_exec):
	* message-list.c (regen_list_exec):

2008-07-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #269152

	* em-format-quote.c: (emfq_format_header):
	* em-format-html.c: (efh_format_headers):
	Use X-MimeOLE as Mailer header when there's nothing better available.

2008-07-09  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #228725

	* message-list.c: (mail_regen_list): Update empty message on regen.

2008-07-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #207802 (Patch suggested by Veerapuram Varadhan.)

	* message-list.c: (struct search_child_struct), (search_child_cb),
	(is_tree_widget_children), (ml_tree_drag_motion): Do not allow drop
	messages to the same message list as is the source. Also do not
	allow drop over message list if it doesn't have set a folder.

2008-07-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #541365

	* message-list.c: (message_list_get_uids), (message_list_get_selected):
	Do not call 'camel_folder_sort_uids' when we do not have folder or uid.

2008-07-02  Jeffrey Stedfast  <fejj@novell.com>

	Sort the uids so that moving/copying messages preserves mailbox
	ordering rather than jumbled randomness.

	* message-list.c (message_list_get_uids): Sort the uids.
	(message_list_get_selected): Same.

2008-06-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #540160

	* message-list.h: (struct _MessageList):
	* message-list.c: (message_list_init), (on_cursor_activated_cmd),
	(on_selection_changed_cmd): Remember whether we come from none/multi
	select to single select and properly update the preview.
	(Reverting patch for bug #337160 and doing that with other approach.)

2008-06-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #537275

	* em-html-stream.c: (emhs_cleanup): Close GtkHTMLStream on cancel.
	* em-html-stream.c: (emhs_gtkhtml_destroy): Set the cancel.
	* em-sync-stream.c: (emss_process_message):
	Do not pass data to the child structure if we were canceled.

2008-06-21  Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #539268

	* em-format.c: (em_format_describe_part): do not use both filename
	and description if these are identical.

2008-06-21  Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #538741

	* em-format-html.c: (efh_format_header):
	Strip preceding tabs from Date headers too.

2008-06-21  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #537725

	* em-composer-utils.c (save_draft_done):
	Set the autosaved flag so we don't get pestered with a save dialog
	if the user then decides to close the composer window.

2008-06-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #534039

	* em-folder-tree-model.h: (em_folder_tree_model_signal_block):
	* em-folder-tree-model.c: (em_folder_tree_model_signal_block):
	Removed obsolete function.
	* mail-vfolder.c: (vfolder_load_storage):
	Add storage to the tree model when everything is loaded, thus
	everything will be shown when enabling the Search Folders on demand.
	Also ensure the Search Folders to be enabled next start.
	* mail-vfolder.c: (mail_vfolder_add_uri), (mail_vfolder_delete_uri):
	Track folders even when Search Folders disabled, to have them
	known when enabling Search Folders on demand.

2008-06-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #382783

	* em-filter-rule.c: (do_grab_focus_cb), (more_parts), (get_widget):
	Grab focus of new rule part on adding and scroll to the bottom too.

2008-06-18  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #423395

	* em-format-html.c: (efh_init), (efh_text_plain), (efh_text_enriched),
	(efh_text_html), (efh_message_deliverystatus): Put the anchor where
	the message body begins and let GtkHTML know the anchor name to place
	the cursor there in caret mode on the first focus.

2008-06-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #532472

	* mail-config.c (mail_config_get_account_by_transport_url):
	Strip the account URL (via CAMEL_URL_HIDE_ALL) before comparing
	it to the already-stripped 'transport_url', to avoid unnecessary
	password prompts.

2008-06-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #467892

	* message-list.h: (struct _MessageList), (message_list_ensure_message):
	* message-list.c: (message_list_init), (message_list_finalise),
	(message_list_ensure_message), (regen_list_exec), (regen_list_done):
	Be able to set a message uid to keep in a list after regeneration.
	* em-folder-view.c: (em_folder_view_open_selected):
	Inherit search criteria and ensure keeping the selected message
	in the view even it may not belong to the filter anymore.

2008-06-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #337160

	* message-list.c: (on_cursor_activated_cmd): Do not pretend the row
	with a cursor is selected when it isn't. Also take care of multiselect.
	* message-list.c: (on_selection_changed_cmd):
	Do not pretend the row with a cursor is selected when it isn't.

2008-06-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #538002

	* em-folder-tree.c: (emft_drop_target): Do not allow dropping messages
	on folders with CAMEL_FOLDER_NOSELECT flag set.

2008-06-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #314467

	* em-account-editor.c: (emae_url_set_hostport):
	Reset port when setting host name without it.

2008-06-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #535791

	* mail-config.glade:
	* em-composer-prefs.c: (em_composer_prefs_construct):
	New UI option to let uset choose whether start typing at the bottom
	of the document or not on replying.
	* em-utils.h: (em_utils_message_to_html):
	* em-utils.c: (em_utils_message_to_html):
	* em-composer-utils.c: (forward_non_attached), (composer_set_body):
	Take care of /apps/evolution/mail/composer/reply_start_bottom.

2008-06-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #201011

	* em-filter-editor.c: (em_filter_editor_construct):
	Show Enabled column in the editor, because we support it here.
	* mail-session.c: (main_get_filter_driver): Skip disabled rules.

2008-06-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #536772

	* em-folder-browser.c: (EMFolderViewEnable emfb_enable_map):
	Disable Folder menu items consistently with a popup menu over folder.

2008-06-06  Matthew Barnes  <mbarnes@redhat.com>

	* evolution-mail.schemas.in: Fix a typo.

2008-06-05  Matthew Barnes  <mbarnes@redhat.com>

	* message-tag-followup.c:
	Never undefine DISABLE_DEPRECATED macros in source code.
	Yes, it will break the build if it's defined.  That's the point!

2008-06-02  Jacob Brown  <jeblinux@gmail.com>

	** Fix for bug #529464

	* em-format-html-display.c: (efhd_format_optional): Do not use "handle"

2008-06-02  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #535749

	* message-list.c: (regen_list_exec): Use better condition whether
	keep cursor_uid in the message list or not on regeneration.

2008-06-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #531836

	* em-folder-view.c:  Added bonobo accel key for Ctrl+D, Del to keep
	working on deleted mails, but not the toolbar/menu

2008-06-02  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #525966

	* em-composer-utils.c: (composer_set_no_change):
	New helper function to set composers state properly to "no change".
	* em-composer-utils.c: (em_utils_compose_new_message),
	(em_utils_compose_new_message_with_mailto), (em_utils_post_to_folder),
	(em_utils_post_to_url), (edit_message), (forward_attached),
	(forward_non_attached), (em_utils_redirect_message),
	(em_utils_reply_to_message), (post_reply_to_message):
	Use the above helper function.
	* em-composer-utils.c: (reply_get_composer), (composer_set_body):
	Do not drop undo in the editor multiple times, do that only once.

2008-06-02  Lucian Langa  <lucilanga@gnome.org>

	** Fix for bug #535689

	* mail-send-recv.c: (build_dialog): Transmit
	gd data to hook's event target data

2008-06-02  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #534312

	* em-composer-utils.c: (create_new_composer),
	(em_utils_compose_new_message), (struct forward_attached_data),
	(real_update_forwarded_flag), (update_forwarded_flags_cb),
	(composer_destroy_fad_cb), (setup_forward_attached_callbacks),
	(forward_attached), (forward_attached_cb), (em_utils_forward_attached),
	(forward_non_attached), (forward_quoted), (em_utils_forward_message):
	Set new CAMEL_MESSAGE_FORWARDED flag on forwarded messages.
	* message-list.c: (ml_value_to_string), (message_list_create_extras),
	(ml_tree_value_at), (create_composite_cell), (struct states_pixmaps):
	Draw mail-forward icon on forwarded messages.

2008-05-30  Lucian Langa  <lucilanga@gnome.org>

	** Fix for bug #535670

	* em-format-quote.c: (type_builtin_table):
	Add x-evolution/evolution-feed-rss as internal mime
	for evolution-rss artiles.
	* em-format.c: (em_format_is_attachment): prevent
	evolution-rss articles being formatted as attachments.

2008-05-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #317755

	* mail-send-recv.c: (refresh_folders_exec):
	* mail-ops.c: (refresh_folder_desc):
	Also sync with a server when refreshing folder.
	* evolution-mail.schemas.in:
	* mail-config.h: (mail_config_get_sync_timeout):
	* mail-config.c: (mail_config_get_sync_timeout):
	Use int value of /apps/evolution/mail/sync_interval where is set
	how often propagate local changes to server.
	* mail-component.c: (struct _MailComponentPrivate), (impl_dispose),
	(mc_sync_store_done), (mc_sync_store), (call_mail_sync),
	(mail_component_init): Upload local changes to server on some interval.
	* mail-component.c: (impl_quit):
	Do not quit until we are done with mail sync.

2008-05-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #322553

	* mail-config.h: (mail_config_scripts_disabled):
	* mail-config.c: (struct MailConfig), (mail_config_init),
	(mail_config_scripts_disabled): New helper function.
	* em-composer-prefs.c: (sig_load_preview):
	Write to html stream at least one character.
	* em-composer-prefs.c: (em_composer_prefs_construct): Disable
	signature's Add Script button when not approved running scripts.
	* mail-config.c: (mail_config_get_gconf_client): Ensure init.
	* mail-config.c: (mail_config_signature_run_script): Do not run
	script when disabled in /desktop/gnome/lockdown/disable_command_line.

2008-05-23  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534476

	* em-utils.c (em_utils_snoop_type):
	* em-popup.c (emp_standard_menu_factory):
	Remove the special check for "winmail.dat".  GIO correctly
	identifies it as "application/ms-tnef".

2008-05-23  Srinivasa Ragavan  <sragavan@novell.com>

	* mail-mt.c: (mail_msg_check_error): Convert the the warning to a
	message.

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	* em-format-html.c (efh_message_external):
	Fix a typo in checking for an empty 'mode' string.

	* message-list.c (subtree_size):
	Remove this function.  Looks like it hasn't been used in years.

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534360

	* em-account-prefs.h:
	* em-filter-editor.c:
	* em-filter-editor.h:
	* em-folder-selector.h:
	* em-format-html-display.c:
	* em-mailer-prefs.c:
	* em-mailer-prefs.h:
	* em-utils.c:
	* em-vfolder-editor.c:
	* em-vfolder-editor.h:
	* em-vfolder-rule.c:
	* mail-vfolder.c:
	* meessage-tag-editor.h:
	* message-list.h:
	* message-tag-followup.h:
	Migrate from deprecated GtkObject symbols to GObject equivalents.

2008-05-19  Matthew Barnes  <mbarnes@redhat.com>

	* message-list.c (regen_list_done):
	Use a bit more direct English when informing the user of no messages
	in the currently selected folder.

2008-05-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #533465, patch from Ritesh Khadgaray

	* em-account-editor.c (emae_url_set_hostport):
	Strip whitespace from user-entered hostname.

2008-05-19  Srinivasa Ragavan  <sragavan@novell.com>

	* mail/em-folder-view.c: Make non junk learn work again.

2008-05-16  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #514383

	* mail.error.xml: Remove the "ask-mark-read" error.

2008-05-14  Jeffrey Stedfast  <fejj@novell.com>

	Needed so that IMAP4 can allow users to configure cache
	expiration per-folder.

	* em-folder-properties.c (emfp_get_folder_item): Add support for
	CAMEL_ARG_INT and CAMEL_ARG_DBL.
	(emfp_commit): Same.

2008-05-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #463040, Patch by Milan Crha

	* em-folder-browser.c (emfb_list_message_selectedi), (emfb_set_folder):
	Forget former selected uid as soon as we know we moved to other.

2008-05-09  Sankar P  <psankar@novell.com>

	** Fix for bug #531519

	* em-format-html-display.c: (efhd_message_update_bar):
	Evolution crashes on print-preview.

	** Committed on behalf of Srinivasa Ragavan <sragavan@novell.com>

2008-05-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #424744

	* em-composer-prefs.c:
	* em-format-html.c:
	* em-format-quote.c:
	* em-mailer-prefs.c:
	Use camel-iconv.c instead of e-iconv.h (now deprecated).

2008-05-06  Matthew Barnes  <mbarnes@redhat.com>

	* mail-component.c (mail_component_show_logger):
	Use the GtkCellRendererText's "markup" property for error messages.

2008-05-05  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #531426

	* em-format-html.c (efh_format_headers):
	Display face header images at 48x48 instead of 64x64.
	Patch from Roland Clobus.

2008-05-04  Matthew Barnes  <mbarnes@redhat.com>

	* mail-component.c (mail_component_show_logger):
	Fix up the Debug Logs window a bit:
	- Add a Close button.
	- Fix some spacing issues (HIG compliance).
	- Just show the log level icon.  Add a tooltip for the icon showing
	  a description of the log level (Error/Warning/Debug).  Also, avoid
	  using e-icon-factory.  Set the GtkCellRendererPixbuf's "stock-id"
	  and "stock-size" properties instead.
	- Use GConfBridge to track the user's log level preference.

2008-04-30  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #528288

	* em-folder-browser.c: (emfb_init), (em_folder_browser_show_wide):
	Ensure minimum size for preview and message list.
	* em-folder-browser.c: (get_view_query):
	Distinguish between no filter and custom filter.
	* message-list.c: (regen_list_done):
	Set info message to tree when no message shown in a list.

2008-04-30  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #530245

	* searchtypes.xml: Let searches work with labels again.

2008-04-30  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #467892

	* em-folder-view.c: (em_folder_view_open_selected):
	Do not inherit search filters when opening messages in new window.
	* message-list.c: (regen_list_exec):
	If we are called from folder_changed even, then keep the actually
	selected message so it will not disappear when user reads it and
	it doesn't belong to actual filter anymore.

2008-04-30  Shuai Liu  <shuai.liu@sun.com>

	** Fix for bug #530672
	Evolution crashes when viewing pgp-signed message

	* em-format-html-display.c: Modify the array of smime_sign_colour 
	from 4 to 5 to ensure the input by data-server is right

2008-04-29  Milan Crha  <mcrha@redhat.com>

	* em-utils.c: (em_utils_snoop_type):
	Fixes compiler warning (unused variable).

2008-04-29  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #511337

	* em-format-html.h: (EMFormatHTMLState), (struct _EMFormatHTML):
	* em-format-html.c: (efh_init), (efh_format_done),
	(efh_format_timeout): Track state of the object to recognize
	whether rendering new content or doing nothing.
	* em-format-html-display.c: (efhd_can_process_attachment),
	(efhd_attachment_show), (efhd_attachment_popup),
	(efhd_attachment_image), (efhd_attachment_button):
	Do nothing when EMFormatHTML object's state is RENDERING,
	the puri object instance is not valid anyway.

2008-04-28  Johan Euphrosine  <proppy@aminche.com>

	** Fix for bug #529247

	* em-format-html.h (struct _EMFormatHTML): Add header_colour.

	* em-format-html-display.c (efhd_gtkhtml_realise): Use bg style
	properties for body_colour, fg for header_colour, darken for
	frame_colour, bg for content_colour.

	* em-format-html.c (efh_init), (efh_format_exec), (efh_init),
	(efh_text_plain), (efh_text_enriched), (efh_text_html),
	(efh_message_deliverystatus): Use header_colour for text color of
	the message header, body_colour for background color of the
	message header, text_colour for text color of the message content,
	base_colour for background color of the message content.

2008-04-28  Srinivasa Ragavan  <sragavan@novell.com>

	* mail/em-utils.c: Avoid crash while detecting mime types.

2008-04-28  Srinivasa Ragavan  <sragavan@novell.com>

	* mail/em-format-html.c: Fix the Mailer header display

2008-04-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #273041

	* mail.error.xml: (junk-check-error), (junk-report-error),
	(junk-not-report-error): New error messages added.
	* em-junk-hook.h: (struct _EMJunkHookTarget), (em_junk_error_quark):
	* em-junk-hook.c: (manage_error), (em_junk_check_junk),
	(em_junk_report_junk), (em_junk_report_non_junk):
	Allow propagation of the error from the plugin in the hook target.

2008-04-23  Milan Crha  <mcrha@redhat.com>

	* em-format-html-display.c: (efhd_update_bar):
	Compiler warning fix.

2008-04-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #529375

	* evolution-mail.schemas.in:
	* mail-config.glade:
	* em-utils.h: (em_utils_in_addressbook):
	* em-utils.c: (em_utils_in_addressbook):
	* em-format-html.c: (emfh_gethttp):
	* mail-session.c: (lookup_addressbook):
	* mail-config.h: (mail_config_get_lookup_book_local_only):
	* mail-config.c: (struct MailConfig), (mail_config_init),
	(mail_config_get_lookup_book_local_only):
	* em-mailer-prefs.h: (struct _EMMailerPrefs):
	* em-mailer-prefs.c: (junk_book_lookup_button_toggled),
	(em_mailer_prefs_construct): Add new option
	/apps/evolution/mail/junk/lookup_addressbook_local_only
	to determine whether check for address in a local address book only.

2008-04-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #529179

	* em-folder-browser.c: (struct _EMFolderBrowserPrivate),
	(labels_changed_idle_cb), (gconf_labels_changed), (emfb_destroy):
	Rebuild search menu rather on idle, then immediately after the change
	in gconf, because other parts may not have this change propagated yet.

2008-04-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #458505

	* mail-config.glade:
	One space between "Sender" and "Photograph".

2008-04-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #529462

	* evolution-mail.schemas.in:
	Fix wording of "custom_header" GConf key description.

2008-04-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #494171

	* mail-send-recv.c (build_dialog):
	Make the "Send & Receive Mail" window dimensions persistent.

	* evolution-mail.schemas.in:
	Add keys for storing "Send & Receive Mail" window dimensions:
		/apps/evolution/mail/send_recv_height
		/apps/evolution/mail/send_recv_maximized
		/apps/evolution/mail/send_recv_width
	Note the "maximized" key is required by GConfBridge but is not
	actually used since the window cannot be maximized.

2008-04-22  Matthew Barnes  <mbarnes@redhat.com>

	* em-composer-prefs.c:
	gconf-bridge.h moved to e-util.

2008-04-21  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #323402

	* em-folder-tree.c: (folder_tree_new):
	* evolution-mail.schemas.in: Be able to disable ellipsizing of folder
	names with hidden option /apps/evolution/mail/display/no_folder_dots.

2008-04-20  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #334444

	* em-format-html-display.c: (efhd_attachment_button),
	(efhd_update_bar), (efhd_message_update_bar),
	(efhd_message_add_bar):
	* em-format-html.c: (efh_format_exec):

2008-04-17  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #526739

	* Makefile.am:
	* em-vfs-stream.h:
	* em-vfs-stream.c: Removed from project, not used anywhere.
	* em-menu.c:
	* em-config.c: Do not include gnome-vfs.
	* mail-ops.c: (save_messages_exec), (save_part_exec):
	Changes related to Data Server change of CamelStreamVFS.
	* em-format.c: (em_format_describe_part):
	* em-format-html-display.c: (efhd_bonobo_object), (efhd_find_handler),
	(efhd_use_component), (efhd_bonobo_unknown), (efhd_check_server_prop),
	(efhd_format_attachment): Drop use of deprecated gnome-vfs functions.
	* em-utils.c: (em_utils_snoop_type): Use gio to guess the mime_type.
	* em-popup.c: (emp_apps_open_in), (emp_apps_popup_free),
	(emp_standard_menu_factory): Use gio to fill popup and launch app.

2008-04-16  Shuai Liu  <shuai.liu@sun.com>

	** Fix for bug #528358

	* em-utils.c: (em_utils_save_messages): Use message subject as default
	filename when attempting to 'save message'. 

2008-04-14  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #270406

	* em-folder-properties.c: (struct _prop_data), (emfp_free),
	(add_numbered_row), (emfp_get_folder_item),
	(emfp_dialog_got_folder_quota), (emfp_dialog_got_folder):
	Retrieve quota information for a folder and show it in a dialog.
	* mail-ops.h: (mail_get_folder_quota):
	* mail-ops.c: (struct _get_quota_msg), (get_quota_desc),
	(get_quota_exec), (get_quota_done), (get_quota_free),
	(MailMsgInfo get_quota_info), (mail_get_folder_quota):
	New operation to get folder's quota information.

2008-04-13  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-browser.c:
	Add an icon for Folder->New.

2008-04-10  Matthew Barnes  <mbarnes@redhat.com>

	* mail-config.glade:
	Revert my previous change.  Glade was more destructive toward the
	file than I realized.  But I think I fixed the core issue that was
	causing Glade 3 to crash: there were two widgets named "omenuCharset".
	Now the one in Composer Preferences is named "omenuCharset1".

2008-04-10  Sankar P  <psankar@novell.com>

	* em-composer-prefs.c: (em_composer_prefs_construct):
	Change the name of the variable we look for in 
	the glade file.

	Also add some if conditions to avoid certain crash.

	** See bug #527327

2008-04-09  Matthew Barnes  <mbarnes@redhat.com>

	* mail-config.glade:
	Loaded this file into Glade 3.5 and saved it.  Doing so appears
	to have fixed whatever corruption was causing previous Glade 3
	releases to choke on it.

2008-04-08  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #523413

	* em-composer-utils.c (save_draft_done):
	Check the composer window's visibility to determine whether to
	destroy the window.  See the corresponding composer/ChangeLog
	entry to get the full story.

	* em-composer-utils.c (em_utils_composer_save_draft_cb):
	Remove the 'quit' parameter.

2008-04-07  Takao Fujiwara  <takao.fujiwara@sun.com>

	reviewed by: Milan Crha

	** Fix for bug #408579

	* mail.error.xml:
	  Changed '&quot;' to '\"' to work with intltool.

2008-04-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #335891

	* em-composer-prefs.c (em_composer_prefs_construct):
	Desensitize the signature editing interface if the "signatures"
	GConf key is not writable.

2008-04-05  Matthew Barnes  <mbarnes@redhat.com>

	* em-composer-prefs.c:
	Fix a corner case that I missed in my last commit.

2008-04-05  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #526152, plus some tangential code cleanup.

	* Makefile.am:
	Remove all the IDL crud for GnomeSpell.

	* em-composer-prefs.c:
	* evolution-mail.schemas.in:
	* mail-config.c:
	Define our own GConf keys for active spell checking languages
	and the underline color for misspelled words, instead of relying
	on GnomeSpell's GConf keys.  The new keys are:
	/apps/evolution/mail/composer/spell_color	(string)
	/apps/evolution/mail/composer/spell_languages	(list of strings)

	* em-composer-prefs.c:
	* em-composer-prefs.h:
	Cleanup the logic a bit to improve readability.

	* mail-config.c:
	Cleanup the GConf notification logic:
	- We don't need the notification IDs for GConf keys we're watching.
	- Minimize the repetition of GConf keys to reduce the risk of typos.
	- Reduce the number of notification callback functions.

	* Spell.idl:
	Remove this file; we don't use GnomeSpell anymore.

2008-04-04  Jeffrey Stedfast  <fejj@novell.com>

	* em-format-quote.c (emfq_format_header): Same as below.

	* em-format-html.c (efh_format_header): Need to unfold some
	headers. Also simplified figuring out the label.
	(efh_format_headers): Cleaned up some code.

2008-04-02  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #264456

	* mail-component.c: (view_changed):
	Do not count deleted junk messages when doesn't show deleted messages.

2008-04-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #350308

	* em-format-html-display.c: (efhd_gtkhtml_realise): Make colors only
	darker, not lighter. Use black in case someone has too dark theme.

2008-04-02  Matthew Barnes  <mbarnes@redhat.com>

	* em-composer-prefs (sig_edit_cb), (em_composer_prefs_new_signature):
	Adapt to new Bonobo-less signature editor.

	* mail-signature-editor.c:
	* mail-signature-editor.h:
	Rewrite the signature editor as a subclass of GtkhtmlEditor.
	Eliminates Bonobo from the equation.

	* em-composer-utils.c (composer_get_message),
	(em_utils_composer_send_cb), (save_draft_done),
	(em_utils_composer_save_draft_cb), (create_new_composer),
	(em_utils_compose_new_message),
	(em_utils_compose_new_message_with_mailto), (em_utils_post_to_folder),
	(em_utils_post_to_url), (edit_message), (forward_attached),
	(forward_non_attached), (reply_get_composer), (composer_set_body),
	(em_utils_reply_to_message), (post_reply_to_message):
	Adapt to new Bonobo-less composer.

	* mail-component-factory.c:
	Composer is no longer needs a Bonobo factory.

	* mail-config.c:
	Fix style pattern for EMsgComposer widgets.

2008-04-02  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #271863

	* mail-component.c: (view_changed):
	Do not count deleted junked messages to total number of messages
	with unchecked "Hide Deleted Messages" option.

2008-04-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #525508, spotted by Thomas M.

	* message-list.c (ml_tree_value_at):
	Fix a leaking CamelURL in the COL_LOCATION case.

2008-04-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #525510, patch from Thomas M.

	* message-list.c (ml_tree_value_at):
	Mark "On This Computer" for translation.

2008-03-29  Matthew Barnes  <mbarnes@redhat.com>

	* em-network-prefs.c (em_network_prefs_finalise),
	(em_network_prefs_destroy), (emnp_parse_ignore_hosts):
	Fix some unused variable warnings.

2008-03-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #523271

	* em-popup.c (emp_standard_menu_factory):
	Lowercase the MIME type before passing it to
	gnome_vfs_mime_get_all_applications().

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #522178

	* mail-folder-cache.c: (folder_changed): Put back hack with
	checking time of new message in the folder based with last
	time of new mail as it was before patch in bug #492702.

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #519292

	* message-list.h: (message_list_set_expand_all):
	* message-list.c: (message_list_set_expand_all):
	Remove unused confusing function.
	* message-list.c: (regen_list_done):
	Use numbers instead of gboolean value.

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #502826 (original patch by nickspoon0)

	* mail-config.glade:
	* em-composer-prefs.c: (attach_style_reply_new_order),
	(attach_style_info_reply), (em_composer_prefs_construct):
	Reword and reorder Reply Style items in the Preferences.

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #488175

	* message-list.c: (ml_tree_value_at):
	Colorize follow-up messages same as with due-by flag.

2008-03-25  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Added configurable Proxy settings for Evolution.

	* GNOME_Evolution_Mail.server.in.in:
	* Makefile.am:
	* em-network-prefs.c: (em_network_prefs_get_type),
	(em_network_prefs_class_init), (em_network_prefs_init),
	(em_network_prefs_finalise), (em_network_prefs_destroy),
	(toggle_button_toggled), (toggle_button_init), (emnp_widget_glade),
	(emnp_set_sensitiveness), (emnp_parse_ignore_hosts),
	(emnp_load_sys_settings), (notify_proxy_type_changed),
	(widget_entry_changed_cb), (emnp_free), (emnp_set_markups),
	(em_network_prefs_construct), (em_network_prefs_new):
	* em-network-prefs.h:
	* mail-component-factory.c: (factory):
	* mail-config-factory.c: (mail_config_control_factory_cb):
	* mail-config.glade:

2008-03-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #511978

	* mail-config.glade: Resolve mnemonics clash on Junk tab.

2008-03-19  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-view.h:
	* em-message-browser.h:
	* em-message-browser.c:
	Code cleanup, no logic changes.

2008-03-18  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #519154

	* mail-component.c: (view_changed):
	Do not localize folder name used in window title.

2008-03-18  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #506359

	* mail-component.c: (mail_component_show_logger):
	Add Translators' comments.

2008-03-17  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #514744

	* em-folder-tree-model.c: (em_folder_tree_model_load_state):
	Check also for proper root node and use default if not the right one.

2008-03-13  Milan Crha  <mcrha@redhat.com>

	* em-folder-tree.c:
	* em-format-html.c: Fix an implicit function declaration.

2008-03-13  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #515786

	* em-migrate.c: (em_migrate), (em_update_sa_junk_setting_2_23):
	Fix misspelled SpamAssassin word.

2008-03-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #273177

	* em-utils.h: (em_utils_add_vcard):
	* em-utils.c: (emu_add_address_or_vcard),
	(em_utils_add_address), (em_utils_add_vcard):
	New function to add whole vCard to addressbook.
	* em-popup.c: (emp_add_vcard), (emp_standard_menu_factory):
	Add popup menu item to vcard attachments.

2008-03-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes breakage caused by bug #513951

	* mail-autofilter.c (filter_gui_add_from_message),
	(mail_filter_rename_uri), (mail_filter_delete_uri):
	* mail-tools.c (mail_tool_get_local_movemail_path):
	* mail-vfolder.c (mail_vfolder_delete_uri), (mail_vfolder_rename_uri),
	(store_folder_deleted), (store_folder_renamed),
	(vfolder_load_storage), (vfolder_revert),
	(em_vfolder_editor_response), (edit_rule_response),
	(new_rule_clicked):
	* em-folder-browser.c (emfb_search_search_activated):
	* em-folder-tree.c (em_folder_tree_new):
	* mail-ops.c (uid_cachename_hack), (empty_trash_exec):
	* em-folder-view.c (emfv_setup_view_instance):
	* em-utils.c (em_filter_editor_response), (em_utils_edit_filters):
	* importers/mail-importer.c (import_folders_rec):
	* mail-folder-cache.c (rename_folders):
	* em-format-html.c (em_format_html_get_type):
	* mail-session.c (main_get_filter_driver):
	* mail-config.c (gconf_mime_types_changed), (uri_to_evname),
	(mail_config_folder_to_cachename), (get_new_signature_filename):
	Adapt to new meaning of mail_component_peek_base_directory().

	* mail-component.c (mail_component_init):
	Add back initialization of priv->base_directory.  Accidentally
	removed it somehow in last commit.

2008-03-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #513951

	* mail-config.c (gconf_mime_types_changed):
	Adapt to new meaning of xxx_component_peek_base_directory().

	* mail-component.c:
	Use e_get_user_data_dir() instead of constructing the full path.

2008-03-06  Tobias Mueller  <muelli@auftrags-killer.org>

	** Fix for bug #520745

	* mail/em-format.c: Fix format-string vulnerability
	Patch by Tor Lillqvist <tml@iki.fi>

2008-03-03  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-tree.c (emft_drop_async__done):
	Re-fix bug #351672 since my patch for bug #362638 accidentally
	reverted the original solution.

2008-03-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for BNC bug #282466

	* em-icon-stream.c: (em_icon_stream_get_image),
	(em_icon_stream_is_resized): Handle CIDs of broken cases too.

2008-03-03  Changwoo Ryu  <cwryu@debian.org>

	* default/Makefile.am:
	* default/ko/*: Add Korean welcome message translation.

2008-03-02  Srinivasa Ragavan  <sragavan@novell.com>

	* evolution-mail.schemas.in: Make Bogofilter the default junk plugin
	in Evolution.

2008-02-22  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #512776

	* Changes below prevents deadlock on start or send/receive.
	* mail-send-recv.c: (struct _refresh_folders_msg),
	(refresh_folders_exec), (refresh_folders_free),
	(receive_update_got_folderinfo): Do not look for active folders in
	main thread, rather do it in other thread and free folder info later.
	* mail-ops.h: (mail_get_folderinfo):
	* mail-ops.c: (struct _get_folderinfo_msg), (get_folderinfo_done),
	(get_folderinfo_free), (mail_get_folderinfo):
	* mail-folder-cache.h: (mail_note_store):
	* mail-folder-cache.c: (struct _update_data), (update_folders),
	(mail_note_store):
	* mail-component.c: (mc_add_store_done): 
	The 'done' function returns if we can free folder info or not.

2008-02-22  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for BNC #358697

	* em-folder-browser.c: (emfb_set_folder): Make sure the default search
	filter for sent/draft/outbox is "Recipients Contain"

2008-02-20  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #469292

	* em-format-quote.c: (emfq_format_clone): Add empty line only when top
	posting is enabled.

2008-02-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #516349

	* em-format-quote.c: (emfq_format_message):
	Do not force black text in quotation part of the message.

2008-02-18  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #515744

	* em-folder-view.c: (emfv_setup_view_instance):
	* mail-component.c: (impl_finalize):
	* message-list.c: (ml_tree_value_at):
	Memory leak fix.

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #167638

	* mail-component.c: (impl_quit): Upstreamed Fejj's OpenSUSE patch for
	faster quitting.

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bnc #153807

	* em-composer-utils.c: (em_utils_post_to_folder): Patch from OpenSUSE.

2008-02-16  Aidan Delaney  <a.j.delaney@brighton.ac.uk>

	** Fix for bug #516234

	* em-popup.c: (emp_apps_open_in): Removed a stray printf() statement. 

2008-02-15  Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #515659

	* em-format-html.c: (em_format_html_set_mark_citations):
	Keep mark_citations and the CAMEL_MIME_FILTER_TOHTML_MARK_CITATION
	flag (part of text_html_flags) in sync.

2008-02-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #515054

	* em-folder-view.c: (emfv_popup_mark_junk), (emfv_popup_mark_nojunk):
	Also clear/set new CAMEL_MESSAGE_NOTJUNK flag.

2008-02-10  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #411576

	* evolution-mail.schemas.in: Add a key to decide if same fonts gotto
	be used in message list in vertical view column.
	* message-list.c: (create_composite_cell):

2008-02-10  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #510642

	* evolution-mail.schemas.in: Improved a schema-description. 
	* mail-config.glade: Improved an error-message. 

2008-02-08  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #509741

	* mail-session.c (user_message_exec):
	Use the number of dialog buttons as a heuristic for whether to
	display a message in the status bar or immediately present the
	dialog to the user.

2008-01-29  Matthew Barnes  <mbarnes@redhat.com>

	* mail-send-recv.c:
	Replace G_GNUC_FUNCTION (deprecated) with G_STRFUNC.

2008-01-28  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #506948

	* em-folder-view.c: (url_unescape_amp), (emp_uri_popup_link_copy):
	Copy the unescaped url

2008-01-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #504062

	* message-list.c: (get_normalised_string): Store strings for addresses,
	 instead of collate keys.
	* message-list.etspec: Compare Subject as strings, not as collate.

2008-01-28  Andre Klapper  <a9016009@gmx.de>

	* em-filter-i18n.h: Added translator comments.
	* message-tag-followup.c: Added translator comments. 

2008-01-25  Johnny Jacob  <jjohnny@novell.com>

	** Fix for #467581.

	* em-folder-browser.c : Don't cancel all threads for a vfolder
	based search (all/account search). Introduced cameloperation for
	this and cancel it on clear.
	
2008-01-24  Milan Crha  <mcrha@redhat.com>

	** Partial fix for bug #395939

	* em-format.c: (emf_inlinepgp_signed):
	* em-format-html-display.c: (efhd_format_optional):
	* em-folder-view.c: (emfv_destroy):
	Memory leak fix.

2008-01-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #402487

	* em-folder-browser.c: (emfb_search_search_activated),
	(generate_viewoption_menu): Memory leak fix.

2008-01-24  Milan Crha  <mcrha@redhat.com>

	** Part of bug #511488

	* mail-vfolder.h:
	* mail-vfolder.c: (vfolder_loaded): Function dropped.
	* mail-vfolder.c: (vfolder_load_storage): Allow to call this function
	more than once, but do load the storage only once.
	* em-folder-utils.c: (emfu_popup_new_folder_response):
	* mail-vfolder.c: (vfolder_edit), (vfolder_gui_add_rule),
	(vfolder_gui_add_from_message), (vfolder_gui_add_from_address):
	* em-folder-browser.c: (emfb_search_menu_activated):
	* em-folder-view.c: (emp_uri_popup_vfolder_sender),
	(emp_uri_popup_vfolder_recipient), (vfolder_type_current):
	Ensure vfolder is running.

2008-01-24  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #511488

	* em-folder-tree-model.c: (em_folder_tree_model_signal_block):
	* em-folder-tree-model.h: Function to block folder-created function.
	* mail-vfolder.c: (vfolder_load_storage): Block the signal handler
	when loading.

2008-01-24  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #510779
	** Fix for bug #504103

	* em-mailer-prefs.c: (jh_tree_refill), (jh_add_cb), (jh_remove_cb),
	(init_junk_tree), (custom_junk_button_toggled),
	(em_mailer_prefs_construct): Added UI for the new junk preferences.
	* em-mailer-prefs.h:
	* evolution-mail.schemas.in: Add schema for junk header and address
	lookup.
	* mail-config.c: (gconf_jh_check_changed),
	(gconf_lookup_book_changed), (gconf_jh_headers_changed),
	(mail_config_init), (mail_config_reload_junk_headers),
	(mail_config_get_lookup_book):
	* mail-config.glade:
	* mail-config.h:
	* mail-session.c: (class_init), (lookup_addressbook),
	(mail_session_init), (mail_session_set_junk_headers):
	* mail-session.h:

2008-01-22  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #405777

	* em-folder-view.c: (emfv_setup_view_instance),
	(emfv_setting_notify): Don't break abstraction. Call the right derived
	class.

2008-01-20  Srinivasa Ragavan  <sragavan@novell.com>

	* message-list.etspec: Revert the last cursor remove commit. It breaks
	selections with CTRL. May be, cairofy the cursor.
	
2008-01-20  Srinivasa Ragavan  <sragavan@novell.com>

	* message-list.etspec: Remove the focus cursor on the message list.
	The message list now has a nice cairo rendered row. This looks very
	close to the GtkTreeView thing.

2008-01-16  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-browser.c:
	* message-list.c:
	Change of heart; decided we like the old "emblem-important" 
	icon better than "mail-mark-important" for the message list
	and "Show" combo box.

2008-01-16  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #509741

	* mail-session.c (user_message_exec):
	Fix a crash that occurs when prompted to accept a certificate.
	This is just a quick temporary fix; Srini and I have a more
	sophisticated solution in mind.

2008-01-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #509697

	* mail-vfolder.c: (vfolder_edit):
	Ensure search folders are running before calling anything from this.

2008-01-14  Kjartan Maraas  <kmaraas@gnome.org>

	* evolution-mail.schemas.in: Add missing punctuation.

2008-01-14  Gert Kulyk  <gkulyk@yahoo.de>

	** Fix for bug #350932

	* mail-config.glade: Enable the use of scrollable tabs in the 
	mail-preferences dialog. 

2008-01-14  Martin Meyer  <elreydetodo@gmail.com>

	** Fix for bug #496301

	* evolution-mail.schemas.in: Made the long description of a couple of 
	schemas more readable. 

2008-01-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #488213

	* em-icon-stream.c: (emis_fit):
	* em-format-html-display.c: (efhd_attachment_button):
	Use global function e_icon_factory_pixbuf_scale for scaling pixbufs.

2008-01-10  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #507067

	* em-format-html-display.c: (efhd_get_uri_puri):
	Leak fix and enhanced behavior to return more than one URI separated
	by new line character ('\n'), if possible.
	* em-folder-view.c: (emfv_uri_popup_free): Free item itself too,
	because since now we use new allocated items, not the static one.
	* em-folder-view.c: (emfv_free_em_popup), (emfv_append_menu),
	(emfv_format_popup_event): Merge menus for more URIs and for part too.

2008-01-10  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #211353

	* filtertypes.xml:
	* vfoldertypes.xml:
	* em-folder-view.c:
	* em-folder-browser.c:
	* em-mailer-prefs.h:
	* em-mailer-prefs.c:
	* mail-config.h:
	* mail-config.c:
	* mail-config.glade:
	* message-list.c:
	Label tags are now generated based on label name when creating, except
	of first 5 labels. New menu option "New Label" in popup menu over
	message list and editing of labels has been changed in Preferences.
	Also renaming tab in Preferences for "Labels", not "Colors", and the
	tab label too.
	mail-config-label... functions was moved to e-util/e-util-labels.c/.h.
	* message-list.etspec: Normalized columns has been moved by one
	when label column has been added.

2008-01-10  Srinivasa Ragavan  <sragavan@novell.com>

	** Most of the errors are now non-intrusive 

	* em-folder-utils.c: (emfu_copy_folder_selected),
	(emfu_delete_response), (em_folder_utils_delete_folder):
	* em-folder-view.c: (emfv_delete_msg_response):
	* em-utils.c: (em_utils_edit_filters),
	(em_utils_save_part_to_file), (em_utils_temp_save_part),
	(error_response), (em_utils_show_error_silent),
	(em_utils_show_info_silent):
	* em-utils.h:
	* mail-autofilter.c: (mail_filter_delete_uri):
	* mail-component.c: (mail_component_show_logger):
	* mail-mt.c: (mail_msg_free):
	* mail-session.c: (do_user_message):
	* mail-vfolder.c: (mail_vfolder_delete_uri), (vfolder_edit_rule):

2008-01-10  Sankar P  <psankar@novell.com>

	* em-format-html.c: (efh_format_headers):
	Decode the right thingy. Fixes a regression in
	decoding of face header introduced while migration of
	camel_* functions to g_* functions.

2008-01-08  Djihed Afifi <djihed@gmail.com>

	** Fix for bug #309432

	* em-format-html.c: Fix message headers for RTL languages.

2008-01-08  Colin Leroy  <colin@colino.net>

	** Fix for bug #499145

	* mail/em-composer-utils.c: Follow RFC 3798 to send return receipts.

2008-01-08  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #474118

	* mail-ops.c: (prepare_offline_exec): Check for the right type of store
	and invoke appropriate functions. 

2008-01-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #300336

	* mail-vfolder.h: (vfolder_loaded):
	* mail-vfolder.c: (vfolder_loaded): New helper function.
	* em-folder-utils.c: (emfu_popup_new_folder_response):
	* mail-vfolder.c: (vfolder_gui_add_rule),
	(vfolder_gui_add_from_message), (vfolder_gui_add_from_address):
	* em-folder-browser.c: (emfb_search_menu_activated):
	* em-folder-view.c: (emp_uri_popup_vfolder_sender),
	(emp_uri_popup_vfolder_recipient), (vfolder_type_current):
	Ensure vfolder is running.
	* mail-component.c: (mc_startup): Do not start vfolder when
	disabled by option '/apps/evolution/mail/display/enable_vfolders'.
	* evolution-mail.schemas.in: Added schema for new option.
	* mail-config.glade:
	* em-mailer-prefs.h:
	* em-mailer-prefs.c: Added checkbox for "Enable Search Folders" option.

2008-01-06  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	** Fix bug #497914

	* em-mailer-prefs.c: (emmp_header_is_valid):
	backport changes from the copy/pasted code in imap-headers
	plugin.

2008-01-06  Michael Monreal  <michael.monreal@gmx.net>

	** Fix for bug #492188

	* em-folder-browser.c:
	* em-folder-tree.c:
	* em-folder-view.c:
	* message-list.c:

	Use the new Tangoized icons instead of deprecated icons from 
	gnome-icon-theme.

2008-01-02  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #317823

	* em-format-html-display.c: (efhd_get_uri_puri):
	New helper function to dig up uri or puri from the GtkHtml.
	If the object is an image, then pass it as puri or uri, depends
	on the source of the image.
	* em-format-html-display.c: (efhd_html_button_press_event),
	(em_format_html_display_popup_menu): Using new helper function.

2008-01-02  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #364642

	* em-composer-prefs.h: (struct _EMComposerPrefs):
	* em-composer-prefs.c: (em_composer_prefs_construct):
	* mail-config.glade:
	* evolution-mail.schemas.in:
	(/apps/evolution/mail/composer/request_receipt):
	New option in Composer tab to preset Request Read Receipt in composer.

2008-01-02  Andre Klapper  <a9016009@gmx.de>

	* mail-config.glade:
	add mnemonic_widget for default junk plugin. see bug #476264.

2008-01-02  Srinivasa Ragavan  <sragavan@novell.com>

	* em-event.c: (eme_target_free):
	* em-event.h:
	* em-folder-tree-model.c: (em_folder_tree_model_get_folder_name):
	* em-folder-tree-model.h:
	* mail-folder-cache.c: (real_flush_updates): Send the folder name
	along with the new mail event.

2007-12-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #362638

	* mail-mt.h:
	Overhaul the message passing API:
	- Define a MailMsg type as the base message struct.
	- Define types for the various callback functions.
	- Add a priority value to each message (not yet used).
	- Add a reference count to each message.
	- Define a MailMsgInfo type for the virtual function table.
	- Record the size of message sub-types in MailMsgInfo.
	- New/changed functions:
	    mail_msg_new()   - Easier to use.
	    mail_msg_ref()   - Increase reference count.
	    mail_msg_unref() - Decrease reference count.
	    mail_msg_main_loop_push()    }
	    mail_msg_unordered_push()    } Submit MailMsgs to various
	    mail_msg_fast_ordered_push() } message-processing threads.
	    mail_msg_slow_ordered_push() }

	* mail-mt.c (mail_msg_new):
	Use GSlice for memory allocation.

	* mail-mt.c (mail_msg_ref), (mail_msg_unref):
	New functions increment/decrement a MailMsg's reference count.

	* mail-mt.c (mail_cancel_hood_add), (mail_cancel_hook_remove):
	Convert the 'cancel_hook_list' from an  EDList to a GHookList and
	modify the API accordingly.

	* mail-mt.c:
	Use GThreadPools instead of EThreads.
	Use GAsyncQueues instead of EMsgPorts.

	* em-composer-utils.c:
	* em-folder-browser.c:
	* em-folder-properties.c:
	* em-folder-tree.c:
	* em-folder-utils.c:
	* em-folder-view.c:
	* em-format-html-print.c:
	* em-format-html.c:
	* em-subscribe-editor.c:
	* em-sync-stream.c:
	* importers/elm-importer.c:
	* importers/mail-importer.c:
	* importers/pine-importer.c:
	* mail-component.c:
	* mail-folder-cache.c:
	* mail-mt.c:
	* mail-ops.c:
	* mail-ops.h:
	* mail-send-recv.c:
	* mail-session.c:
	* mail-vfolder.c:
	* message-list.c:
	Use the new MailMsg API for messages.

2007-12-18  Matthew Barnes  <mbarnes@redhat.com>

	* mail-mt.c (do_op_status): Fix another compiler warning.

2007-12-17  Srinivasa Ragavan  <sragavan@novell.com>

	* mail-mt.c: (mail_msg_free), (mail_msg_check_error): Fix some compiler warnings.

2007-12-14  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #211353

	* message-list.etspec:
	* message-list.h:
	* message-list.c: Added new column to show labels.
	* filtertypes.xml:
	* vfoldertypes.xml:
	Code for label filters/search folders has been changed.
	* mail-config.glade:
	* em-folder-view.c: (emfv_set_label), (emfv_unset_label),
	(emfv_popup_label_clear), (emfv_popup_label_set),
	(emfv_popup_labels_get_state_for_tag), (emfv_popup):
	Labels popup submenu is now shown with checkboxes so one can set
	more than one label to the message and unset only one label from
	message. There has been added new function, because of this.
	* mail-config.h:
	* mail-config.c: New "interface" functions to work with labels.
	* em-mailer-prefs.h:
	* em-mailer-prefs.c: Editing labels in tree.
	* em-folder-browser.c:
	Labels in show menu reflect changes in preferences.


2007-12-17  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #430369 

	* mail-session.c: (mail_session_init): Init in the main gui thread.

2007-12-17  Srinivasa Ragavan  <sragavan@novell.com>

	** Non-intrusive errror reporting and basic logging support.

	* em-folder-browser.c: (emfb_help_debug): Invoke the debug menu.
	* evolution-mail.schemas.in: Schema for error timeout and level.
	* mail-component.c: (mail_component_init), (render_pixbuf),
	(render_level), (render_date), (append_logs), (spin_value_changed),
	(mail_component_show_logger): Handle the lifecycle of the logger.
	* mail-component.h: Api to show the logger.
	* mail-config.c: (gconf_error_time_changed),
	(gconf_error_level_changed), (mail_config_init),
	(mail_config_get_error_timeout), (mail_config_get_error_level): Load
	and get the error time and level.
	* mail-config.h:
	* mail-mt.c: (mail_msg_set_cancelable), (mail_msg_new),
	(end_event_callback), (mail_msg_free), (mail_msg_check_error),
	(operation_cancel), (do_op_status): Revamp the error handling.
	* mail-mt.h:
	* mail-ops.c: (send_queue_send), (mail_send_queue): Handle the send/receive 
	case of error reporting separately.
	* mail-send-recv.c: (free_send_info), (mail_send):

2007-12-15  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-tree-model.c (emft_model_unread_count_changed),
	(emfolder_tree_model_set_unread_count):
	Fix recently introduced compiler warnings.

2007-12-15  Milan Crha  <mcrha@redhat.com>
 
 	** Part of fix for bug #492702
 
 	* mail-config.h:
 	* mail-config.glade:
 	* evolution-mail.schemas.in:
 	* mail-folder-cache.h:
 	* mail-folder-cache.c:
 	* em-mailer-prefs.h:
 	* em-mailer-prefs.c: Moved bits of sound notification
 	on new messages to mail-notification plugin.
 	* em-migrate.c: (is_in_plugs_list),
 	(em_update_message_notify_settings_2_21), (em_migrate):
 	Migration code to move old options to new plugin options.
 
2007-12-14  Sankar P  <psankar@novell.com>

	* em-folder-tree-model.c: (emft_model_unread_count_changed),
	(em_folder_tree_model_init),
	(em_folder_tree_model_set_unread_count):
	* em-folder-tree.c: (em_folder_tree_construct):
	Moving some code from tree to model where it belongs.
	Fixes some CPU usage issue whenever (un)read count is updated.
	Hopefully no regresssions.

2007-12-13  Matthew Barnes  <mbarnes@redhat.com>

	* mail-send-recv.c:
	Fix an implicit function declaration.

2007-12-12  Alex "weej" Jones  <alex@weej.com>

	** Fix for bug #503111

	* mail-session.c: (mail_session_add_junk_plugin):
	Suppress "Loading %s as the default junk plugin" message.

2007-12-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #502318

	* em-format-html-display.c: (struct _EMFormatHTMLDisplayPrivate),
	(efhd_search_destroy), (em_format_html_get_search_dialog),
	(em_format_html_display_search), (em_format_html_display_search_with),
	(em_format_html_display_search_close), (efhd_complete):
	Track search dialog activity rather based on flag than on widget
	existence, because the pointer to that widget it still
	there (non-NULL) even after destroy of that widget.

2007-12-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #336074

	* mail-send-recv.c: (get_folders):
	Determine whether refresh folder from the store based on result of new
	store's function 'camel_store_can_refresh_folder'.

2007-12-10  Jeff Cai  <jeff.cai@sun.com>

	* em-folder-view.c: (emfv_setting_notify):
	If it is not FolderBrowser object, the pane size
	signal is not sent.
	Fix #501677

2007-12-07  Alex Kloss  <alexkloss@att.net>

	** Fix for bug #329706

	* em-utils.c (em_utils_prompt_user):
	Add mnemonic 'd' to 'Do not show...' checkbox
	* mail.error.xml:
	Remove redundant 'Send anyway' label
	Reorder buttons to 'Send','Cancel' as per HIG

2007-12-07  Akhil Laddha  <lakhil@novell.com>

	** Fix for bug #475508

	* em-folder-view.c:
	Changed the string for search folder and filter creation from
	message list to make it understandable.

2007-12-07  Denis Washington <denisw@svn.gnome.org>

	** Fix for bug #500561

	* em-folder-browser.c: Added icon for mark all messages as read menu 
	item.

2007-12-06  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #263236

	* em-folder-view.c: (emfv_delete_msg_response):
	Look for "Do not ask me again" check in alignment, so
	let it works properly.

2007-12-05  Srinivasa Ragavan  <sragavan@novell.com>

	* mail-config.h: Fix a compiler warning.

2007-12-05  Srinivasa Ragavan  <sragavan@novell.com>

	** Added a preference to disable Magic Spacebar.

	* em-folder-browser.c: (html_scroll), (emfb_list_key_press): Check the cfg 
	  before invoking Magic Spacebar
	* em-mailer-prefs.c: (em_mailer_prefs_construct): Preference window handling
	* em-mailer-prefs.h:
	* evolution-mail.schemas.in:
	* mail-config.c: (gconf_magic_spacebar_changed),
	(mail_config_init), (mail_config_get_enable_magic_spacebar): Add it part of MC.
	* mail-config.glade: 
	* mail-config.h:

2007-12-04  David Turner  <cillian64@googlemail.com>

	** Fix for bug #347329

	* em-folder-selector.c: (em_folder_selector_create_new):
	Added a mnemonic to the 'Create' button of the 'New Folder' dialog

2007-12-04  Alex Kloss  <alexkloss@att.net>

	** Fix for bug #329578

	* em-account-editor.c: (emae_receive_options_item):
	Add mnemonic for "minutes" widget

2007-12-04  David Turner  <cillian64@googlemail.com>

	** Fix for bug #446029

	* em-format-html-display.c: (em_format_html_get_search_dialog):
	Fix for a mnemonic conflict in 'Find in Message' feature.

2007-12-04  Alex Kloss  <alexkloss@att.net>

	** Fix for bug #466503

	* mail-config.glade: Fix for a mnemonic conflict in 
	Preferences -> Mail Preferences -> Junk tab.

2007-12-04  David Turner  <cillian64@googlemail.com>

	** Part of fix for bug #466499

	* em-account-editor.c: (emae_option_toggle):
	Added support for mnemonics in config options from camel

2007-12-04  David Turner  <cillian64@googlemail.com>

	** Fix for bug #466497

	* mail-config.glade: Changed some mnemonics to stop l being used
	as a mnemonic key

2007-12-04  David Turner  <cillian64@googlemail.com>

	** Fix for bug #466241

	* mail-config.glade: Added a mnemonic to "Authentication type"
	in the recieving mail section of configuration

2007-12-03  Denis Washington  <denisw@svn.gnome.org>

	** Fix for bug #363644

	* mail-send-recv.c:
	Added a 6px padding around the scrolled window so that
	it's border doesn't look like a separator on the bottom.

2007-11-29  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #271551

	* evolution-mail.schemas.in:
	New key "/apps/evolution/mail/composer/current_folder".

2007-11-28  Matthew Barnes  <mbarnes@redhat.com>

	* mail-session.c:
	Fix an implicit function declaration caused by my last commit.

2007-11-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #495123

	* mail-session.c (mail_session_init):
	Pass the CamelSession to the EAccountComboBox class (ugly hack).

2007-11-26 Nicholas Miell <nmiell@gmail.com>

	** Fix for bug #216485
	Edit->Select thread menu fix and improvement.

	* em-folder-browser.c: (emfb_edit_select_subthread): new function,
	(emfb_enable_map, emfb_verbs) hook it up
	* message-list.c: (select_thread): new function based on
	thread_select_foreach, (thread_select_foreach): remove the logic
	now in select_thread, (message_list_select_thread): use
	select_thread, (subthread_select_foreach): new function,
	(message_list_select_subthread): new function
	* message-list.h: (message_list_select_subthread): add prototype

2007-11-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #494414

	* em-folder-selection-button.c: (set_contents): If used uri points
	to an account, then prepend account's name to folder name.

2007-11-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #494425

	* em-utils.c: (get_unique_file_names):
	New helper function to "assign" unique file name to each part.
	* em-utils.c: (em_utils_save_parts): Use new helper function.

2007-11-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #335931

	* message-list.c: (struct _regen_list_msg): New member last_row.
	* message-list.c: (regen_list_regen): Store last_row for later use.
	* message-list.c: (regen_list_regened): Restore row based on last_row
	when no uid was selected before.
	* message-list.c: (mail_regen_list): Init new last_row member.
	* em-folder-view.c: (emfv_select_next_message): New helper function
	to select messages in list.
	* em-folder-view.c: (emfv_popup_mark_junk), (emfv_popup_mark_nojunk),
	(emfv_popup_delete): Using new helper function, so get same behavior.

	* message-list.h: (struct _MessageList):
	* message-list.c: (on_cursor_activated_cmd): Removed cursor_row member.

2007-11-22  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #498551

	* em-folder-tree.c: (emft_get_folder_info__got):
	Remove placeholder node even for store if no children found.

2007-11-22  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #256899 by Chaya

	* mail-config.glade:
	* em-account-prefs.h: (struct _EMAccountPrefs):
	* em-account-prefs.c: (account_delete_clicked),
	(account_able_clicked), (account_able_toggled),
	(account_cursor_change), (em_account_prefs_construct):
	Remove "Disable/Enable" button from Mail Accounts preferences.

2007-11-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #480514

	* em-folder-browser.c: (get_view_query),
	(emfb_search_search_activated): Let work "Last 5 Days' Messages" and
	"Recent messages" filters in Sent folder too.

2007-11-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #493783

	* em-format-html.c: (efh_format_timeout): Do not erase old content
	when re-formatting same mail, so keep scroll position.

2007-11-18  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	** Fix bug #495875

	* em-folder-tree.c:
	right click menu reordering

2007-11-14  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-tree.c (em_folder_tree_get_selected_folder_info):
	Call camel_folder_info_new() instead of g_new0().

2007-11-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #263236

	* mail.error.xml: Terminology cleanup.

2007-11-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #263236

	* mail.error.xml: New message "ask-delete-vfolder-msg".
	* em-folder-view.c: (emfv_delete_msg_response),
	(emfv_popup_delete): When deleting from vFolder, ask if really want
	to and warn about deleting in a real folder too.
	* evolution-mail.schemas.in: New option
	"/apps/evolution/mail/prompts/delete_in_vfolder" to not ask again.

2007-11-08  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-selector.h:
	Fix some typos in the GObject macros.

2007-11-06  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug #492170

	* em-migrate.c:
	* evolution-mail.schemas.in:
	* mail-config.c:
	Replace the old color definitions with very similar colors from
	the Tango color palette.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #343011
	(restore collapse state of selected folder after start)

	* em-folder-tree.c: (emft_maybe_expand_row): Do not expand subtree of
	a node, only make it visible.
	* em-folder-tree-model.h: (em_folder_tree_model_get_expanded_uri),
	(em_folder_tree_model_set_expanded_uri):
	* em-folder-tree-model.c: (em_folder_tree_model_get_expanded_uri),
	(em_folder_tree_model_set_expanded_uri):
	Same as ..._get/_set_expanded, but using 'uri', instead of 'key'.
	* em-folder-tree-model.c: (emftm_uri_to_key): New helper function.
	* mail-component.c: (impl_createView): Restore collapsed state after
	selecting last selected folder, if necessary.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #488298

	* em-folder-view.c: (EMFolderViewEnable emfv_enable_map[]):
	Disable "MessageMarkAsNotJunk" if requested by context.
	* mail-folder-cache.c: (update_1folder): Do not count junked
	messages into "new" messages in drafts and out box.
	* em-popup.c: (em_popup_target_new_select): Disable "MarkAsJunk"
	and "MarnAsNotJunk" in drafts and out box.

2007-11-05  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug #492102

	* em-folder-view.c: Use mail-mark-read icon.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	* em-folder-view.c: (emfv_message_reply): Leak fix.

2007-11-05  Sankar P  <psankar@novell.com>

	* em-folder-tree.c:
	Change enum order. LAST should be the last.
	Regression from #446035
	
	** Fix for bug #493646

2007-10-31  Priit Laes  <plaes@svn.gnome.org>
	
	* em-format-html-display.c: Fix typo in documentation.
	* em-message-browser.c: Ditto.

2007-10-31  Priit Laes  <plaes@svn.gnome.org>

	* mail-component.c: (view_changed): Fix the ordering of the string
	components.

2007-10-30  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug #446035

	* em-folder-tree.c: (render_pixbuf):
	Use the folder-saved-search icon for vfolders.

2007-10-26  Kjartan Maraas  <kmaraas@gnome.org>

	* e-searching-tokenizer.c: (build_trie), (searcher_new),
	(output_token), (output_match), (merge_subpending),
	(searcher_next_token):
	* em-account-editor.c: (em_account_editor_new), (emae_load_text),
	(emae_check_license), (emae_auto_detect), (smime_sign_key_select),
	(smime_encrypt_key_select), (emae_service_url_path_changed),
	(emae_ssl_changed), (emae_service_provider_changed),
	(emae_refresh_providers), (emae_refresh_authtype),
	(emae_setup_service), (emae_identity_page):
	* em-composer-utils.c: (em_utils_send_receipt),
	(generate_account_hash), (em_utils_camel_address_to_destination),
	(reply_get_composer):
	* em-config.c: (em_config_new):
	* em-event.c: (em_event_peek):
	* em-filter-rule.c: (get_widget):
	* em-folder-browser.c: (generate_viewoption_menu),
	(em_folder_browser_show_preview), (get_view_query),
	(vfolder_setup_do), (emfb_search_search_activated),
	(emfb_list_key_press), (emfb_list_built):
	* em-folder-view.c: (em_folder_view_new),
	(emfv_setup_view_instance), (emfv_popup_forward),
	(emp_uri_popup_vfolder_sender), (emp_uri_popup_vfolder_recipient),
	(emfv_enable_menus):
	* em-format-hook.c:
	* em-format-html-display.c: (efhd_attachment_optional):
	* em-format-html.c: (em_format_html_new),
	(em_format_html_add_pobject), (em_format_html_find_pobject),
	(em_format_html_find_pobject_func), (efh_text_enriched),
	(efh_multipart_related), (efh_format_address), (efh_format_header):
	* em-icon-stream.h:
	* em-inline-filter.c: (emif_add_part), (emif_scan):
	* em-junk-hook.c: (emjh_construct_group):
	* em-mailer-prefs.c: (junk_plugin_setup):
	* em-menu.c: (em_menu_new), (em_menu_target_new_select):
	* em-message-browser.c: (em_message_browser_new):
	* em-popup.c: (em_popup_new), (em_popup_target_new_select):
	* em-sync-stream.c:
	* em-utils.c: (em_utils_save_part_to_file), (tag_editor_response),
	(em_utils_read_messages_from_stream), (em_utils_get_proxy_uri),
	(em_utils_in_addressbook):
	* em-vfolder-rule.c: (validate):
	* importers/elm-importer.c:
	* importers/mail-importer.c: (import_mbox_import),
	(import_folders_rec):
	* importers/pine-importer.c:
	* mail-component.c: (setline_done):
	* mail-folder-cache.c: (flush_updates):
	* mail-mt.c: (mail_msg_new), (checkmem), (mail_msg_check_error),
	(mail_msg_cancel), (mail_msg_wait), (mail_msg_init),
	(do_op_status):
	* mail-send-recv.c: (receive_status), (receive_done),
	(refresh_folders_get):
	* mail-vfolder.c: (mail_vfolder_get_sources_local),
	(mail_vfolder_get_sources_remote), (context_rule_added),
	(store_folder_renamed):
	* message-list.c: (e_mail_address_new), (e_mail_address_compare),
	(get_normalised_string), (ml_search_forward), (ml_search_backward),
	(ml_search_path), (message_list_select_uid),
	(thread_select_foreach), (message_list_copy), (ml_duplicate_value),
	(ml_free_value), (ml_initialize_value), (ml_value_is_empty),
	(ml_value_to_string), (subtree_latest), (sanitize_recipients),
	(ml_tree_value_at), (ml_tree_sort_value_at),
	(message_list_init_images), (filter_date), (build_tree),
	(build_flat_diff), (regen_list_regen):

	Warning fixes:
	- NULL vs. 0 vs FALSE
	- ANSIfication of function declarations
	- Remove unused bits
	- use unsigned ints for 1-bit bitfields
	- invalid pointer type
	- mark a global var static
	- mixing code and declarations

2007-10-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #489027

	* evolution-mail.schemas.in: New hidden option 'thread_latest' to fall
	back to thread sorting like before 2007-05-17 (see below).
	* message-list.c: (struct _MessageListPrivate),
	(message_list_construct): New property 'thread_latest'.
	* message-list.c: (ml_tree_sort_value_at): Sort based on this property.

2007-10-24  Milan Crha <mcrha@redhat.com>

	** Fix for bug #467364 by Christian Kintner

	* evolution-mail.schemas.in: 
	* mail-config.glade: Evolution uses "Emoticon" instead of "Smiley".

2007-10-24  Andre Klapper <a9016009@gmx.de>

	** Fix for bug #261165

	* filtertypes.xml: added search on CC and BCC

2007-10-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #271734

	* mail-mt.c: (do_op_status): Show description of operation, if
	available, instead of empty string and end activity properly, if
	operation ended before/during activity start. 

2007-10-15  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-view.c:
	Fix broken icon for View -> Zoom -> Normal Size.

2007-10-12  Michael Monreal <michael.monreal@gmail.com>

	** New inbox/outbox/sent icons (bug #479257)

	* mail/em-folder-tree.c, mail/mail-send-recv.c:
	Change icon references.

2007-10-11  Matthew Barnes  <mbarnes@redhat.com>

	* em-format.c (em_format_add_puri):
	Use G_GSIZE_FORMAT when printing a gsize/size_t to make compilers
	on all arches happy.

2007-10-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #323977

	* em-filter-rule.c: (get_widget):
	Use "Add Action" instead of plain "Add" for button label.

2007-10-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #329823

	* mail-component.h: (mail_indicate_new_mail):
	* mail-component.c: (mail_indicate_new_mail),
	(struct _MailComponentPrivate), (impl_dispose), (impl_createView):
	New function to indicate new mails on sidebar's button and storing
	component_view in priv struct for later use.
	* em-folder-view.c: (emfv_list_done_message_selected):
	* mail-folder-cache.c: (real_flush_updates):
	Indicate changes like for plugins for new mails.

2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #437579

	* e-searching-tokenizer.c:
	* em-folder-browser.c:
	* em-format-html.c:
	* em-format-view.c:
	* em-format.c:
	* em-mailer-prefs.c:
	* em-mailer-prefs.h:
	* mail-session.c:
	* mail-session.h:
	* mail-vfolder.c:
	* message-list.c:
	Fix various compiler warnings.  Patch from Milan Crha.

2007-10-09  Tobias Mueller  <muelli@auftrags-killer.org>

	** Fix for bug #482575

	* em-folder-view.c: Don't use "insert_image" icon.
	Patch by Michael Monreal <infernux@web.de>

2007-10-09  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #484635

	* em-folder-tree-model.c: (em_folder_tree_model_remove_store_info): 
	Destroy functions in GHashTables to simplify memory management already 
	free the store info. So do no free it again in this function.

2007-10-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #477045

	* em-popup.c: (EPopupItem emp_standard_uri_popups[]): Use 'contact-new'
	icon name rather than 'edit-add' for "Add to address book" item.

2007-10-05  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #468736 

	* em-folder-view.c: (em_folder_view_print):
	* em-format.c: (merge_missing), (em_format_merge_handler):
	* em-format.h:

2007-10-04  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #477045

	* em-folder-tree.c:
	Use "document-properties" icon in pop-up menu.

2007-10-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #473903

	* mail-send-recv.c: (build_dialog), (receive_get_folder):
	Fixes serious warnings, rest is because of this fix.
	* em-event.c: (em_event_target_new_send_receive):
	* em-event.h: (struct _EMEventTargetSendReceive),
	(em_event_target_new_send_receive):
	Changed structure member and function prototype to reflect fixes.

2007-10-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #469657

	* em-composer-prefs.c:
	* em-folder-tree-model.c:
	* em-format.c:
	* em-format-html.c:
	* em-migrate.c:
	* em-subscribe-editor.c:
	* mail-component.c:
	* mail-send-recv.c:
	* message-list.c:
	* importers/elm-importer.c:
	Use destroy functions in GHashTables to simplify memory management.

2007-10-01  Sankar P  <psankar@novell.com>

	* em-format-html.c: (efh_format_headers):
	Display Face header value if contacts doesn't 
	have any image associated with them.
	Fixes bug mentioned in #481235 and not the 
	enhnacement request.

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	* em-account-editor.c:
	* evolution-mail.schemas.in:
	* mail-config.glade:
	Use consistent terminology for mail messages (#480621).

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #477045

	* em-format-html.c (efh_format_headers):
	* em-migrate.c (upgrade_passwords_1_2):
	Use GLib's Base64 API instead of Camel's.

2007-09-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #461195

	* mail-marshalers.list: Remove needless marshalers.

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #477045

	* em-folder-tree.c:
	* em-folder-view.c:
	* em-popup.c:
	* mail-component.c:
	* mail-mt.c:
	* mail-send-recv.c:
	* message-list.c:
	Use standard icon names where applicable.

2007-09-21  Matthew Barnes  <mbarnes@redhat.com>

	* Makefile.am:
	Distribute README.async (#478704).

	* importers/Makefile.am:
	Remove references to evolution-outlook-importer.c and
	netscape-importer.c; we haven't shipped them for over two years
	(see ChangeLog entry for 2005-07-01).

2007-09-21  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #411125

	* message-list.etspec:
	Uses 'compare="collate"' instead of 'compare="string"' to handle UTF
	characters correctly.

2007-09-17  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #472865

	* em-composer-utils.c: (ask_confirm_for_unwanted_html_mail):
	Show dialog only when there is any recipient, not always.

2007-09-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #476040

	* em-folder-browser.c:
	* message-list.c:
	Use "mail-attachment" icon instead of "stock_attach".

2007-09-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #473514

	* em-filter-rule.c: (option_activate), (get_rule_part_widget):
	Allow rule part fill space if requested.

2007-09-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #231178

	* filtertypes.xml: Added 'label' filtertype to the list.

2007-09-07  Johnny Jacob  <jjohnny@novell.com>
 
	** Partial Fix for #467581.
	
 	* mail-component.c : (enable_folder_tree) : Get the right URIs for
	selected and current folders.
 	
2007-09-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #473903

	* em-folder-utils.c: (new_folder_created_cb),
	(emfu_popup_new_folder_response):
	* em-folder-tree.c: (get_last_child),
	(em_folder_tree_select_prev_path):
	* em-composer-utils.c: (composer_get_message):
	* em-format.c: (em_format_add_puri):
	* em-mailer-prefs.c: (junk_plugin_changed), (junk_plugin_setup):
	Fixes serious compiler warnings.

2007-09-06  Andre Klapper  <a9016009@gmx.de>

	* mail-config.c: (config_cache_labels):
	Don't translate empty label names.
	Fixes bug 363645. Thanks to Bastien Nocera.

2007-09-06  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #304993 (Novell Bugzilla)

	* em-folder-selector.c: (emfs_response): Do allow folder selection of
	created folders.
	* em-folder-utils.c: (new_folder_created_cb): Expand only if selection
	is not asked for.

2007-09-01  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-view:
	Use modern icon names for "Junk" and "Not Junk".

2007-08-31  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #377763

	* em-icon-stream.c: (emis_fit): Do not scale under 1x1 pixel.

2007-08-31  Srinivasa Ragavan  <sragavan@novell.com>

	** Move away from g_assert to g_return* calls 

	* em-account-editor.c: (emae_auto_detect), (emae_queue_widgets):
	* em-filter-editor.c: (select_source):
	* em-filter-rule.c: (xml_encode):
	* em-folder-properties.c: (emfp_commit), (emfp_get_folder_item):
	* em-folder-tree-model.c: (folder_renamed):
	* em-folder-tree.c: (em_folder_tree_get_model_storeinfo):
	* em-folder-utils.c: (emfu_popup_new_folder_response):
	* em-folder-view.c: (emfv_setup_view_instance):
	* em-format-html-display.c: (efhd_attachment_optional):
	* em-format-html.c: (em_format_html_add_pobject),
	(efh_format_timeout):
	* em-format.c: (em_format_add_puri):
	* em-migrate.c: (emm_setup_initial):
	* em-sync-stream.c: (sync_op):
	* em-utils.c: (em_uri_to_camel):
	* em-vfolder-rule.c: (em_vfolder_rule_add_source),
	(em_vfolder_rule_find_source), (em_vfolder_rule_remove_source),
	(xml_encode):
	* mail-component.c: (view_control_activate_cb), (setline_done),
	(mail_component_get_folder), (mail_component_get_folder_uri):
	* mail-config-factory.c: (mail_config_control_factory_cb):
	* mail-config.c: (mail_config_get_accounts):
	* mail-folder-cache.c: (mail_note_store_remove), (mail_note_store):
	* mail-mt.c: (do_op_status):
	* mail-ops.c: (mail_append_mail), (mail_transfer_messages):
	* mail-send-recv.c: (free_send_data), (mail_send_receive),
	(mail_receive_uri):
	* mail-session.c: (alert_user):
	* mail-tools.c: (mail_tool_uri_to_folder):
	* mail-vfolder.c: (mail_vfolder_add_uri),
	(mail_vfolder_delete_uri), (mail_vfolder_rename_uri),
	(store_folder_renamed):
	* message-list.c: (get_message_uid), (get_message_info),
	(get_normalised_string), (ml_duplicate_value), (ml_free_value),
	(ml_initialize_value), (ml_value_is_empty), (ml_value_to_string),
	(subtree_unread), (subtree_size), (subtree_latest),
	(ml_tree_value_at), (ml_tree_sort_value_at),
	(ml_tree_set_value_at), (build_subtree), (add_node_diff),
	(remove_node_diff), (build_subtree_diff), (ml_getselected_cb),
	(message_list_thaw):

2007-08-30  Gavin Scott <gavindscott@yahoo.com>

	** Fixes bug #351672

	* em-folder-tree.c: Remove unneeded gtk_drag_finish call
	
2007-08-28  Wadim Dziedzic  <wadimd@svn.gnome.org>

	* default/Makefile.am: added Polish translation of welcome email
	* default/pl: 

2007-08-27  Srinivasa Ragavan  <sragavan@novell.com>

	* em-format-html.c: Fix a typo build break.

2007-08-27  Johnny Jacob  <jjohnny@novell.com>

	** Fix for #467635.

	* evolution-mail.schemas.in : Changed string.
	
2007-08-27  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #431459

	* em-format-hook.c: (emfh_construct): Enable format plugins while
	loading only.

2007-08-27  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #364700

	* em-junk-hook.c: (em_junk_init): Load/Enable junk plugins while
	loading only.
	* mail-session.c: (mail_session_add_junk_plugin):

2007-08-27  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #256878 from Vincent Untz

	* em-format-html-display.c: Set the string for valid signatures.
	* em-format-html.c:

2007-08-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #414420 by Ed Catmur

	* em-folder-view.c: (struct _EMFolderViewPrivate),
	(emfv_destroy), (emfv_popup_mark_unread), (mst_free),
	(emfv_list_done_message_selected):
	Fix crasher on repeated destroy.

2007-08-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #385414 by makuchaku (Mayank)

	* em-format-html.c: (efh_format_source):
	Use ...PRESERVE_8BIT rather than ...ESCAPE_8BIT for message source.

2007-08-24  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #464338

	* em-folder-browser.c: (emfb_folder_create): Fetches the CamelFolderInfo
	from the EMFolderTree.

2007-08-24  Li Yuan  <li.yuan@sun.com>

	* mail-config.glade:
	Fix for #262682. Add labelled-by relation between labels and
	entry.

2007-08-23  Sankar P  <psankar@novell.com>

	reviewed by: Andre Klapper <a9016009@gmx.de>

	* Fix for bug #468869

	* mail-config.glade:
	Mark strings for Translation.

2007-08-22  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #468303

	* em-mailer-prefs.c: (junk_plugin_setup): Add strings for i18n.

2007-08-21  Tobias Mueller  <tobiasmue@svn.gnome.org>

	** Another fix for bug #467382

	* em-folder-view.c: Changing position of emfb_enable_map to 
	be able to compile with -pedantic

2007-08-21  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #468734

	* em-mailer-prefs.c: (label_color_set): color-set signal has no rgba
	passed.

2007-08-20  Matthew Barnes  <mbarnes@redhat.com>

	* mail-component.c (enable_folder_tree):
	Alternate fix for bug #467599 (also bug #467883).

2007-08-20  Tobias Mueller  <tobiasmue@svn.gnome.org>

	** Fix for bug #467382

	* em-folder-browser.c: Changing position of emfb_enable_map to 
	be able to compile with -pedantic

2007-08-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #367760

	* em-utils.c: (em_filename_make_safe): Added '#' as non-safe character.
	* em-utils.c: (em_utils_save_part): Using em_filename_make_safe and
	creates filename similar to em_utils_save_parts.
	* em-utils.c: (em_utils_save_parts): Using em_filename_make_safe.

2007-08-20  Johnny Jacob  <jjohnny@novell.com>

	** Fix for bug #467599.
		
	* mail-component.c: (enable_folder_tree): No need to emit a
	folder_selected signal when no folder is selected. Plugged a
	memory leak.
			
2007-08-20  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #467165

	* em-folder-tree.c: (emft_tree_user_event): If the event is null, it
	may be a keyboard event. 

2007-08-16  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #350539

	* em-format-quote.c: (emfq_format_headers), (emfq_text_plain):
	* em-format.c: (emf_multipart_alternative), (emf_inlinepgp_signed):
	* em-popup.c: (emp_part_popup_set_background):
	* em-format-html.c: (efh_text_plain), (efh_message_external),
	(efh_format_headers):
	Ensures non-NULL part.

2007-08-16  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #467198

	* mail-component.c: (enable_folder_tree): Initialize the camel
	exception.

2007-08-16  Johnny Jacob  <jjohnny@novell.com>

	** Fix for #364431.
	
	* em-subscribe-editor.c : (sub_editor_refresh) : Wait for thread
	to finish before refreshing.
	
2007-08-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #466548

	* em-composer-utils.c: (em_utils_composer_send_cb):
	e_msg_composer_get_preferred_account can return NULL, so test for it.

2007-08-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #352346

	* em-migrate.c (em_update_accounts_2_11), (em_migrate):
	Added function to change "spool" to "spooldir" for those
	spools which points on directories.

2007-08-13  Johnny Jacob  <jjohnny@novell.com>

	** Fix for #458498 from Lucky Wankhede <wlakke@novell.com>
	
	* evolution-mail.schemas.in : String fix.
	
2007-08-08  Srinivasa Ragavan  <sragavan@novell.com>

	* em-folder-browser.c: (emfb_set_folder): Use the gconf key to
	unselect mail and preview.
	* evolution-mail.schemas.in: Add a new gconf key to have a safe view
	if the selected mail crashes.

2007-08-07  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #464312

	* em-folder-tree-model.c: (em_folder_tree_model_get_selected): If the
	selected uri is empty string, let it be NULL.
	* em-folder-tree.c: (emft_tree_selection_changed),
	(em_folder_tree_select_prev_path): If nothing is selected, remove
	message list and preview.
	* em-folder-view.c: (emfv_set_folder): Don't dup NULL
	* message-list.c: (message_list_set_folder): Don't dup NULL

2007-08-07  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #419690

	* message-list.c: (message_list_construct): FALSE isn't really equal 
	to NULL.

2007-08-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #463061

	* em-mailer-prefs.c: (em_mailer_prefs_construct): Set the signal
	handlers later than assigning values to radio groups.

2007-08-02  Tobias Mueller <muelli@auftrags-killer.org>

	* message-list.c: (regen_list_regened) Removed dead if 
	statement, fixes bug #387312
	
2007-08-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for expanding newly created folders from Lucky

	* em-folder-browser.c: (emfb_folder_create):
	* em-folder-selector.c: (emfs_response),
	(em_folder_selector_set_selected),
	(em_folder_selector_set_selected_list):
	* em-folder-tree.c: (em_folder_tree_set_selected_list),
	(emft_popup_new_folder), (em_folder_tree_set_selected):
	* em-folder-tree.h:
	* em-folder-utils.c: (new_folder_created_cb),
	(emfu_popup_new_folder_response), (em_folder_utils_create_folder):
	* em-folder-utils.h:
	* mail-component.c: (impl_createView), (create_item),
	(create_local_item_cb), (impl_requestCreateItem):

2007-07-31  Veerapuram Varadhan  <vvaradhan@novell.com>

	* em-format-html.c (efh_format_headers): Do not show the
	pretty-"on-behalf-of"-band for all messages that has Sender header
	set, instead rely on the custom X-Evolution-Mail-From-Delegate
	flag that will be added by each providers.
	
2007-07-30  Chenthill Palanisamy  <pchenthill@novell.com>

	* em-format-html.c: (efh_format_headers): Marked 
	a string for translation.
	
	Committing on behalf of Bharath Acharya <abharath@novell.com>	

2007-07-30  Chenthill Palanisamy  <pchenthill@novell.com>

	* em-format-html.c: (efh_format_headers): Displaying a message
	to the recipient of the mail informing him about delegated mails.
	The message is displayed for all mails containing the "Sender" field			       					 
	Committing on behalf of Bharath Acharya <abharath@novell.com>	

2007-07-29  Rob Bradford  <rob@robster.org.uk>

	** Potential fix for: #453668

	* mail-folder-cache.c: (folder_changed):
	Deal with the fact that camel_folder_get_message_info can return NULL
	and therefore don't try and dereference anything from that pointer.

2007-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #459030

	* em-format-html.c (efh_format_address): Workaround broken N_ strings.

2007-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	* em-folder-browser.c: (emfb_list_key_press): Fix a build break with
	Magic spaebar.

2007-07-24  Johnny Jacob  <jjohnny@novell.com>

	** Fix for bug #458894
	
	* em-account-prefs.c : (account_delete_clicked) : Test the
	validity of Iter and select the row accordingly.

2007-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #453544 from hggdh

	* mail.error.xml:

2007-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #428123 from Lucky

	* mail-config.glade:

2007-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #332112 from Lucky

	* mail-send-recv.c: (receive_done):

2007-07-29  Johnny Jacob  <jjohnny@novell.com>

	** Fix for bug #237989

	* em-folder-browser.c : Adding more support for bkspace in magic
	space bar feature.
	* em-folder-tree.c (em_folder_tree_select_prev_path) :
	Added. Select the previous folder.

2007-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #458820 from Cosimo Cecchi

	* em-mailer-prefs.c: (photo_toggle_changed),
	(em_mailer_prefs_construct):

2007-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	* em-mailer-prefs.c: (em_mailer_prefs_construct): Fix a crash while
	starting preferences window.

2007-07-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #303937

	* message-list.c: (ml_tree_drag_data_received):
	Don't do anything when ml->folder is NULL.

2007-07-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* em-utils.c: (em_utils_save_parts): Do not free const pointer.
	Plugged memory leak.

2007-07-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #273386

	* em-format-html.c: (efh_format_timeout):
	Clear preview and show text "Formatting message" at the beginning.

	* em-format-html-display.c: (efhd_attachment_show):
	Changed debug output to print also pointer address.
	* em-format.c: (emf_clear_puri_node):
	Added debug output to see which memory is going to be freed.
	* em-format-html.c: (efh_url_requested), (efh_format_headers):
	Warnings cleanup.

2007-07-26  Sankar P  <psankar@novell.com>

	* Committed on behalf of  Atos Origin Communication Systems 
	<support-syscom@osorigin.com>
	* em-composer-utils.c: (em_utils_send_receipt):
	- Fixes malformed body part headers for a MDN
	See bug #458275

2007-07-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* em-folder-browser.c: (emfb_search_search_activated): Plugged memory
	leak.

2007-07-17  Sankar P  <psankar@novell.com>

	* em-format-html.c: (efh_format_headers):
	Decodes Face header and displays the image.

2007-07-16  Sankar P  <psankar@novell.com>

	* em-composer-prefs.c: (em_composer_prefs_construct):
	* em-composer-prefs.h:
	* mail-config.glade:
	Provide support for keeping your signature on top
	while replying.

2007-07-11  Srinivasa Ragavan  <sragavan@novell.com>

	* em-format-html-display.c: (efhd_attachment_button): Take warning
	softly instead of a crash.

2007-07-09  Chenthill Palanisamy  <pchenthill@novell.com>

	reviewed by: Veerapuram Varadhan <vvaradhan@novell.com>

	* em-composer-utils.c: (em_utils_send_receipt): Added some flags so that
	the receipts work fine even if the account configured is not the default one.

	Committing on behalf of	Bharath Acharya <abharath@novell.com>
											     
2007-07-09  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-view.c: (emfv_setup_view_instance)
	Abort if ETable specification file fails to load.

2007-06-22  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #307410

	* em-utils.[ch]: (em_utils_clear_get_password_canceled_accounts_flag):
	Added new function to clear previously set flag to default value.
	* mail-session.c: (get_password): Storing and using new flag within
	account's service structure.
	* mail-component.c: (impl_sendAndReceive):
	Always clear flag to default when user clicks UI component.

2007-07-09  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #271864 from Hiroyuki Ikezoe

	* mail-component.c: (view_changed):

2007-07-09  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fix for bug #347782 from hggdh

	* em-format.c: (emf_multipart_encrypted),
	(emf_inlinepgp_encrypted):

2007-07-08  Johnny Jacob  <jjohnny@novell.com>

	* em-composer-utils.c : Added composer.presendcheck event. Fixes
	#334118.
	
2007-07-07  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #317281 from Michael P. Lepore 

	* filtertypes.xml: Add support to search/filter/vfolders on flag
	completion status
	* searchtypes.xml:
	* vfoldertypes.xml:

2007-07-07  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #312370 from B S Srinidhi

	* em-format-html.c: (emfh_gethttp):

2007-07-06  Matthew Barnes  <mbarnes@redhat.com>

	* em-format-html-print.c:
	Use new gtk_html_print_operation_run() function in GtkHTML.

2007-07-04  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Added the hook for plugging into Send/Receive dialog for the
	Evolution RSS plugin.

	* em-event.c: (em_event_target_new_send_receive):
	* em-event.h:
	* mail-send-recv.c: (build_dialog), (mail_send_receive):

2007-07-03  simon.zheng  <simon.zheng@sun.com>

	** Fix for bug #453294

	* em-utils.c: (em_utils_save_parts): Convert filename encoding 
	from UTF-8 to current locale before saving attachement.

2007-07-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #449811

	* em-folder-browser.c: (emfb_list_key_press): Magic space bar works
	only under non-caret mode.

2007-07-02  Wang Xin  <jedy.wang@sun.com>

	Fixes #450820.

	* em-format-quote.c: Add an empty new line at the beginning
	of the mail body when relpying a mail.

2007-06-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #352947

	* em-account-editor.c: (smime_sign_key_select),
	(smime_encrypt_key_select): EMAccountEditor isn't a GtkWidget.

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>
	
        ** Fix for bug #448223 from Gilles Dartiguelongue

	* em-folder-browser.c: (generate_viewoption_menu):

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #445812 from Gilles Dartiguelongue

	* em-folder-view.c: (emfv_on_url_cb):
	* em-popup.c: (em_popup_target_new_uri):
	* em-popup.h:

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #437935 from  Gilles Dartiguelongue  

	* em-folder-tree-model.c: (em_folder_tree_model_is_type_inbox):

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #443659 from Vinod

	* em-account-prefs.c: (account_able_clicked),
	(account_able_toggled), (account_cursor_change):

2007-06-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #330175
	
	* em-folder-view.c: (emfv_message_reply):
	Added helper function html_contains_nonwhitespace which returns TRUE
	if selected html text contains at least one non-space character.

2007-06-16  Srinivasa Ragavan  <sragavan@novell.com>

	** Add support for the Magic Space Bar.

	* em-folder-browser.c: (html_scroll), (emfb_init),
	(emfb_list_key_press):
	* em-folder-tree.c: (emft_tree_user_event),
	(em_folder_tree_select_next_path):
	* em-folder-tree.h:

2007-06-15  Matthew Barnes  <mbarnes@redhat.com>

	* mail-send-recv.c:
	Use ellipsized GtkLabels instead of EClippedLabels (#447727).

2007-06-13  Sankar P  <psankar@novell.com>

	* em-folder-view.c:
	Fixes build break by including missing headers.
	See #442631

2007-06-12  Bastien Nocera  <hadess@hadess.net>

	* em-folder-view.c: (emfv_list_key_press):
	Add support for the XF86Reply and XF86MailForward multimedia
	keys (Closes: #442631)

2007-06-09  Matthew Barnes  <mbarnes@redhat.com>

	* Makefile.am:
	Fix a minor typo spotted by Gilles Dartiguelongue (#386503).

2007-06-05  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-view.c (emfv_on_url_cb):
	Duplicate a translated string since we free it later.

2007-06-05  Daniel Nylander <po@danielnylander.se>

	* default/Makefile.am: Added sv to SUBDIRS

2007-06-04  Matthew Barnes  <mbarnes@redhat.com>

	* mail-ops.h: Fix another implicit function declaration.

2007-05-28  Veerapuram Varadhan  <vvaradhan@novell.com>

	* em-folder-tree.c: (emft_popup_new_folder),
	(em_folder_tree_get_selected_folder_info): Do not fetch
	folder-info from backend - just use the data from the current
	folder tree.

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

        ** Fix for version removal from Installed files from Gilles Dartiguelongue 

	* Makefile.am:

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #438461 from Gilles Dartiguelongue  

	* mail-config.glade:

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #443140 from Vinod

	* mail.error.xml:

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #3355396 from Muktha  

	* em-account-editor.c:
	(em_account_editor_folder_selector_button_new):
	* mail-config.glade:

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

	* evolution-mail.schemas.in.in: Default for photo to be false.

2007-05-12  Gilles Dartiguelongue  <dartigug@esiee.fr>

	** Compilation warnings cleanup

	* em-composer-utils.c: (composer_get_message):
	* em-event.c: (em_event_target_new_composer):
	* em-filter-folder-element.c: (xml_encode), (xml_decode):
	* em-filter-rule.c: (xml_encode), (load_set), (xml_decode):
	* em-filter-source-element.c: (xml_encode), (xml_decode), (clone):
	* em-folder-browser.c: (emfb_search_config_search),
	(emfb_folder_refresh):
	* em-folder-tree-model.c: (em_folder_tree_model_load_state),
	(find_xml_node), (em_folder_tree_model_get_expanded),
	(em_folder_tree_model_set_expanded), (expand_foreach_r),
	(em_folder_tree_model_expand_foreach),
	(em_folder_tree_model_is_type_inbox),
	(em_folder_tree_model_get_selected),
	(em_folder_tree_model_set_selected):
	* em-folder-tree.c: (tree_drag_data_get), (emft_drop_folder),
	(emft_drop_async_desc):
	* em-folder-view.c: (emfv_selection_get), (emfv_popup_delete),
	(emfv_message_reply), (emfv_on_url_cb):
	* em-format-hook.c: (emfh_construct_group), (emfh_construct):
	* em-format-html-display.c: (em_format_html_get_search_dialog),
	(efhd_html_link_clicked), (efhd_drag_data_get),
	(efhd_bonobo_object), (efhd_optional_button_show),
	(efhd_attachment_optional), (efhd_format_optional):
	* em-format-html.c: (efh_url_requested), (efh_text_plain),
	(efh_text_enriched), (efh_write_text_html),
	(efh_message_deliverystatus), (efh_format_address),
	(efh_format_header):
	* em-format-quote.c: (emfq_format_address), (emfq_format_source),
	(emfq_text_plain), (emfq_text_enriched), (emfq_text_html):
	* em-format.c: (em_format_format_content), (em_format_format_text),
	(emf_multipart_alternative), (emf_message_deliverystatus):
	* em-icon-stream.c: (emis_sync_write):
	* em-inline-filter.c: (emif_add_part), (emif_scan):
	* em-junk-hook.c: (emjh_construct_group), (emjh_construct):
	* em-mailer-prefs.c: (labels_changed), (emmp_header_add_header),
	(junk_plugin_changed), (junk_plugin_setup),
	(em_mailer_prefs_construct), (emmp_header_from_xmldoc),
	(em_mailer_prefs_header_from_xml), (em_mailer_prefs_header_to_xml):
	* em-mailer-prefs.h:
	* em-migrate.c: (xml_find_node), (upgrade_xml_uris),
	(upgrade_xml_uris_1_0), (load_accounts_1_0), (utf8_reencode),
	(upgrade_xml_1_2_rec), (upgrade_passwords_1_2), (is_mail_folder),
	(get_local_et_expanded), (get_local_store_uri),
	(upgrade_vfolder_sources_1_4),
	(em_migrate_folder_view_settings_1_4), (remove_system_searches),
	(emm_setup_initial):
	* em-utils.c: (em_utils_selection_get_mailbox),
	(em_utils_selection_get_message), (em_utils_selection_set_uidlist),
	(em_utils_selection_get_uidlist), (em_utils_selection_set_urilist),
	(em_utils_selection_get_urilist), (em_utils_part_to_html),
	(em_utils_message_to_html):
	* em-utils.h:
	* em-vfolder-rule.c: (xml_encode), (xml_decode),
	(select_source_with_changed):
	* importers/mail-importer.c: (import_mbox_import):
	* mail-component.c: (impl_createView), (status_check):
	* mail-config.c: (mail_config_signature_run_script):
	* mail-session.c: (mail_session_add_junk_plugin):
	* mail-signature-editor.c: (get_text), (menu_file_save_cb):
	* mail-tools.c: (mail_tool_get_local_movemail_path),
	(mail_tool_do_movemail):
	* message-list.c: (address_compare), (get_normalised_string),
	(message_list_setup_etree), (load_hide_state):
	* message-list.h:

2007-06-02  Ross Burton  <ross@openedhand.com>

	* mail-send-recv.c:
	Pass a CamelException when refreshing folders, removing the spew
	of warnings (#439957).

2007-06-02  Srinivasa Ragavan  <sragavan@novell.com>

	* em-utils.c: (em_utils_contact_photo): Removing few debug statements.

2007-06-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Outlook style reply option for bug #415770 from gicmo

	* em-composer-utils.c: (composer_set_body):
	* mail-config.glade:
	* mail-config.h:

2007-06-01  Karl Relton  <karllinuxtest.relton@ntlworld.com>

        ** Fix for bug #311512

	* mail-folder-cache.c (folder_changed): Check the added uids for
	messages which are not seen/deleted/junk and compare their
	received date with the timestamp of the last new-mail notification
	- if any are more recent than that, notify the user.

2007-06-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Adds support for Contact Image in the preview pane

	* em-folder-view.c: (emfv_message_selected_timeout),
	(emfv_setting_notify):
	* em-format-html.c: (efh_format_headers):
	* em-format.c: (emf_init):
	* em-format.h:
	* em-mailer-prefs.c: (em_mailer_prefs_construct):
	* em-mailer-prefs.h:
	* em-utils.c: (em_utils_in_addressbook), (em_utils_contact_photo):
	* em-utils.h:
	* evolution-mail.schemas.in.in:
	* mail-config.glade:

2007-05-31  Daniel Nylander <po@danielnylander.se>

	*default/sv : Added Swedish Welcome mail. 

2007-05-31  Jeff Cai <jeff.cai@sun.com>
	
	* em-folder-view.c (emfv_message_selected_timeout) : 
	use displayed_uid instead of selected_uid.
	Fix #441992

2007-05-28  Jules Colding  <colding@omesc.com>

	* em-utils.c (em_utils_selection_set_urilist): Fix file leak
	(em_utils_selection_get_urilist): Fix file leak

	* importers/evolution-outlook-importer.c (import_outlook_import): Fix file leak

	* importers/mail-importer.c (import_mbox_import): Impossible code branch commented

	* importers/netscape-importer.c (netscape_import_filters): Fix file leak
	(netscape_init_prefs): Fix file leak

2007-05-28  Srinivasa Ragavan  <sragavan@novell.com>

	* evolution-mail.schemas.in.in: Make thread expand default to true.
	The threads should be expanded by default. Bug in previous commit.

2007-05-25  Matthew Barnes  <mbarnes@redhat.com>

	* mail-send-recv.c:
	Revert the dialog_map() solution and use ellipsized labels.
	Also, only the label column in the GtkTable should expand and fill,
	and never show a horizontal scrollbar.  (#335241)

2007-05-19  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #439512

	* em-mailer-prefs.c: (junk_plugin_changed): Mark strings for
	translation.

2007-05-17  Srinivasa Ragavan  <sragavan@novell.com>

	** Improved GMail like thread sorting. Even expanded threads are
	promoted up the list.

	* message-list.c: (ml_tree_sort_value_at),
	(message_list_construct): Add a provision to sort mails based on the
	lastest date of the thread with out substituting the value for
	display. 

2007-05-16  Srinivasa Ragavan  <sragavan@novell.com>

	** Added support to specify the default thread state for messages.

	* evolution-mail.schemas.in.in:
	* message-list.c: (message_list_construct):

2007-05-15  Srinivasa Ragavan  <sragavan@novell.com>

	** Improved options for offline support.

	* em-folder-view.c: (prepare_offline), (emfv_prepare_offline): Adds
	option for downloading for offline.
	* evolution-mail.schemas.in.in:
	* mail-component.c: (status_check): Adds a option for non-sync while
	going offline.
	* mail-ops.c: (prepare_offline_desc), (prepare_offline_do),
	(prepare_offline_done), (prepare_offline_free),
	(mail_store_prepare_offline):
	* mail.error.xml:

2007-05-13  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #334966 
	* mail-component.c: (view_changed), (view_changed_cb),
	(impl_createView), (impl_quit), (mail_component_init): When the quit
	is happening, never try to set the title.

2007-05-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #337616

	* Makefile.am: Add $(schema_DATA) to DISTCLEANFILES.

2007-05-11  Jules Colding  <colding@omesc.com>

	* mail-config.c (mail_config_signature_run_script): file descriptor leaks fixed

2007-05-11  Srinivasa Ragavan  <sragavan@novell.com>

	* GNOME_Evolution_Mail.server.in.in: Add Tango icons to preference
	window.

2007-05-11  Srinivasa Ragavan  <sragavan@novell.com>

	** Added support for Refresh folder and Flush Outbox functions.

	* em-folder-browser.c: (emfb_folder_refresh):
	* em-folder-tree.c: (emft_popup_refresh_folder),
	(emft_popup_flush_outbox), (emft_popup):
	* em-popup.c: (em_popup_target_new_folder):
	* em-popup.h:

2007-05-03  Sankar P  <psankar@novell.com>

	* em-folder-view.c: (emfv_activate):
	Do not restrict "Edit as New Message" to 
	Sent Folder alone.
	Fixes #205728

2007-05-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Added code to improve the new mail hook to provide the number of
	new mails received and if the folder is an INBOX.

	* em-event.c: (em_event_target_new_folder):
	* em-event.h:
	* em-folder-tree-model.c: (em_folder_tree_model_is_type_inbox):
	* em-folder-tree-model.h:
	* mail-folder-cache.c: (real_flush_updates), (update_1folder):

2007-04-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #426812

	* em-format-html-print.c:
	* em-format-html-print.h:
	* em-folder-view.c:
	* em-folder-view.h:
	Refactor the printing infrastructure.

2007-04-20  Srinivasa Ragavan  <sragavan@novell.com>

	* em-composer-prefs.c: (signature_key_press): Fix for bug #353662
	from  Baris Cicek.

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #429422

	* mail-tools.c (mail_tool_get_local_movemail_path):
	* em-utils.c (em_utils_save_part_to_file):
	* em-migrate.c (cp_r), (em_migrate_folder),
	(em_migrate_pop_uid_caches_1_4), (em_migrate_folder_expand_state_1_4),
	(em_migrate_folder_view_settings), (em_migrate_imap_cmeta_1_4),
	(em_migrate_1_4), (emm_setup_initial), (em_migrate):
	* em-folder-tree-model.c (em_folder_tree_model_save_state):
	* mail-component.c (mail_component_init):
	Use g_mkdir_with_parents() instead of e_util_mkdir_hier().

	* mail-send-recv.c:
	Some cosmetic refactoring.

	* mail-send-recv.c (dialog_map):
	Use gtk_widget_set_size_request() instead of gtk_widget_set_usize().

	* mail-send-recv.c (build_dialog):
	e_gtk_button_new_with_icon() is dead; just do it manually.

	* em-format-html-display.c (efhd_bonobo_object):
	* em-format-html.c (efh_init):
	* message-list.c (message_list_init):
	Use g_object_ref_sink() instead of gtk_object_sink().

	* em-account-prefs.c (em_account_prefs_construct):
	Use g_object_ref() instead of gtk_widget_ref().
	Use g_object_unref() instead of gtk_widget_unref().

	* em-folder-view.c (emfv_setup_view):
	Use g_build_filename() instead of g_concat_dir_and_file().

2007-04-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #423766

	* em-format-html-display.c (attachments_save_all_clicked):
	Call em_utils_save_part() if there's only one attachment to save.

	* em-utils.c (em_utils_save_part):
	Refactor to use gtk_dialog_run() instead of a "response" callback.

	* em-utils.c (em_utils_save_parts):
	Refactor to use gtk_dialog_run() instead of a "response" callback.
	Use gtk_file_chooser_get_uri() to fetch the selected folder.

2007-04-11  Srinivasa Ragavan  <sragavan@novell.com>

	* em-folder-view.c: (emfv_spin), (emfv_message_selected_timeout): Add
	a progress spinner widget in the preview while fetching messages.

2007-04-09  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #343195 

	* em-folder-properties.c: (emfp_dialog_got_folder): Get total number
	of mails with CAMEL_FOLDER_TOTAL if the folder is junk folder.

2007-04-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #383953

	* em-folder-properties.c (emfp_get_folder_item):
	Show unread messages before total messages.

	* mail-component.c (view_changed):
	Show unread or selected messages before total messages.

2007-04-06  Matthew Barnes  <mbarnes@redhat.com>

	* message-list.c: More intelligent message selection.  (#332765)
	Patch from Christof Krüger

2007-04-06  Matthew Barnes  <mbarnes@redhat.com>

	* mail-session.c (main_system_beep): Unref 'session'.  (#424795)
	Patch from Karl Relton

2007-04-05  Matthew Barnes  <mbarnes@redhat.com>

	* mail-send-recv.c (refresh_folders_get):
	Provide a CamelException to camel_folder_refresh_info().

2007-04-04  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-tree.c (emft_model_row_changed):
	Update parent rows when a child row changes.  (#352713)
	Patch by René Stadler.

2007-04-03  Srinivasa Ragavan  <sragavan@novell.com>

	* em-migrate.c: (emm_setup_initial): Fix for evolution on crashing
	while setting up the first account.

2007-04-03  Matthew Barnes  <mbarnes@redhat.com>

	* em-event.h: Don't #include <composer/e-msg-composer.h> since we
	don't install that file.  Doing so prevents third-party applications
	like mail-notification from building. (#400241)

2007-04-03  Srinivasa Ragavan  <sragavan@novell.com>

	Reworked the SPAM plugins with more UI options and support for
	multiple plugins.

	* em-folder-view.c:
	* em-junk-hook.c: (emjh_construct_item), (emjh_construct):
	* em-junk-hook.h:
	* em-mailer-prefs.c: (junk_days_activate), (emmp_empty_junk_init),
	(junk_plugin_changed), (junk_plugin_setup),
	(create_combo_text_widget), (em_mailer_prefs_construct):
	* em-mailer-prefs.h:
	* evolution-mail.schemas.in.in:
	* mail-component.c: (impl_createView), (mc_quit_delete),
	(impl_quit):
	* mail-config.glade:
	* mail-session.c: (init), (mail_session_add_junk_plugin),
	(mail_session_get_junk_plugins):
	* mail-session.h:

2007-04-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #411331

	* em-folder-browser.c: (emfb_gui_folder_changed): Fix the message
	selection.

2007-04-03  Matthew Barnes  <mbarnes@redhat.com>

	* evolution-mail.schemas.in.in:
	Correctly capitalize SpamAssassin.  (#375577)
	Patch from Priit Laes.

2007-04-03  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-browser.c:
	* em-folder-view.c:
	* message-list.c:
	Load "emblem-important" instead of deprecated
	"stock_mail-priority-high" icon.  (#387619)
	Patch from Rodney Dawes.

2007-04-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #373117

	* em-composer-prefs.c:
	* em-composer-prefs.h:
	* em-mailer-prefs.c:
	* em-mailer-prefs.h:
	* mail-config.glade:
	Migrate from GnomeColorPicker to GtkColorButton.

2007-03-30  Matthew Barnes  <mbarnes@redhat.com>

	* em-format-html-display.c (icon_entry_changed_cb): Fix a typo.

2007-03-29  Matthew Barnes  <mbarnes@redhat.com>

	* em-utils.c:
	* mail-config.c:
	Evolution requires GLib 2.10 now; remove dead backward-compatibility
	code for GLib < 2.8 (#418971).

2007-03-29  Matthew Barnes  <mbarnes@redhat.com>

	* em-account-editor.c:
	* em-folder-view.c:
	* em-format-html-display.c:
	* em-format-html.c:
	* em-format.h:
	* em-mailer-prefs.c:
	* em-vfolder-rule.c:
	* mail-ops.c:
	* mail-send-recv.c:
	* message-list.c:
	Fix "incompatible pointer type" warnings (#360619).

2007-03-27  Matthew Barnes  <mbarnes@redhat.com>

	* em-mailer-prefs.c:
	* em-mailer-prefs.h:
	* mail-config.glade:
	Migrate from GnomeFontPicker to GtkFontButton (#373837).

2007-03-27  Matthew Barnes  <mbarnes@redhat.com>

	* em-folder-browser.c:
	* em-format.c:
	* em-popup.c:
	Don't mix declarations and code (#405495).

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

	* em-migrate.c (emm_setup_initial): Use g_get_language_names()
	instead of gnome_i18n_get_language_list().

2007-03-16  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #360240

	* em-vfolder-rule.c (select_source_with_changed), (get_widget):
	* em-format-quote.c (emfq_format_source):
	* mail-ops.c (save_messages_save):
	* em-format.c (emf_init):
	* em-format-html-display (em_format_html_get_search_dialog),
	(em_format_html_display_seearch_with), (ehhd_resize),
	(efhd_attachment_optional), (efhd_format_optional):
	* em-folder-view.c (emfv_init):
	* message-list.c (ml_tree_value_at):
	Remove unused variables.

2007-03-12  Harish Krishnaswamy <kharish@novell.com>

	*default/C : Update Welcome mail. 

2007-02-27  Simon Zheng  <simon.zheng@sun.com>

	* Fixes #402727
	
	* em-folder-view.c: (em_folder_view_print),
	Remove setting default response id because 
	of print-preview button in print_unix_dialog
	aren't set GTK_CAN_DEFAULT flag.

2007-02-26  Sankar P  <psankar@novell.com>

	* Committed on behalf of 
	Raghavendran R <raghavguru7@gmail.com>

	* Fixes #256382

	* em-folder-view.c: (emfv_mail_next_unread),
	(emfv_mail_previous_unread):
	Mail grabs the focus when keyboard-shortcut 
	to move to next (un)read mail is used.

2007-02-23  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #356177

	* mail-session.c: Remove an unused EMutex.

2007-02-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #350253

	* em-format-html-print.h:
	Rename show_rupert field to show_icon.

	* em-format-html-print.c (efh_format_headers):
	Lookup the evolution icon by name.

2007-02-12  Kjartan Maraas  <kmaraas@gnome.org>

	* em-folder-browser.c: (emfb_search_search_activated):
	Add NULL check before calling strcmp(). Fixes a crash
	reported in bug #382155.

2007-02-12  Srinivasa Ragavan  <sragavan@novell.com>

	** Print migration updates from Ebby Wiselyn

	* em-folder-browser.c:
	* em-folder-view.c: (emfv_print_response), (em_folder_view_print):
	* em-format-html-print.c: (efhp_footer_cb), (emfhp_complete),
	(mail_draw_page):

2007-02-10  Duarte Loreto <happyguy_pt@hotmail.com>

	* default/pt/Inbox: Updated welcome message to 2.8 version

2007-02-08  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #400726

	* em-format-html-print.c: #include <e-util.e-print.h>

2007-02-07  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #359979, #384183

	* em-camel-stream.c (sync_op):
	* em-sync-stream.c (sync_op):
	* mail-session.c (alert_user):
	e_msgport_wait()'s behavior is now block-and-pop instead of
	block-and-peek.

2006-09-12  Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #353921

	* em-format-html.c: (em_format_html_get_search_dialog): "Back"
	and "Forward" buttons changed to "Previous" and "Next"
	respectively.

2007-01-24  Wang Xin <jedy.wang@sun.com>

	* em-folder-browser.c: Fixes 397195.

2007-01-22  Raghavendran R <raghavguru7@gmail.com>

       * em-event.[c,h]: (em_event_target_new_composer):
          Creates and returns an event target (composer).
	
2007-01-22  Srinivasa Ragavan  <sragavan@novell.com>

	** GtkPrint migration patch from Ebby Wiselyn.

	* em-folder-view.c: (emfv_print_response), (em_folder_view_print):
	* em-format-html-print.c: (efhp_finalise), (efhp_footer_cb),
	(emfhp_complete), (mail_draw_page), (em_format_html_print_print),
	(em_format_html_print_message), (em_format_html_print_raw_message):
	* em-format-html-print.h:

2007-01-17  Srinivasa Ragavan  <sragavan@novell.com>

	** Downstream fix from OpenSUSE

	* message-list.c: Fix for compiler warning.

2006-01-08  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes 346728, 268412
	
	* mail/em-subscribe-editor.c: (sub_fill_level): When a folderinfo
	has no child but CAMEL_FOLDER_NOCHILDREN not set, create a place
	holder node, such that, on-expanding it, folders will be loaded on
	demand.  This saves quite-a-lot-of-memory and time when an account
	has lots of public-folders - viz., exchange/IMAP
	(sub_row_expanded): Check for the place-holder node and fire-up a
	pending.
	(sub_row_activated): Just expand and collapse the tree accordingly
	- rest will be taken care by sub_row_expanded()
	(sub_folderinfo_free): Once fillin is over, expand the node - iff
	node is non-null.

2006-12-22  Simon Zheng  <simon.zheng@sun.com>

	* mail/em-account-editor.c: (emae_setup_service):
	Fix the regression of bugzilla bug #352108.

2006-12-21  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* mail/em-format-html-display.c: (efhd_image_unallocate),
	(efhd_attachment_image):
	
	Disconnect handlers on image destroy. Fixes bug
	#340165.

2006-12-18  Sankar P  <psankar@novell.com>

	* mail-send-recv.c: (get_folders):
	Do not check for mails in all folders, for Exchange.
	Will be more than useful when you have a lot of folders.

2006-12-05  Srinivasa Ragavan  <sragavan@novell.com>

	* em-folder-browser.c: (generate_viewoption_menu): Added icon/image to
	the quick search items.

2006-12-04  Matthew Barnes  <mbarnes@redhat.com>

	Fixes bug #382431

	* em-format.c: Fix implicit declaration of function
	'mail_config_get_message_limit'.

2006-12-04  Matthew Barnes  <mbarnes@redhat.com>

	Fixes bug #357970

	* em-folder-browser.c:
	* em-folder-view.c:
	Don't call deprecated GLib / GDK functions.

2006-12-03  Harish Krishnaswamy  <kharish@novell.com>

	* mail-component.c: (mc_startup): Do not attempt to
	prune GW proxies on startup as this handled by the plugin
	now.

2006-11-28 Daniel Gryniewicz <dang@gentoo.org>

	** Fix for bug #349966

	* em-utils.c: (emu_save_part_response), (em_utils_save_part),
	(emu_save_parts_response), (em_utils_save_parts),
	(emu_save_messages_response), (em_utils_save_messages):
	* evolution-mail.schemas.in.in:

2006-11-26  Srinivasa Ragavan  <sragavan@novell.com>

	* Fix for bug #337439 DoS attach with large emails

	* em-format-html-display.c: (efhd_class_init),
	(efhd_attachment_popup), (efhd_format_attachment),
	(efhd_optional_button_show), (efhd_resize),
	(efhd_attachment_optional), (efhd_format_optional):
	* em-format-html.c: (efh_text_plain), (efh_text_enriched),
	(efh_write_text_html), (efh_message_deliverystatus):
	* em-format-quote.c: (emfq_format_source), (emfq_text_plain),
	(emfq_text_enriched), (emfq_text_html):
	* em-format.c: (emf_init), (em_format_format_content),
	(em_format_format_text), (emf_message_deliverystatus):
	* em-format.h:
	* em-mailer-prefs.c: (mlimit_count_changed),
	(em_mailer_prefs_construct):
	* em-mailer-prefs.h:
	* em-utils.c: (em_utils_part_to_html), (em_utils_message_to_html):
	* evolution-mail.schemas.in.in:
	* mail-config.c: (gconf_mlimit_size_changed),
	(gconf_mlimit_changed), (mail_config_init),
	(mail_config_get_address_count), (mail_config_get_message_limit):
	* mail-config.glade:
	* mail-config.h:

2006-11-09  Francisco Javier F. Serrador  <serrador@openshine.com>

	* default/Makefile.am: Added "es" to SUBDIRS
	
2006-11-09  Francisco Javier F. Serrador  <serrador@openshine.com>

	* default/es/Inbox: Added Spanish welcome mail.
	* default/es/Makefile.am: Added Makefile

2006-11-09  Sankar P  <psankar@novell.com>

	* em-folder-browser.c: (emfb_view_hide_selected):
	* em-folder-view.c: (emfv_popup_delete):
	* mail.error.xml:
	Disable mail delete for proxy when there are not enough rights

2006-10-16  Tor Lillqvist  <tml@novell.com>

	Fix for #348212:

	* mail-mt.h: On Win32 we don't want to use the mail_thread_queued
	variable outside the libevolution-mail DLL, but instead access its
	value through a getter function.

	* mail-mt.c: Make mail_thread_queued static on Win32.
	(mail_win32_get_mail_thread_queued): New function that returns the
	value of mail_thread_queued.

2006-10-16  Chris Heath  <chris@heathens.co.nz>

	* mail-component.c (create_local_item_cb): Fix memory leak.
	Fixes bug #360815.

2005-10-16  Sankar P  <psankar@novell.com>

	* mail-ops.c: (em_filter_folder_element_describe)
	Changes the string displayed in the status bar.
	Fixes #320615

2006-10-16  Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #308276

	* mail.error.xml : secondary for "vfolder-notunique" corrected.

2006-10-16  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fix for bug #333864 and bug #351374 

	* em-format-html-display.c: (efhd_image_resized),
	(efhd_image_unallocate), (efhd_attachment_image): Make sure that the
	callback is removed when the puri is destroyed.

2006-09-30  Harish Krishnaswamy  <kharish@novell.com>

	* em-format-html-display.c: (em_format_html_get_search_dialog):
	Do not mark empty strings for translation. Fixes #357422.
	
2006-09-29  Daniel Gryniewicz  <dang@gentoo.org>

	* em-folder-view.c: ignore marked, empty selections when replying.
	Fixes bug #354650. (committed by Andre Klapper)

2006-09-29  Nick Sukharev  <nick@galaktika.ru>

	* mail/em-format-html.c: UUEncoded calendars will be displayed as 
	calendars, not as plain text. Fixes bug #352767.
	(committed by Andre Klapper)

2006-09-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #341932 Patch from Roozbeh Pournader
	
	* em-format-html.c: (efh_format_header): patch to enlarge
	the buffer for printing date.

2006-09-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes a lot of search issue.

	* em-folder-browser.c: (emfb_init), (em_folder_browser_show_wide),
	(vfolder_setup_desc), (emfb_search_search_activated),
	(emfb_edit_cut), (emfb_edit_select_all), (emfb_set_folder):

2006-09-28  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Pushing a downstream fix in SUSE.
	
	* message-list.c: (message_list_init), (message_list_destroy),
	(folder_changed), (regen_list_regened): Fix to indicate object destroy 
	* message-list.h: removed the old mechanism.

2006-09-18  Matthew Barnes  <mbarnes@redhat.com>

	Fixes #351332

	* em-folder-view.c:
	* em-format-html-display.c:
	Fix implicit function declarations.

2006-09-14  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #353920

	* em-folder-browser.c: (emfb_search_search_activated): Mark two
	messages for translation which have not been marked by accident.

2006-09-13  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #355294

	* em-folder-view.c: (emfv_popup_delete): Set the cursor on delete.

2006-09-09  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* default/nl/Inbox: Dutch welcome message updated by
	Vincent van Adrighem and Wouter Bolsterlee.

2006-09-04  Nickolay V. Shmyrev <nshmyrev@yandex.ru>

	* mail-component.c: (impl_dispose)
	(view_changed_timeout_remove) (view_changed_timeout):
	Fixes a crash on exit-time issue. Resolves #334966
	
2006-08-29  Li Yuan <li.yuan@sun.com>

	* em-folder-browser.c: (em_folder_browser_show_preview):
	remove GNUC only macro.
	Fix for #353344.

2006-08-28  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #352982 and bug #336983
	
	* em-folder-view.c: (emfv_popup_delete), (emfv_select_all_text):
	Fixes the issue of thread jumping on delete and enables COPY menu item
	when clicking Select All Text.

2006-08-28  Srinivasa Ragavan  <sragavan@novell.com>

	* em-format-html.c: (efh_format_address): Fix for a crash during
	displaying camel address group.

2006-08-28  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #353059

	* em-folder-browser.c: (generate_viewoption_menu): Added translated
	strings to search, which are already translated.

2006-08-27  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #352980

	* em-folder-view.c: (em_folder_view_get_popup_target): Disable deleted
	for deleted message, and dont allow to workaround DEL key to move to
	next message.

2006-08-26  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #336983
	
	* em-folder-view.c: (emfv_init), (emfv_on_html_button_released_cb):
	Enable/disable Edit->Copy on button release on html.

2006-08-24  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #352695

	* message-list.c: (regen_list_regened): Dont store the save state, if
	the search is in place.

2006-08-23  Srinivasa Ragavan  <sragavan@novell.com>

	* em-utils.c: Update the doc for em_utils_temp_save_part.

2006-08-02  Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #347238

	* em-utils.h : Added a boolean variable to determine the readonly mode
	* em-utils.c (em_utils_temp_save_part) : Save in readonly mode or not.
	* em-popup.c (emp_apps_open_in) : set Read only for "open in"
	attachments.
	* em-format-html-display.c (efhd_drag_data_get) : Set 644 for dnd
	attachments.
	* mail-ops.c (save_part_save): 	File permissions changed to 644 
	while saving the attachment and drag and drop.

2006-08-22  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fix for bug #350337

	* message-list.c: (ml_tree_value_at): Patch from Daniel Gryniewicz to
	check the null string.

2006-08-22  Andre Klapper  <a9016009@gmx.de>

	* default/C/Inbox: Update the Welcome mail.

2006-08-22  simon.zheng  <simon.zheng@sun.com>

	** Fixes for bug #352108

	* em-account-editor.c: (emae_service_url_path_changed),
	(emae_path_changed),
	(emae_setup_service):
	Replace widget GnomeFileEntry by GtkFileButton.

2006-08-21  Matthew Barnes  <mbarnes@redhat.com>
  	 
	* mail-send-recv.c:
	Silence Camel exception warning at startup - fixes bug 352248.

2006-08-21  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fixes a lot of search issues including widget packing.

	* em-folder-browser.c: (generate_viewoption_menu),
	(viewoption_menu_generator), (emfb_realize), (emfb_init),
	(em_folder_browser_show_preview), (emfb_search_search_activated),
	(emfb_search_search_cleared), (emfb_list_key_press),
	(emfb_list_message_selected), (emfb_set_search_folder):
	* em-folder-view.c: (emfv_init), (emfv_message_search),
	(em_folder_view_get_popup_target), (emfv_setting_notify):
	* em-folder-view.h:
	* em-message-browser.c: (emmb_init):

2006-08-19  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #350884
	
	* message-list.c: (subtree_latest), (ml_tree_value_at): Sort thread
	based on the date of last message received.

2006-08-17  Kjartan Maraas  <kmaraas@gnome.org>

	* message-list.c: (create_composite_cell): Plug a leak.

2006-08-17  Kjartan Maraas  <kmaraas@gnome.org>

	* em-format-html.c: (efh_url_requested): Plug a leak.

2006-08-09  Srinivasa Ragavan  <sragavan@novell.com>

	* em-folder-browser.c: (em_folder_browser_get_wide),
	(emfb_activate): Get the wide status from the priv struct when
	available already instead of gconf.
	* em-folder-browser.h: 
	* em-folder-view.c: (emfv_setup_view_instance): Get the wide status
	from the parent struct. It avoids a race, where it shows compressed
	headers in classic view and vice versa.

2006-08-09  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #348565

	* em-format-html-display.c (efhd_bar_resize) (efhd_add_bar): Check 
	the bar size, 	before setting the width. The width goes to zero, 
	when switching from classic to vertical view and vice versa.

2006-08-09  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #350411 #350476
	
	* em-mailer-prefs.c (notify_sound_changed): When prefs comes up,
	nothing is set in FILE chooser, so it returns NULL and bypass it.
	(em_mailer_prefs_construct): Get the file chooser widget before
	setting radio active.

2006-08-08  Harish Krishnaswamy  <kharish@novell.com>

	* em-folder-tree.c: Add header glib/gi18n.h to provide the missing
	symbol required by the previous commit. This was an ugly crasher
	on the release tarball candidate.
	
2006-08-07  Karsten Bräckelmann  <guenther@rudersport.de>

	* em-folder-tree.c (render_display_name): Marking vFolder names in
	the folder tree localizable. Fixes bug #330915 (Roozbeh Pournader).

2006-08-04  Johnny Jacob  <jjohnny@novell.com>

	* em-format-html-display.c : Added mnemonic for "Fi_nd" and
	"Fo_rward".
	* em-folder-browser.c : (get_view_query) : Added query for
	"messages masrked as important"
	
2006-08-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #335241

	* mail-send-recv.c: (dialog_map), (build_dialog): Let the send receive
	dialog grow to a fixed size, before we show the scroll bar. 

2006-07-26  Alessandro Decina <alessandro@nnva.org>

	** Fix for bug #348164
	
	* em-folder-browser.c: (emfb_class_init):
	Remove the unused G_TYPE_STRING parameter from the
	account_search_activated and account_search_cleared signals.

	* mail-component.c: (disable_folder_tree), (enable_folder_tree):
	Update the callbacks to match the new signature.

2006-07-28  Sankar P  <psankar@novell.com>

	* committed on behalf of Srinivasa Ragavan <sragavan@novell.com>
	* em-icon-stream.c: (emis_fit):
	We dont scale on height if the maxheight is zero
	Fixes 335431
		
2006-07-26  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes bgo bug #333821 and bnc bug 181851

	* mail-folder-cache.c: (ping_store_ping): Ping store only iff
	store is online and connected.
	
2006-07-26  Arvind <sa.phoenix@gmail.com>

	** Fix for bug #274276

	* em-folder-selection-button.c: (set_contents): Localizes the folder 
	names in the filter and while importing mail

2006-07-26  Andre Klapper  <a9016009@gmx.de>

	* em-folder-browser.c: correcting a grammar bug. Fixes bug #348674.

2006-07-24  Ushveen Kaur  <kushveen@novell.com>

	** Fixes Bug #341840
	
	* mail-error.xml: button label changed for dialog ask-mark-read.

2006-07-24  Sushma Rai  <rsushma@novell.com>

	* em-account-editor.c: (emae_option_entry) : activate the mnemonic for
	text box, add an extra paramenter to the function call.
	Fixes #332282.
	Patch submitted by "Vandana Shenoy .B <shvandana@novell.com>"

2006-07-24  Sushma Rai  <rsushma@novell.com>

	* em-subscribe-editor.c (_EMSubscribeEditor): Removed the members 
	subscribe_button and unsubscribe_button.
	(sub_do_subscribe)(sub_subscribe)(sub_editor_subscribe)
	(sub_editor_unsubscribe): Removed.
	(sub_selection_changed)(em_subscribe_editor_new): Removed the handling
	for the subscribe and unsubscribe buttons.

	* mail-dialogs.glade: Removed "Subscribe" and "Unsubscribe" buttons.
	Fixes #331509.

2006-07-22  Yuri Pankov <yuri.pankov@gmail.com>

	Reviewed by Harish Krishnaswamy <kharish@novell.com>

	* message-list.c: Add missing headers. Fixes #344744.

2006-07-22 Yuri Pankov <yuri.pankov@gmail.com>
	
	Reviewed by Harish Krishnaswamy <kharish@novell.com>

	* em-format-html-display.c: Add missing headers.
	* mail-vfolder.h: Add function prototypes.Fixes #347689.

2006-07-21  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #346316

	* em-folder-browser.c: (em_folder_browser_show_wide): Redraw the child
	widgets and pack it accordingly.

2006-07-20  Srinivasa Ragavan  <sragavan@novell.com>

	* em-format-html-display.c: (efhd_attachment_bar_refresh): Modified
	the mnemonics for avoiding the conflict with search.

2006-07-19  Johnny Jacob  <jjohnny@novell.com>

	** Fix for bug #347993
	
	* em-folder-browser.c : Changed default scope of search to
	'Current Folder'

2006-07-14 Raghavendran R <raghavguru7@gmail.com>

	** Fix for bug #330355

	 * em-mailer-prefs.c:Mailer Preferences. New mail notification,
	"specify filename" was enabled for radNotifyNot and radNotifyBeep.
	Disable the button, when it wasnt for button.

2006-06-10 Shree Krishnan <shreekrishnan@gmail.com>

	** Fix for bug #338442
	* mail-config.glade: Set the mnemonic character for "Send message receipts" 

2006-07-18  Andre Klapper  <a9016009@gmx.de>

	* message-tags.glade: remove "*" from translation. Fixes bug #331147.

2006-07-14  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #336963

	* em-folder-browser.c: (emfb_init): Make the scrollbar automatic.

2006-22-06 Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #335241

	* mail-send-recv.c: a scroll box added for the send recv popup dialog.

2006-07-14  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #335747

	* em-folder-browser.c: (emfb_mark_all_read): Prompt optionally while
	marking multiple messages.
	* evolution-mail.schemas.in.in: Added a schema for prompting while
	marking multiple messages.

2006-07-13  Andre Klapper  <a9016009@gmx.de>

	* mail-config.glade: remove empty strings from translation

2006-07-11  Karsten Bräckelmann  <guenther@rudersport.de>

	* em-folder-view.c: Change mnemonic for Mark as Unimportant, fixes
	bug #347246.

2006-07-11  Johnny Jacob  <johnnyjacob@gmail.com>

	Fixes #246235.
	* em-vfolder-rule.c (get_widget): Deleted the option menu and
	replaced with radio buttons.
	* mail-dialogs.glade: Removed option menu and added radio buttons

2006-07-11  Johnny Jacob  <johnnyjacob@gmail.com>

	** Fixes Bug # 324241

	* mail/em-composer-prefs.c (em_composer_prefs_construct): Changed
	signal handled for sig_edit and sig_delete from "pressed" to
	"clicked".

2006-07-11  Johnny Jacob  <jjohnny@novell.com> 

	** Patch by Not Zed  <NotZed@Ximian.com>
	** See bug #262003

	* em-format-html-display.c (efhd_xpkcs7mime_validity_clicked): put
	the potentially long descriptions into a textbuffer so it's
	scrollable.

2006-07-07 Ushveen Kaur <kushveen@novell.com>

	Fixes bug #336963.
	* em-message-browser.c:
	set the scroll bar in the message display to automatic
	
2006-07-07  Andre Klapper  <a9016009@gmx.de>

	* em-format-html-display.c: Changing one mnemonic to avoid a
	mnemonic conflict with an upcoming patch by Jony.

2006-07-05  Andre Klapper  <a9016009@gmx.de>

	* em-format-html-display.c: Added mnemonic to string.
	Fixes bug #346645.

2006-06-30  Johnny Jacob <jjohnny@novell.com>
	* mail/em-folder-browser.h: Added search_activated signal
	* mail/em-folder-view.c: (emfv_init):
	* mail/em-format-html-display.c: (efhd_search_response),
	(efhd_search_response_back), (efhd_search_destroy),
	(efhd_search_case_toggled), (efhd_key_pressed),
	(clear_button_clicked_cb), (icon_entry_changed_cb),
	(em_format_html_get_search_dialog), (set_focus_cb),
	(em_format_html_display_search),
	(em_format_html_display_search_with),
	(em_format_html_display_search_close):
	* mail/em-format-html-display.h:
	* mail/mail-component.c: (disable_folder_tree),
	(enable_folder_tree), (impl_createView):
	* mail/mail-vfolder.c: (mail_vfolder_add_uri),
	(mail_vfolder_get_sources_local),
	(mail_vfolder_get_sources_remote), (store_folder_renamed):
	* mail/message-list.c: (ml_tree_value_at),
	(message_list_setup_etree):
	* mail/message-list.etspec:
	Added code for search ui.

2006-06-27  Matthew Barnes  <mbarnes@redhat.com>

	* evolution-mail.schemas.in.in:
	Changed type name "boolean" to "bool". Fixes bug #345677.

2006-06-27  Arvind_evo  <sa.phoenix@gmail.com>
		
	Fix for bug#260354 comment 35:
	* mail-component.c: set the window title to reflect the
	localized folder names

2006-06-21  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #344338
	
	* em-folder-browser.c: (emfb_edit_select_all): grab focus after
	Ctrl+A.

2006-06-19  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #344580

	* message-list.c: (create_composite_cell),
	(composite_cell_set_strike_col), (message_list_set_folder): Strike out
	deleted mails, if set to visible

2006-06-14  Tor Lillqvist  <tml@novell.com>

	* em-account-editor.c (emae_check_complete): g_get_real_name()
	returns UTF-8 on Win32.

2006-06-13  Andre Klapper <a9016009@gmx.de>

	* mail.error.xml: changing string "Ximian Evolution" to "Evolution".
	Fixes bug #344298.

2006-06-13  Tor Lillqvist  <tml@novell.com>

	* em-format-html.c (efh_format_address): Fix build on Win32, where
	EVOLUTION_ICONSDIR is a function call.

2006-06-12  Srinivasa Ragavan  <sragavan@novell.com>

	* message-list.etspec: Corrected the sortable parameter of the message
	list correctly.

2006-06-29  Chris Heath <chris@heathens.co.nz>

	* message-list.c (message_list_finalise): Fix memory leak.
	Fixes bug #335423.

2006-06-07  Srinivasa Ragavan  <sragavan@novell.com>

	* em-format-html.c: (efh_format_address): Fixed a minor bug, where the
	plus symbol appears if the limit equals the address shown.

2006-06-06  Harish Krishnaswamy  <kharish@novell.com>

	* evolution-mail.schemas.in.in: typo correction.
	Fixes #331694.

2006-06-02  Jeffrey Stedfast  <fejj@novell.com>

	* em-folder-view.c (emfv_setup_view_instance): Can't make camel
	calls from the main thread or we run the risk of deadlocking.

2006-06-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Added support for Vertical View in evolution in addition to the
	existing classical view. It also supports a composite headers to be
	shown in a multilined column.

	* em-folder-browser.c (emfb_pane_realised),
	(emfb_pane_button_release_event, emfb_init),
	(em_folder_browser_show_preview, em_folder_browser_show_wide),
	(emfb_show_next, emfb_show_below, emfb_activate): Added code to
	handle the new wide mode in Evolution.

	* em-folder-view.c (emfv_setup_view_instance),
	(em_folder_view_setup_view_instance): Added code to handle the
	default view in the wide mode for normal and sent/draft folders.

	* evolution-mail.schemas.in.in: Added schema for hpane size,
	showing email in the composite headers and toggling wide more.
	
	* message-list.c (ml_duplicate_value, ml_free_value),
	(ml_initialize_value, ml_value_is_empty, ml_value_to_string),
	(sanitize_recipients, ml_tree_value_at, create_composite_cell),
	(message_list_create_extras): Added a new composite header
	render_composite_from/recipient which shows the headers in a
	multilined column.

	* message-list.etspec: Added three new columns, Recipent, Messages
	column for normal folders and Messages column for sent/draft
	folders.

2006-05-30  Li Yuan  <li.yuan@sun.com>

	Fix for #341381.

	* message-list.c (message_list_set_folder): We should lock
	e-tree-memory when we change it.

2006-05-30  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #332936

	* mail.error.xml: Used a new property called scroll that adds the
	multilines error messages into a viewport.

2006-05-25  Srinivasa Ragavan  <sragavan@novell.com>

	** Added remote shares save/load support across evolution.

	* em-utils.c (emu_file_check_local, emu_get_save_filesel),
	(emu_save_part_response, emu_save_parts_response),
	(emu_save_messages_response): Added code to save
	messages/attachments to remote shares.

	* mail-ops.c (save_messages_save, save_part_save): Same.

2006-05-25  Srinivasa Ragavan  <sragavan@novell.com>

	** fixes bug #342092

	* em-popup.c (emp_standard_menu_factory): Read the mime from the
	right file.

2006-05-25  Srinivasa Ragavan  <sragavan@novell.com>

	Added support for collapsible headers for To/Cc/Bcc fields.

	* em-folder-view.c (emfv_format_link_clicked, emfv_on_url_cb):

	* em-format-html-display.c (efhd_html_button_press_event),
	(efhd_html_link_clicked, efhd_html_on_url, efhd_format_clone):

	* em-format-html.c (efh_url_requested, efh_format_text_header),
	(efh_format_address, efh_format_header):

	* em-mailer-prefs.c (address_compress_count_changed),
	(toggle_button_init, em_mailer_prefs_construct):

	* evolution-mail.schemas.in.in:

	* mail-config.c (gconf_address_count_changed),
	(gconf_address_compress_changed, mail_config_init),
	(mail_config_get_labels, mail_config_get_address_count):

	* mail-config.glade:

2006-05-24  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #342676
	
	* message-list.c: (ml_duplicate_value), (ml_free_value),
	(ml_initialize_value), (ml_value_is_empty), (ml_value_to_string):
	* message-list.etspec: Fixed the column sorter right.

2006-05-04  Jeffrey Stedfast  <fejj@novell.com>

	* mail-component.c (mail_component_remove_store): Ref the store
	before removing the store from our hash and cache. Should fix
	Novell bug #166987.

2006-04-30  Shi Pu <shi.pu@sun.com>
 
	** Fixes bug #323853

	* em-composer-prefs.c (sig_edit_cb, sig_add_script_response):

	* em-mailer-prefs.c (notify_sound_changed)
	(em_mailer_prefs_construct):

	* em-mailer-prefs.h:

	* mail-config.glade: Replace GnomeFileEntry by
	GtkFileChooserButton.
 
2006-04-27  Rodney Dawes  <dobey@novell.com>

	* em-folder-tree.c (render_pixbuf): Use gnome-fs-trash-empty
	rather than stock_delete for the Trash folder icon

	* em-folder-view.c (emfv_popup_items[]): Don't set an icon for
	Undelete
	(emfv_message_pixmaps[]): Don't set an icon for Undelete and set
	the icon for deleting a message to gnome-fs-trash-empty, not
	stock_delete

	Fixes #339626

2006-04-26  Srinivasa Ragavan  <sragavan@novell.com>

	** Patch from Victor for adding a Sender header to message list.

	* message-list.c (ml_duplicate_value, ml_free_value),
	(ml_initialize_value, ml_value_is_empty, ml_value_to_string),
	(ml_tree_value_at): Handled the new column header.

	* message-list.etspec: Added a new column header to spec.

	* message-list.h: Added a new column

2006-04-26  Srinivasa Ragavan  <sragavan@novell.com>

	* em-folder-view.c (emfv_setup_view_instance): Comparing the
	FolderInfo flags right, to make Mailbox to show From header in
	message list for groupwise servers.

2006-04-26  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #323402

	* em-folder-tree.c (folder_tree_new): Code for Ellipsizing folder
	tree. (Patch from Vincent Noel)

	* em-migrate.c: Adding side_bar_search to 

	* evolution-mail.schemas.in.in: Adding a schema for enabling/disabling
	side bar search. (Patch from Rakesh)

2006-04-24  Srinivasa Ragavan  <sragavan@novell.com>

	* mail-session.c (get_password): Ask passphrase if the user is
	supposed to enter the same.

2006-04-22  Srinivasa Ragavan  <sragavan@novell.com>

	* em-format-html-display.c (efhd_attachment_button),
	(efhd_format_attachment): Added code to create image cache of
	image attachment in the ethread instead of main thread to avoid
	gui lockup.

2006-04-21  Sankar P  <psankar@novell.com>

	* mail-mt.c (do_op_status): Fix the cryptic
	hexa-status-bar-message.  The problem still lies somewhere. But
	dont show something weird to the user.
	
2006-04-20  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #339052

	* em-inline-filter.c (emif_add_part): Preserve all Content-Type
	params so that they may be restored later.

	* em-format.c (emf_inlinepgp_signed): Restore the original part's
	Content-Type params otherwise we lose valuable information such as
	charset or format=flowed or various other things.

2006-04-18  Jeffrey Stedfast  <fejj@novell.com>

	* mail.error.xml: Removed error id "camel-exception" as it was a
	bogus error.

2006-04-14  Jeffrey Stedfast  <fejj@novell.com>

	* em-composer-utils.c (em_utils_handle_receipt): Fixed up the if
	conditional so that 'account' wasn't ever dereferenced when
	NULL. Fixes bug #324327.

2006-04-10  Jeff Cai <jeff.cai@sun.com>

	** Fixes 333243

	* em-folder-tree-model.c (em_folder_tree_model_remove_folders):
	For null uri, don't need remove it.

2006-04-05  Jeff Cai  <jeff.cai@sun.com>

	Fixes bug #333987
	
	* message-list.c (mail_folder_hide_by_flag):
	If CamelMessageInfo is null, don't free it.

2006-03-29  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* em-folder-view.c (smfv_setup_view_instance): use the flags
	CAMEL_STORE_FOLDER_INFO_SUBSCRIBED instead of
	CAMEL_STORE_FOLDER_INFO_FAST when getting folder info

2006-03-25  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	**Fixes #329585

	* mail-config.glade: Changed Remove button to Delete button

	* mail.error.xml: Changed current Layout DELETE [Do not delete] to
	[Do not delete] DELETE

2006-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* em-utils.c (em_utils_selection_set_urilist): Fixed premature
	memory free. Fixes bug #335203.

2006-03-21  Simon Zheng  <simon.zheng@sun.com>

	Fixed bug #326571

	* em-utils.c (em_filename_make_safe, emu_get_save_filesel):
	(emu_save_parts_response): Add em_filename_make_safe(), and use it
	to allow filenames contain more valid characters when saving
	attachments.

2006-03-20  Srinivasa Ragavan  <sragavan@novell.com>

	* em-folder-view.c (emfv_setup_view_instance): Added code to set
	the mail view column for sent folder.

2006-03-12  Frank Arnold  <farnold@cvs.gnome.org>

	* default/de/Inbox: Updated German translation of default inbox.

2006-03-06  Simon Zheng  <simon.zheng@sun.com>

	Fixes bug #332140

	* em-utils.c (em_utils_temp_save_part): Transfer filenames from
	utf-8 to glib encoding before really saving files.

2006-03-03  Andre Klapper  <a9016009@gmx.de>

	* configure.in:

	* mail/default/Makefile.am: added support for macedonian (mk)
	welcome message

2006-03-03  Vincent van Adrighem  <adrighem@gnome.org>

	* default/nl/Inbox: Tino Meinen updated the Dutch welcome message.

2006-03-03  Žygimantas Beručka  <zygis@gnome.org>

	* default/Makefile.am: Added Lithuanian to SUBDIRS.
	* default/lt/*: Added Lithuanian translation for default mailbox.

2006-03-02  Ilkka Tuohela  <hile@iki.fi>

	* fi.po: Updated Finnish inbox to actually use 2.6 example, not
	the old one...

2006-03-01  Ilkka Tuohela  <hile@iki.fi>

	* default/Makefile.am: added "fi" to SUBDIRS
	* default/fi/*: Added localized default mailbox for Finnish,

2006-02-28  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #332832

	* em-composer-utils.c (em_utils_compose_new_message_with_mailto):
	Added code to raise the window when a composer is created due to
	mailto: uri

2006-03-01  Andre Klapper  <a9016009@gmx.de>

	* default/C/Inbox: Update the Welcome mail.

2006-02-27  Jeffrey Stedfast  <fejj@novell.com>

	* em-format-html-display.c (efhd_xpkcs7mime_validity_clicked):
	Make the verify/decrypt gpg diagnostic text selectable in the
	security dialog that comes up when you click the button in a
	message. Fixes bug #268414.

2006-02-24  Sankar P  <psankar@novell.com>
	
	* em-account-editor.c (emae_check_complete, emae_identity_page):
	Added code to handle the case if the account is marked as default.
	Fixes #332034

2006-02-21  Veerapuram Varadhan <vvaradhan@novell.com>

	** Fixes bug #329733

	* em-folder-properties.c (emfp_dialog_got_folder): Fetch both
	VISIBLE and DELETED count from the folder and adjust it according
	before showing it in the properties dialog w.r.t user preferences.
       
2006-02-21  Tor Lillqvist  <tml@novell.com>

	* em-composer-utils.c: Use the same Win32 macro for gmtime_r()
	that guards against gmtime() returning NULL as elsewhere. gmtime()
	is thread-safe on Win32.
	(attribution_format): Check if camel returns
	CAMEL_MESSAGE_DATE_CURRENT for Date:, try the date from Received:
	then. If that doesn't work either, use current date.

2006-02-20  Srinivasa Ragavan <sragavan@novell.com>

	** Fixes bug #322160 and committed for PRSuman.

	* em-utils.c: Added code to pass a variable to overwrite/ro mode.

	* mail-ops.[ch]: Added code to take care of overwrite and set the file
	mode.

t2006-02-20  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** Fixes bug 33139

	* mail-vfolder.c: (mail_vfolder_shutdown):
	assign 'vfolder_hash' to NULL after destroying.

	Committed Patch on behalf of Joe Marcus Clarke (marcus@freebsd.org)

2006-02-16  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #331215
	
	* em-folder-browser.c: (emfb_activate): Uncommented the code to set
	the preview pane position.

2006-02-15  Parthasarathi Susarla <sparthasarathi@novell.com>

	* mail-mt.c (do_op_status): need to show the stauts message

2006-02-15  Shi Pu <shi.pu@sun.com>

	See bug ** 325967
	
	* em-account-editor.c (emae_service_url_changed): When username
	entry value of "Sending Email" page/tab is not empty, check combo
	box of authmech, to pick up the authmech information.

2006-02-13  Karsten Bräckelmann  <guenther@rudersport.de>
 
	* em-account-editor.c: Fix the Account Editor / Security option to
	finally be descriptive, rather than obscuring. Fixes the UI part
	of bug #321797.

2006-02-13  Rohini S  <srohini@novell.com>

	** Fixes bug #221270.

	* mail-send-recv.c (build_dialog): Removed white space before :
	when displaying account information in Send/Receive dialog.

2006-02-13  Andre Klapper <a9016009@gmx.de>

	* mail-mt.c: uncommenting a string. Fixes bug 271734.

2006-02-13  Sushma Rai  <rsushma@novell.com>

	* mail/em-account-editor.c (emae_option_checkspin)
	(emae_receive_options_extra_item): Creating the widget with 
	"use_underline" property. Fixes #330504.

2006-02-11  Andre Klapper <a9016009@gmx.de>

	* mail-config.glade: changed string and added translator comments.
	Fixes bug 256907.

2006-02-11  Karsten BrÃ€ckelmann  <guenther@rudersport.de>

	* message-list.c (message_list_construct): 
	* em-format-html-display.c (efhd_attachment_button, efhd_add_bar): 
	* em-account-prefs.c (em_account_prefs_treeview_new): 
	Change a11y names. Fixes part of bug #330723.

2006-02-10  Karsten BrÃ€ckelmann  <guenther@rudersport.de>

	* em-utils.c (em_utils_edit_filters): Fix Filters dialog window
	title to be HIG compliant. Fixes bug #330650.

2006-02-09  Sushma Rai  <rsushma@novell.com>

	* em-mailer-prefs.c (em_mailer_prefs_construct): Freeing font value 
	string. See #309316.

2006-02-08  Karsten BrÃ€ckelmann  <guenther@rudersport.de>

	* mail.error.xml: Fix typo and correct phrasing. Fixes bug #330387.

2006-01-09  Kjartan Maraas  <kmaraas@gnome.org>

	* em-account-editor.h: s/int/guint/g for 1-bit bitfield.
	* em-composer-utils.c: (em_utils_redirect_message): Remove cruft
	* em-folder-tree.c: (emft_drop_target): use guint for 1-bit bitfield
	and rename a variable with a name clash.
	* em-folder-utils.c: (em_folder_utils_rename_folder): Rename var to
	avoid name clashes.
	* em-folder-view.c: guint for 1-bit bitfields.
	* em-folder-view.h: Same as above.
	* em-format-html-print.h: Again.
	* em-format-html.c: (efh_text_html), (efh_multipart_related): Add comments
	* em-format.c: (emf_multipart_alternative): Add comment about using var that
	is passed in rather than a local variable.
	* em-inline-filter.c: (emif_scan): Remove unused var. Mark code static.
	* em-mailer-prefs.h: guint for 1-bit bitfields.
	* em-migrate.c: (em_migrate_folder): mark a struct static. remove unused var
	* em-subscribe-editor.c: guint for 1-bit bitfield
	* em-utils.c: remove unused function
	* em-vfolder-rule.c: mark array static
	* importers/mail-importer.c: (decode_status): Remove unused code. Use guint
	for 1-bit bitfield.
	* mail-autofilter.c: (rule_from_message): rename a variable
	* mail-component.c: guint for 1-bit bitfield
	* mail-folder-cache.c: (update_1folder): remove unused code
	* mail-mt.c: mark some structs static
	* message-list.c: (message_list_select_uid), (ml_value_to_string),
	(ml_tree_value_at), (find_next_undeleted), (build_tree),
	(build_flat): Remove unused code and fix some format specifiers.

2006-02-08  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	**Fixes #329586

	* em-account-prefs.c:

	* em-account-prefs.h: Changed the ODD behavior of Default button
	by checking whether an account is default or not and disabling the
	button when default account is in focus.

	Committing to head on behalf of rajeev
	
2006-02-08  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* em-account-prefs.c (em_account_prefs_construct): Reordering
	construction of dialog to prevent critical warnings (#328325).

2006-02-07  Andre Klapper <a9016009@gmx.de>
	* mail.error.xml: fixing one typo.

2006-02-06  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #328651
	
	* em-folder-view.c:
	* em-format-html-display.c:
	* evolution-mail.schemas.in.in:
	* mail-config.c (config_cache_labels):

2006-01-27  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>
	
	** Fixes bug #325786

	* em-folder-browser.c: Added code to display a prompt before
	marking All messages as Read.

	* mail-error.xml: Added a new error message for marking all
	message as read.

2006-02-06  Veerapuram Varadhan <vvaradhan@novell.com>

	** Fixes #326147

	* em-account-editor.c: (em_account-editor.c): Modify e_source to
	reflect to the reverted changes.
	
2006-02-05  Karsten BrÃ€ckelmann  <guenther@rudersport.de>

	* importers/pine-importer.c (pine_getwidget): Correcting
	"Addressbook" to properly read "Address Book".  Fixes bug #326256.

2006-02-02  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* em-composer-utils.c (em_utils_handle_receipt): check if account
	is null before accessing it

2006-01-30  Harish Krishnaswamy  <kharish@novell.com>

	* mail-config.glade: s/T_erminal/Fi_xed width/ for consistency with other
	GNOME applications.

2006-01-30  pavithran <pavithran@gmx.de>

	** Fixes bug #316223

	* em-utils.c (emu_save_parts_response): Added a confirmation
	dialog for overwriting existing file during save all.

2006-01-27  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	** Fixes #327000

	* em-format-html-display.c: Added code to change cursor to notify
	user on image fit to width

2006-01-26  Oswald Rodrigues <ozzy_rodrigues@yahoo.com>

	* em-popup.c: Corrected typo. changed Add to Addressbook to Add 
	to Address Book. Fixes bug 326256.

2006-01-23  Andre Klapper <a9016009@gmx.de>

	* mail.error.xml: fixed a typo. Fixes bug 328306.

2006-01-23  Ranjan Somani  <sranjan@novell.com>

	** Fixes #326795

	* em-message-browser.c: Pressing Esc key lets u close the window

2006-01-20  Nancy Cai <nancy.cai@sun.com>
	
	** Fixes #326649

	* em-account-prefs.c (mail_accounts_load): select the first row

2006-01-23  Srinivasa Ragavan  <sragavan@novell.com>

	* em-format-html-display.c (efhd_attachment_bar_refresh),
	(efhd_mnemonic_show_bar), (efhd_add_bar): Added Mnemonics for Save
	/ Save All and for show/hide attachment bar.

2006-01-19  Ranjan Somani  <sranjan@novell.com>

	** Fixes #318785

	* mail-config.glade: Resizing of Default n Enable button
 
	committing on behalf of Ranjan -partha
	 
2006-01-19  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug 324327

	* em-composer-utils.c (em_utils_handle_receipt): account can be
	null. Not necessary to send receipt when account is not enabled

2006-01-16  Harish Krishnaswamy  <kharish@novell.com>

	* mail-component.c (impl__get_userCreatableItems): remove shortcut
	keys (UI Hackfest - See
	http://go-evolution.org/Shortcut_Keys_Review).

2006-01-16  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #326877

	* em-folder-view.c (emfv_enable_menus): Reverting the patch to
	hide junk/not junk toolbuttons in disabled state.

2006-01-16  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #218570

	* em-folder-browser.c (emfb_expand_all_threads),
	(emfb_collapse_all_threads), (emfb_set_folder), (emfb_activate):
	Added code to handle expande/collapse all and call e-tree for regen of
	the list.
	* message-list.c (load_tree_expand_all),
	(message_list_set_threaded_expand_all),
	(message_list_set_threaded_collapse_all),
	(message_list_set_expand_all), (regen_list_regened): Added code to
	conditionally check for expand/collapse all and save the state after
	the operation.
	* message-list.h: Added state variable for expand/collapse all of
	threads.

2006-01-12  Rohini S  <srohini@novell.com>

	** Fixes bug #221270.

	* mail-send-recv.c (format_url, build_dialog): Changed to display
	account name in Send/Receive dialog.

2006-01-16  Srinivasa Ragavan  <sragavan@novell.com>

	* em-format-html-display.c (em_format_html_display_new): Changed
	event to scroll_event in rajeev's patch.

2006-01-12  Rohini S  <srohini@novell.com>
	
	** Fixes bug #246257

	* mail-dialogs.glade: Interchange of label and checkbox 
	positions in Find message dialog

	* em-format-html-display.c (efhd_update_matches),
	(em_format_html_display_search): Hide Matches Label on dialog open
	and Show Matches Label when required. Fixes bug 246257.

2006-01-16  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fixes bug #239929 (Committing Rajeev's patch)

	* em-format-html-display.c (efhd_scroll_event),
	(em_format_html_display_new): Adds handler to zoom-in/out on
	control scroll.
	
2006-01-13  Srinivasa Ragavan  <sragavan@novell.com>

	* em-folder-browser.c (emfb_etree_unfreeze, emfb_list_built):

	* message-list.c (message_list_setup_etree):

	Fixes the scroll issue with the message list.

2006-01-12  Srinivasa Ragavan  <sragavan@novell.com>

	* GNOME_Evolution_Mail.server.in.in:

	Changes MailView accel from Control+F1 to Control+1.

2006-01-10  Simon Zheng  <simon.zheng@sun.com>

	* em-composer-utils.c:
	* em-folder-tree-model.c (em_folder_tree_model_save_state):
	* em-format-html.c:
	* em-migrate.c (cp_r, em_migrate_folder),
	(em_migrate_pop_uid_caches_1_4),
	(em_migrate_folder_expand_state_1_4),
	(em_migrate_folder_view_settings_1_4), 
	(em_migrate_imap_cmeta_1_4),
	(em_migrate_1_4, emm_setup_initial), 
	(em_migrate):
	* em-popup.c:
	* em-utils.c (em_utils_save_part_to_file):
	* mail-component.c (mail_component_init):
	* mail-config.c:
	* mail-folder-cache.c:
	* mail-mt.c:
	* mail-ops.c:
	* mail-tools.c (mail_tool_get_local_movemail_path):
	Use e_util_mkdir_hier() instead of e_mkdir_hier().

	Use e_util_strstrcase() instead of e_strstrcasea().
    
	use e_strftime() in evolution-data-server/
	libedataserver/e-data-server-util.c instead of the copy in 
	evolution/e-util/e-util.c.
 
	use e_filename_make_safe() in evolution-data-server/
	libedataserver/e-data-server-util.c instead of the copy in 
	evolution/e-util/e-util.c.
	
	use e_utf8_strftime() in evolution-data-server/
	libedataserver/e-data-server-util.c instead of the copy in 
	evolution/e-util/e-util.c.

2006-01-06  Andre Klapper <a9016009@gmx.de>

	* evolution/mail/mail-ops.c:

	* evolution/mail/mail-send-recv.c:

	* evolution/mail/mail-session.c: changing "cancelled" (British
	English) to "canceled" (American English). Fixes bug 325334.

2006-01-06  Simon Zheng <simon.zheng@sun.com>

	* em-account-editor.c:
	* em-account-prefs.c:
	* em-composer-utils.c:
	* em-folder-tree-model.h:
	* em-migrate.c:
	* em-subscribe-editor.c:
	* em-utils.c:
	* importers/netscape-importer.c:
	* mail-config.c:
	* mail-crypto.c:
	* mail-ops.h:
	* mail-send-recv.c:
	* mail-vfolder.c:
	use libedataserver/e-account-list.h instead of e-util/e-account-list.h.
	use libedataserver/e-account.h instead of e-util/e-account.h.

2006-01-04  Srinivasa Ragavan  <sragavan@novell.com>

	* mail-tools.c: Uncommented mail_tool_get_local_movemail_path for
	non-win32 builds since it is used in non-win32 build.

2006-01-04  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* em-composer-utils.c (em_utils_composer_send_cb): Use the
	composer window as the parent window while showing the error
	message.

2006-01-02  Shreyas Srinivasan  <sshreyas@novell.com>

	* mail.error.xml: Fix 313095, Add error identifier
	ask-delete-proxy-accounts. 
	
2006-01-02  Harish Krishnaswamy  <kharish@novell.com>

	* em-folder-view.c (emfv_setting_notify): Remove the first check
	in the previous commit.  This is redundant as it is always
	guaranteed that the component has been activated at this point.
	And when not, it ought to crash :-).

2006-01-02  Harish Krishnaswamy  <kharish@novell.com>

	reviewed by: Parthasarathi <sparthasarathi@novell.com>

	* em-folder-view.c (emfv_setting_notify): Set the properties on
	the bonobo component only if it already has been activated. Fixes
	#325375 (critical warning crasher).

2006-01-01  Changwoo Ryu  <cwryu@debian.org>

	* em-folder-properties.c (emfp_dialog_got_folder): translate
	the labels of emfp_items.

	* em-account-editor.c (em_account_editor_construct): translate
	the labels of emae_{editor,druid}_items.
	
2006-01-01  Harish Krishnaswamy  <kharish@novell.com>


	* em-utils.c (em_utils_prompt_user),
	mail-config.glade, mail.error.xml:
	s/don't/do not/ string changes. Fixes #325276.

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* mail.error.xml: Fixing several typos and harmonizing
	  capital/small letters. Partially fixes bug 306117.

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* mail-session.c: changing "canceled" to "cancelled" to stay
	  consistant to the rest.  Fixes bug 325116.

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* evolution-mail.schemas.in.in: added quotes to literal values.
	  Fixes bug 272772.

2005-12-29  Andre Klapper <a9016009@gmx.de>

	* em-folder-properties.c: removed wrong singular string.
	  Fixes bug 311472.

2005-12-22  Andre Klapper <a9016009@gmx.de>

	* mail-config.glade: changed one duplicated mnemonic.
	  Fixes bug 313801.

2005-12-20  Andre Klapper <a9016009@gmx.de>

	* mail-config.glade: changing file selector window title from
	  "Execute command..." to "Select sound file". Fixes bug 324173.

2005-12-19  Andre Klapper <a9016009@gmx.de>

	* mail-config.glade: changed 3 HIG-violating mnemonics.
	  Fixes bug 256913.

2005-12-23  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #228040, #324677

	* em-folder-view.c (emfv_popup_flag_completed),
	(emfv_popup_flag_clear, emfv_enable_menus): Added menus for
	complete and clear. Also added code to refresh preview on setting
	flags. Also added code to hide junk/not-junk menu depending on
	their sensitivity.

	* em-utils.c (tag_editor_response, em_utils_flag_for_followup):
	Added code to refresh preview.
	
2005-12-22  Shreyas Srinivasan  <sshreyas@novell.com>

	* mail-component.[c,h]: Handle Network Disconnect
	sent by the shell. Add function status_check which 
	handles various Network states.
	
2005-12-21  Tor Lillqvist  <tml@novell.com>

	* em-camel-stream.c (em_camel_stream_init)
	* em-sync-stream.c (em_sync_stream_init): Use
	g_io_channel_win32_new_socket() on Win32 instead of
	g_io_channel_unix_new() to avoid confusion between file
	descriptors and sockets (which can and do overlap!). We know that
	e_msgport_fd() returns a socket on Win32.

2005-12-21  Not Zed  <NotZed@Ximian.com>
 
	* mail-component.c (impl_createView, view_changed_cb): api
	updates.
 
2004-12-21  Not Zed  <NotZed@Ximian.com>

	** See bug #60354.

	* mail-component.c (view_changed_cb): set the shell window title
	as well.
	(impl_createView): renamed from createControls, just return a
	EComponentView instead.

	Committed on behalf of notzed - partha

2005-12-21  Jeff Cai <jeff.cai@sun.com>

	** See bug 324473

	* em-account-editor.c (em_account_editor_construct): delete
	reference to account editor to make sure be destroyed when it is
	closed.

2005-12-21  Sam Yang  <sam.yang@sun.com>

	Fixes #324670

	* em-folder-view.c (emfv_setting_notify): Respond to the change of
	mail/display/paned_size in gconf.

2005-12-20  Veerapuram Varadhan  <vvaradhan@novell.com>

	Fixes #246256

	* mail-dialogs.glade: Change "Case _Sensitive" to "Case _sensitive".
	
2005-12-20  Boby Wang <Boby.Wang@sun.com> 

	** See bug 324319

	* em-format-html-display.c (efhd_add_bar): Add the accessible name
	of arrow button, and the attachment bar can be opened by gok.

2005-12-20  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug 234008

	* em-folder-tree-model.c:
	* mail-folder-cache.c:
	Make sure that the Draft folder highlights the number of messages in
	it
	
2005-12-18  Tor Lillqvist  <tml@novell.com>

	* Makefile.am: Use THREADS_CFLAGS and _LIBS. Don't need	CAMEL_LIBS.

	* em-account-editor.c
	* em-account-prefs.c
	* em-filter-editor.c
	* em-folder-browser.c
	* em-folder-view.c
	* em-format-html.c
	* em-format-html-display.c
	* em-mailer-prefs.c
	* em-message-browser.c
	* em-migrate.c
	* em-subscribe-editor.c
	* em-sync-stream.c
	* em-utils.c
	* em-vfolder-editor.c
	* em-vfolder-rule.c
	* mail-autofilter.c
	* mail-component.c
	* mail-config.c
	* mail-folder-cache.c: Use gstdio wrappers. Construct pathnames of
	glade, xml, etspec and png files at run-time. Use
	g_filename_{to,from}_uri().

	* em-folder-browser.c (emfb_init)
	* em-folder-view.c (emfv_finalise)
	* em-message-browser.c (emmb_init): As EMFolderView::ui_files now
	always is a list of filenames constructed with g_build_filename(),
	use g_free() on each list entry before calling g_slist_free() on
	the list.

	* em-folder-tree-model.c (em_folder_tree_model_load_state): Use
	e_xml_parse_file().

	* em-migrate.c: Bypass all the code for upgrading from 1.x on Win32.
	(emm_setup_initial): Use GDir instead of dirent.

	* em-sync-stream.c
	* mail-folder-cache.c: Use pthread_equal() to compare pthread_t
	values.

	* em-vfs-stream.c: No EINPROGRESS or ELOOP on Win32.

2005-12-17  Tor Lillqvist  <tml@novell.com>

	* mail-mt.c: Add copyright blurb. Use separate flag field to
	indicate whether a pthread_t field is valid or not. Use
	e_util_pthread_id() in debugging output.

	* mail-mt.c
	* mail-session.c
	* mail-vfolder.c: Include just <gtk/gtk.h> and not a handful of
	individual gtk headers. Harmonize #include order and syntax. Use
	pthread_equal() to compare pthread_t values.

	(em_channel_setup): Call g_io_channel_win32_new_socket() on Win32
	instead of g_io_channel_unix_new(). This avoids the occasional
	"giowin32.c:1661: 12 is both a file descriptor and a socket, file
	descriptor interpretation assumed." style warnings, which indicate
	a real problem in this case.

	* mail-ops.c: Use gstdio wrappers. Open file in binary mode.

	* mail-signature-editor.c
	* mail-tools.c
	* mail-vfolder.c
	* message-list.c
	* message-tag-followup.c: Beautify #include order and syntax. Use
	gstdio wrappers. Construct pathnames of files to be read at
	run-time instead of using compile-time paths.

	* mail-tools.c (mail_tool_get_local_movemail_path): Not used, put
	in #if 0.

	* importers/elm-importer.c
	* importers/evolution-mbox-importer.c
	* importers/evolution-outlook-importer.c
	* importers/mail-importer.c
	* importers/netscape-importer.c
	* importers/pine-importer.c: Use GLib API when
	applicable.

2005-12-16  Sam Yang  <sam.yang@sun.com>

	** Fixes bug #323867.

	* em-folder-view.c (emfv_setting_notify): Respond to the change of
	/apps/evolution/mail/display/show_deleted and thread_list in
	gconf.

2005-12-12  Karsten BrÃ€ckelmann  <guenther@rudersport.de>

	* em-folder-view.c: Mail Context Menu re-ordered correctly,
	fixes bug #323140.

2005-12-12  Shreyas Srinivasan  <sshreyas@novell.com>

	* mail.error.xml: Fix #47857
	
2005-12-05  Shi Pu  <shi.pu@sun.com>

	See bug ** 323253

	* mail-send-recv.c (format_url): If url->host is NULL or it is
	emtpy, don't print it out in send & receive dialog.

2005-11-28  Jeffrey Stedfast  <fejj@novell.com>

	* em-folder-view.c (emfv_setting_notify): literal strings do not
	need to be \0 terminated, they are already nul-terminated by
	definition.

2005-11-28  Sam Yang  <sam.yang@sun.com>

	** See bug #322414

	* em-folder-view.c (emfv_setting_notify): Respond to the change of
	/apps/evolution/mail/display/show_preview in gconf.

2005-11-25  Tor Lillqvist  <tml@novell.com>

	* em-composer-prefs.c (sig_add_script_response): Use gstdio
	wrappers.
	(url_requested): Use g_filename_from_uri()
	instead of just stripping off the "file:" prefix.
	(em_composer_prefs_construct): Construct glade file pathname at
	run-time for Win32 install-anywhere.

2005-11-23  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug #315987

	* em-composer-utils.c (em_utils_composer_send_cb): Send only if
	account is enabled
	(em_utils_composer_save_draft_cb): Save message to server folder
	only if the account is enabled, else save it locally
	(generate_account_hash): Add default account into the account hash
	only if the account none of the account is enabled.
	(guess_account): use only enabled account

	* mail.error.xml: Add error message for send-no-account-enabled

2005-11-11  Boby Wang <boby.wang@sun.com>

	** See bug 321214.

	* mail-config.glade: Focus on the Tools-> Settings-> Composer
	Preferences -> Forward Style and Reply Style comboboxes.Comboboxes
	are named after their current settings. Now the names were
	corrected.

2005-10-26  Vivek Jain <jvivek@novell.com>
	
	**See #313096

	* em-junk-hook.c (emjh_construct) load the plugin only if it is
	enabled.

2005-10-22  Parthasarathi Susarla <sparthasarathi@novell.com>

	* mail-config.c (mail_config_get_default_account): Return valid
	transport, only if the account is enabled.

2005-10-22  Parthasarathi Susarla <sparthasarathi@novell.com>

	* em-composer-utils.c (create_new_composer): If the account
	corresponding to the fromuri is not enabled.  Then load the
	preferred account from the composer.

2005-10-21  Jeff Cai <jeff.cai@sun.com>

	Reverse previous patch because of bug 319376.	
	* em-folder-view.h:

2005-10-21  Jeff Cai <jeff.cai@sun.com>

	* mail/em-folder-view.h: Change the declaration of flag
	'preview_active' from one bit of int to one bit of guint because
	it will be -1 on linux if being declared one bit of int.

2005-10-19  Philip Van Hoof <pvanhoof@gnome.org>
	
	** See bug 318611

	* mail/em-composer-utils.c: data hiding

2005-10-19  Harish Krishnaswamy <kharish@novell.com>

	* em-format-html-display.h: Include e-attachment-bar.h relative to
	the top dir, so it stops borking the print-message plugin.

2005-10-18  Srinivasa Ragavan <sragavan@novell.com>

	* em-folder-browser.c (emfb_focus_search, emfb_tools_vfolders):
	Make '/' to focus on search bar entry. Fixes bug #268027

	* em-folder-view.c (emfv_enable_menus): Set the target widget.

	* em-format-html-display.[ch] (em_format_html_display_get_bar):
	Added a function to get the attachment bar.

	* em-utils.c (em_utils_temp_save_attachments): Added function to
	save parts of the attachments.

2005-10-03  Srinivasa Ragavan <sragavan@novell.com>

	* em-folder-view.c (emfv_ena) (emfv_popup_items): Mark visible
	  with junk flags as well.

	* em-popup.[ch] (em_popup_target_new_select): Set the flags for
	  junk respectively.
	
2005-10-18  Sankar P  <psankar@novell.com>
	
	- Enhances Signature-Preferences. 
	- Added shortcuts for common operations.
		-- Delete on Del key
		-- Edit on Dbl.Click
	- Prevents adding duplicate and NULL signatures

	* mail-signature-editor.c (menu_file_save_cb:
	(mail_signature_editor, sig_name_changed):
	(menu_file_save_close_cb, delete_event_cb):
	(do_exit): Modified the functions for handling the above
	scenarios.

	* mail.error.xml: Added error strings for duplicate and NULL
	signatures.

	* em-composer-prefs.c (em_composer_prefs_construct):
	(sig_delete_cb, sig_add_cb): Modified the functions so as to
	handle the keyboard accelarators and to grab focus to the list on
	deletion/insertion of signatures.

	* em-composer-prefs.c (signature_key_press, sig_tree_event_cb):
	Added new functions to handle the keypress events on the
	signatures list tree.

	Fixes #269749
	
2005-09-29  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug 317284
	
	* em-mailer-prefs.c (emmp_header_add_header): Check if its a valid
	header and only then add it
	
2005-09-28  Tor Lillqvist  <tml@novell.com>

	* em-composer-utils.c (reply_get_composer, get_reply_list):
	(post_reply_to_message):

	* em-folder-view.c (emfv_format_link_clicked):

	* importers/netscape-importer.c (netscape_get_boolean): Use
	g_ascii_str(n)casecmp() instead of str(n)casecmp(). We are
	comparing to literal ASCII strings in these cases, so just
	casefolding ASCII is enough. Also better for portability.

	* em-format-html-display.c

	* message-list.c: Define localtime_r() for Win32 using localtime()
	(which is thread-safe in Microsoft's C library).

	* mail-tools.c (mail_tool_do_movemail): Not implemented on Win32.

2005-09-28  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	See bug ** 317329

	* em-vfolder-rule.c (em_vfolder_rule_add_source): Do not add a
	NULL uri.

2005-09-26  S.Antony Vincent Pandian <santony@gmail.com>

	Fixes #208647

	* em-folder-tree.c: Have added a menu item Empty Trash in the
	folder tree's context menu and also added its callback.

2005-09-22  Carsten Guenther <carsten.guenther@scalix.com>

	Fixes #316983

	* em-composer-utils.c (em_utils_send_receipt):
	Exchanged the FROM and TO fields so that a read
	receipt actually goes to the sender of the original
	message.

2005-09-21  Sankar P  <psankar@novell.com>

	* em-account-editor.c (emae_defaults_page): Added code to enable
	the sent folder button for accounts with "None" set as the
	Receiving Server type.  Fixes #315506

2005-09-15  Sankar P  <psankar@novell.com>

	* em-folder-tree-model.c (em_folder_tree_model_set_folder_info):

	* em-folder-tree.c (render_pixbuf): Added enum and the code to
	change the icon for sent items folder. Fixes #257321
	
2005-09-02  Harish Krishnaswamy  <kharish@novell.com>

	* default/C/Inbox: Update the Welcome mail.

2005-08-25  Not Zed  <NotZed@Ximian.com>

	** See bug #314440.

	* em-format-html.c (efh_url_requested): check the content object's
	mime type, not the container, when seeing if the data should be
	written.
	(efh_write_text_html): add some debug.

	* em-format-html-display.c (efhd_html_button_press_event): fix
	debug.

2005-08-22  Srinivasa Ragavan <sragavan@novell.com>

	* em-format-html-display.c (efhd_bar_resize): Dont call update.
	Just set the width on the bar.

2005-08-23  Not Zed  <NotZed@Ximian.com>

	* mail-tools.c (mail_tool_uri_to_folder): cast warning away.

	* mail-folder-cache.c: include missing header for
	e_filename_make_safe.

	* em-junk-hook.h: Fix some header includes, fix the include guard
	to use the right name.
	(EMJunk): Ugh, this is an object, properly derive from it!  How
	did this work?

	* em-junk-hook.c (em_junk_check_junk): fix bool conversion.

	* em-format-html-display.c (efhd_bar_popup_position): another
	wraning, why this crap isn't in the attachment bar like i said it
	should be, i'll never know.
	(efhd_xpkcs7mime_viewcert_foad): only define if used.

	* em-account-editor.c (emae_defaults_page): attempt to fix parentheses
	(emae_security_page): fix conditional compilation warnings.

2005-08-19  Not Zed  <NotZed@Ximian.com>

	** See #312668.

	* mail-component.c (setline_done, impl_setLineStatus): change the
	camel-session online status before (if we're going online) or
	after (if we're going offline) actually doing offline processing.

2005-08-19  Not Zed  <NotZed@Ximian.com>

	* em-format.c (emf_multipart_encrypted): put the s/mime message
	back, awaiting string approval for a change otherwise.

2005-08-18  Not Zed  <NotZed@Ximian.com>

	* em-format-html-display.c (efhd_message_add_bar): dont add
	attachment bar if it is disabled.
	(efhd_attachment_button): dont add attachments if there is no bar.

	* em-format.c (emf_inlinepgp_signed, emf_inlinepgp_encrypted): fix
	the error messages for consistency.  We dont need to check
	content-type, since we only get called with the right one.
	(emf_multipart_encrypted): fix up wrong s/mime error.

	* em-format-html.c (efh_inlinepgp_signed)
	(efh_inlinepgp_encrypted): moved to em-format.c; otherwise this
	will break replying, etc.

	** See #271894.

	* em-format.c (emf_multipart_encrypted): use the content object's
	content-type to check types.

2005-08-16  Not Zed  <NotZed@Ximian.com>

	** See #312668.

	* mail-component.c (impl_setLineStatus): new offline interface.
	(setline_check, setline_done): and implementation.

	* mail-offline-handler.[ch]: destroyed, burnt, dissolved in acid.

2005-08-17  Srinivasa Ragavan <sragavan@novell.com>

	* em-format-html-display.c 
	(efhd_bar_save_selected): Fix a warning.
	(efhd_bar_resize): Fix the bar size to match other widgets.
	(efhd_bar_scroll_event): Fix scroll issue over bar. bug #312224.
	(efhd_add_bar): Add a frame around the attachment bar. bug #312033

2005-08-17  Kaushal Kumar  <kakumar@novell.com>

	* em-composer-prefs.c (url_requested): Add the close call for fd.

	See bug #307375.

2005-08-15  Not Zed  <NotZed@Ximian.com>

	** See #313440.

	* Makefile.am (mailinclude_HEADERS): Include the idl generated
	headers.

2005-08-16  Srinivasa Ragavan <sragavan@novell.com>

	* em-format-html-display.c (efhd_attachment_button): Sets the filename
	in the attachment structure instead of the part
	
2005-08-15  Christian Kellner  <gicmo@gnome.org>

	* mail-send-recv.c (get_folders): Honour the check_all flag for
	the scalix provider.  Fixes bug #313582.

2005-08-14  Rodney Dawes  <dobey@novell.com>

	* em-folder-view.c (emfv_popup_items): Fix two mnemonic conflicts
	in the context menus for the mailer

2005-08-12  Vivek Jain <jvivek@novell.com>

	* em-account-editor.c (emae_check_complete): first prepare the
	page and then validate **Fixes #273842

2005-08-11  Not Zed  <NotZed@Ximian.com>

	** See #232499.

	* mail-folder-cache.c (rename_folders): rename view meta-data
	along with the folder.

2005-08-11  Vivek Jain <jvivek@novell.com>
	
	* em-folder-tree-model.c (account_changed): check if the account
	is enabled, before adding the store

	** Fixes #313057
	
2005-08-11  Parthasarathi Susarla <sparthasarathi@novell.com>

	* em-folder-view.c (emfv_enable_menus): return the target in any
	case.  It will be an empty target and not NULL.

	Fixes bug 312420

2005-08-11  Srinivasa Ragavan <sragavan@novell.com>

	* em-format-html-display.c (efhd_attachment_bar_refresh):
	(efhd_bar_resize, efhd_add_bar): Fix to hide the attachment bar
	when no attachments and to resize when the window is resized.

2005-08-10  Not Zed  <NotZed@Ximian.com>

	** See #271985.

	* mail-config.c (mail_config_write_on_exit) 
	(mail_config_get_account_by_source_url) 
	(mail_config_get_account_by_transport_url) 
	(mail_config_get_default_transport): 

	* mail-component.c (load_accounts): check url for content before
	using it.

2005-08-09  Not Zed  <NotZed@Ximian.com>

	** See #312715.

	* em-folder-tree.c (emft_drop_folder_rec): removed.
	(emft_drop_folder): call em_folder_utils_copy_folders to perform
	the operation rather than: doing it sync when it shouldn't be, and
	2; copying code redundantly.

	* em-folder-utils.c (em_folder_utils_move_folder): remove this
	redundant api.
	(em_folder_utils_copy_folder): add delete flag.
	(em_folder_utils_copy_folders): export this function.  fix strange
	argument order.

2005-08-10  Tor Lillqvist  <tml@novell.com>

	* Makefile.am: Link with all needed libraries. Use -no-undefined
	on Win32. Work around annoying MSYS feature on Win32 when
	installing the schemas: Echo the command to a temporary .bat file
	and run it with cmd.exe...

	* importers/Makefile.am: Use the bootstrap import library for
	libevolution-mail.la on Win32 as libevolution-mail.la hasn't been
	built yet when we come here. Use -no-undefined on Win32. Use
	privsolib instead of privlib. (See ../ChangeLog.)

2005-08-08  Not Zed  <NotZed@Ximian.com>

	** See bug #304938.

	* mail-ops.c (mail_send_message): don't try to dereference the
	transport if we don't have one.

2005-08-04  Not Zed  <NotZed@Ximian.com>

	** See bug #300881.

	* em-account-editor.c (emae_setup_signatures): don't add the
	signature listener if we've already added it.

2005-08-08  Vivek Jain <jvivek@novell.com>

	* em-format.c (emf_multipart_appledouble): check part before using
	it, else dump source

2005-08-05  Not Zed  <NotZed@Ximian.com>

	** See bug #312397.

	* em-format-quote.c (emfq_format_message): if we are rendering an
	attached message, include the headers always and a marker for it.

2005-08-07  Rodney Dawes  <dobey@novell.com>

	* em-folder-browser.c (emfb_search_items):
	* em-folder-tree-model.c (sort_cb, em_folder_tree_model_load_state):
	* em-folder-tree.c (emft_drop_target):
	* em-folder-view.c (emfv_popup_items, emfv_uri_popups):
	* em-utils.c:
	* em-vfolder-editor.c (em_vfolder_editor_new):
	* em-vfolder-rule.c (em_vfolder_editor_sourcelist_new):
	* mail-dialogs.glade:
	* mail-vfolder.c (vfolder_setup_desc, vfolder_setup_do):
	(vfolder_adduri_desc, vfolder_load_storage, vfolder_edit):
	(vfolder_edit_rule, vfolder_gui_add_rule):
	* mail.error.xml:
	Change instances of "vfolder" that appear in the UI to use the term
	"Search Folder" instead
	Update some comments to use the term "Search Folder" instead of vfolder
	
2005-08-05  David Malcolm  <dmalcolm@redhat.com>

	* em-account-editor.c (emae_option_checkspin): initialize local
	variable "label".

2005-08-04  Not Zed  <NotZed@Ximian.com>

	** See bug #273885.

	* em-utils.c (em_utils_edit_filters): setup filter source names
	properly translated.

	* em-filter-editor.c (em_filter_editor_construct): take an array
	of structs for the filter source so the incoming/outgoing is
	properly translated.

	** See bug #312397.

	* em-format-quote.c (emfq_format_message): dont quote credits
	here.
	(emfq_format_message_prefix): new prefix handler for credits.
	(emfq_format_clone): invoke the message prefix before anything
	else.

	** See bug #310840.

	* em-icon-stream.c (em_icon_stream_get_image): check for /0
	possibility.

	** See bug #308512.

	* em-account-editor.c (emae_authtype_changed): take into account
	the writability of the password when sensitising remember
	password.
	(get_password): small hack to disable the save-password button
	when appropriate.

2005-08-05 Srinivasa Ragavan <sragavan@novell.com>

	* em-format-html-display.c (efhd_init, efhd_complete):
	(efhd_message_add_bar): Fixes the bug #312410.
	
2005-08-04  Srinivasa Ragavan <sragavan@novell.com>

	* em-utls.c (emu_update_save_path): Killed a warning.

2005-08-03  Not Zed  <NotZed@Ximian.com>

	* em-folder-browser.c (emfb_set_folder): not here.
 
	* em-folder-view.c (emfv_set_folder): ref the folder here.

2005-08-03  Not Zed  <NotZed@Ximian.com>

	* em-folder-view.c (emfv_message_reply): try to fix #309647, only
	act if the selection is actually active.

2005-07-29  Arunprakash <arunp@novell.com>

	* mail/em-folder-utils.c (em_folder_utils_delete_folder):
	Allocated a new string to be used for the error dialog response to
	avoid multiple frees.

2005-08-01  Shakti Sen <shprasad@novell.com>

	* em-composer-prefs.c: Included 'gtkentry.h' to resolve the
	symbol 'GTK_ENTRY'.

	Partly fixes bug #231968.

2005-08-02  Srinivasa Ragavan <sragavan@novell.com>

	* em-utils.c (emu_get_save_filesel, emu_save_part_response):
	(emu_save_messages_response): Fixed a bug where the last path is
	not preserved well.

2005-08-01  Not Zed  <NotZed@Ximian.com>

	* em-subscribe-editor.c (sub_fill_level): always process all nodes
	we have, even if we have already seen the top result.

2005-07-29  Not Zed  <NotZed@Ximian.com>

	** See bug #300607.

	* mail-vfolder.c (store_folder_renamed_rec, store_folder_renamed):
	rename all folders in the folder tree renamed.

2005-07-29  Shreyas Srinivasan  <sshreyas@novell.com>

	* mail-ops.c: Fix #311223. Include <camel/camel-multipart.h>
	so that lazy binding does not fail on CAMEL_IS_MULTIPART.
	
2005-07-29  Shreyas Srinivasan  <sshreyas@novell.com>

	* em-account-editor.c (emae_defaults_page): Fix #307538. Check if
	the provider type exists  before senisitizing widgets.
	
2005-07-28  Not Zed  <NotZed@Ximian.com>

	** See bug #311440.

	* em-utils.c (em_utils_in_addressbook): handle NULL address.
	
2005-07-28  Praveen Kumar <kpraveen@novell.com>

	* em-account-editor.c (emae_check_complete) : Update the "Full Name" 
	text entry with the detected real name of the user. Fixes bug 311778
	
2005-07-27  Srinivasa Ragavan <sragavan@novell.com>
	
	* mail-config.glade: Changed "Host" to "Server"

2005-07-27  Not Zed  <NotZed@Ximian.com>

	* mail-send-recv.c (get_folders): hack to make it honour the
	'refresh only inbox' imap/groupwise setting.

2005-07-26  Harish Krishnaswamy  <kharish@novell.com>

	* Makefile.am: fix make distcheck issues.

2005-07-25  Srinivasa Ragavan <sragavan@novell.com>

	* em-format-html-display.c (efhd_init, efhd_finalise):
	(efhd_attachment_image, efhd_attachment_button):
	(efhd_format_attachment): Added code to create a attachment bar.

	* em-format-html.c (efh_format_message) Added code to add bar at
	the beginning of the message.

	* em-popup.[ch] (em_popup_target_new_attachments)
	(emp_part_popup_set_background)
	(emp_standard_menu_factory): Added code to handle the popup menu
	inside the attachment bar.

	* em-utils.[ch] (em_utils_edit_filters, emu_get_save_filesel)
	(em_utils_save_part, em_utils_save_messages): Added code to handle
	save selected and save all options of the attachment bar.

2005-07-21  Not Zed  <NotZed@Ximian.com>

	* em-folder-browser.c: reverted dobey's busted view->hide* menu
	stuff.

	* em-account-editor.c (emae_option_entry): if we get a null
	default, then set "" on the entry.
	(emae_option_entry): set the default value on the url if it
	doesn't exist already.

2005-07-20  Not Zed  <NotZed@Ximian.com>

	* mail-send-recv.c (refresh_folders_desc, refresh_folders_get)
	(refresh_folders_got, refresh_folders_free, get_folders)
	(receive_update_got_folderinfo, receive_update_got_store): refresh
	all the folders manually and directly.

	* mail-folder-cache.c (setup_folder): propagate even -1 unread
	counts, they get ignored later.

	* em-composer-utils.c (emu_handle_receipt_message)
	(em_utils_handle_receipt): use getmessagex too, so we can always
	clear any error.

	* em-folder-view.c (emfv_message_selected_timeout)
	(emfv_list_done_message_selected): use getmessagex and do
	something meaninful with the error.

	* mail-ops.c (mail_get_messagex): added new get message which
	returns an exception.

2005-07-19  Not Zed  <NotZed@Ximian.com>

	* mail-tools.c (mail_tool_uri_to_folder): dont get the service
	connected, it will connect if it needs to.

	* mail-ops.c (get_folderinfo_get): * em-folder-utils.c
	(emft_copy_folders__copy)
	(emfu_delete_folders): * em-folder-tree.c
	(emft_get_folder_info__get): Always request subscribed folders, if
	the backend doesn't implement it it will ignore it.

2005-07-13  Not Zed  <NotZed@Ximian.com>

	* mail-send-recv.c (mail_autoreceive_init, auto_online): listen to
	session online events, and if we are online, trigger an
	auto-receive of all auto-check accounts.

2005-07-11  Not Zed  <NotZed@Ximian.com>

	* mail-send-recv.c (auto_account_commit): force an update
	immediately if we're setting up the timeout to start with.

	* em-folder-tree-model.c (em_folder_tree_model_set_unread_count):
	noop if the unread count < 0.
	(em_folder_tree_model_set_folder_info): only set the unread count
	if we actually have one.

	* em-folder-tree.c (emft_tree_row_expanded): get the folder list
	'fast'.

	* mail-ops.c (get_folderinfo_get): get the folder list 'fast'.

2005-07-19  Srinivasa Ragavan <sragavan@novell.com>

	* em-folder-tree.c (emft_popup_move): calling the wrong api to
	move a folder. Infact it was copying for move.

2005-07-14  Vivek Jain <jvivek@novell.com>

	* em-composer-utils.c: included missing header file
	camel-multipart.h

	**Fixes #310330

2005-07-13  Kjartan Maraas  <kmaraas@gnome.org>

	* em-mailer-prefs.c (em_mailer_prefs_construct): Free font name

	* mail-config.c (config_write_style): Free font name and name of
	  citation color.

	* message-list.c (regen_list_regened, regen_list_free): Free
	  search string. Thanks to Michael Zucchi for walking me through
	  this one. My brain wasn't running on all it's cylinders...

2005-07-10  Shreyas Srinivasan <sshreyas@novell.com>

	* mail-config.[ch]: Add new functions to remove proxy accounts and
	proxies created by the account.

	* mail-compnent.c: Remove proxy accounts at startup

	* mail.error.xml: Add warnings for proxy disable and removal of a
	proxy when its parents are removed.

	* em-account-prefs.c: Add checks not to display proxies and
	handling of parent removal/ disabling.
	
2005-07-06  Vivek Jain <jvivek@novell.com>

	* em-junk-filter.c: moved to plugins/sa-junk-plugin

	* em-junk-filter.h: removed

	* em-junk.plugin.[ch]: removed

	* em-junk-hook.[ch]: added new files to have a new hook

	* Makefile.am: updated to removed/add these files.

	* mail-session.c (mail_session_init): assign NULL to junk_plugin,
	remove included file "em-junk-filter.h"

	* mail-component-factory.c (make_factory): register type for
	EMJunkHook

2005-07-05  Not Zed  <NotZed@Ximian.com>

	* em-format-html-display.c (efhd_attachment_image): use the cache,
	since we set it up.
	(efhd_image): added a (private!) format handler for all the image
	types so we intercept them and handle them directly.
	(efhd_image_fit, efhd_image_unfit): replace the resize callback
	with two much simpler ones.

	* em-icon-stream.c (em_icon_stream_get_image): added 'fit to'
	arguments.  Changed dramatically to get approximate fit-to image,
	update cache, etc.
	(em_icon_stream_is_resized): added 'fit to' arguments.  changed to
	manipulate the cache properly.
	(emis_fit): helper to fit an image to a size.
	(em_icon_stream_new): added 'fit to' arguments rather than poking
	structures.

	* em-format-html-display.c (efhd_attachment_image): fixed a memory
	leak, various style issues.  Removed all scaling code.
	(efhd_attachment_popup): show menu's appropriately.  add back the
	hide/show menu always.
	(efhd_image_popup): fix formatting.

	** Applied patch from Srini for scaling images to fit by default.

2005-07-04  Veerapuram Varadhan <vvaradhan@novell.com>

	* mail-component.c (handleuri_got_folder): Added "forward"
	command-line option.
	
2005-07-06  Not Zed  <NotZed@Ximian.com>

	* importers/evolution-mbox-importer.c (mbox_getwidget): wrap the
	widgets in another vbox so they display properly.

	* importers/pine-importer.c (pine_getwidget): pack the 'mail'
	widget.

	* importers/pine-importer.c (pine_import):
	importers/elm-importer.c (elm_import):
	importers/evolution-mbox-importer.c (mbox_import): Dont create
	widgets anymore, report progress through the EImport and handle
	cancel.

2005-07-01  Not Zed  <NotZed@Ximian.com>

	* importers/Makefile.am: remove shell/importer link & take out
	netscape & outlook temporarily.

	* Makefile.am: Removed importer link.

2005-06-24  Matt Brown  <matt@mattb.net.nz>

	* em-inline-filter.c: implement extraction of inline
	signed/encrypted pgp parts and package them into
	x-inlinepgp-signed/x-inline-pgp-encrypted parts.

	* em-format-html.c: Formatters to verify/decrypt and then display
	the parts generated by the inline filter.

2005-06-25  Not Zed  <NotZed@Ximian.com>

	** See bug #307398

	* mail-session.c (alert_user): copy the prompt string, in 'no
	cancel' mode we run asynchronously.
	(free_user_message): & free it.

2005-06-24  Not Zed  <NotZed@Ximian.com>

	* em-format-html.c (efh_url_requested): dont pass data gtkhtml
	definitely can't handle, to gtkhtml.  This is no security patch,
	but stops gtkhtml wasting time tying to render malicious mails or
	other rubbish.

2005-06-21 Brian Mury <b.mury@ieee.org>

	** See bug #301466.

	* filtertypes.xml, searchtypes.xml, vfoldertypes.xml: fix the
	"match all" case to actually work.

2005-06-18  Tor Lillqvist  <tml@novell.com>

	* GNOME_Evolution_Mail.server.in.in: Use SOEXT.

2005-06-08  Not Zed  <NotZed@Ximian.com>

	* mail-component.c (view_changed_cb): make this run a timeout so
	we don't update too often and suck loads of cpu time.

2005-06-07  Andre Klapper <9016009@gmx.de>

	* mail.error.xml: Fixing typo (bug 306151)

2005-06-02  Not Zed  <NotZed@Ximian.com>

	* Evolution-Mail.idl: only let this be included once.

	* mail-component.c (mail_component_class_init): Setup a test
	function, and fix the bonobo init function so we're actually a
	mailcomponent and not just an evolutioncomponent.
	
2005-06-02  Not Zed  <NotZed@Ximian.com>

	* mail-component.c: change this to sub-class evolution-component,
	not bonobo-object.

	* Evolution-Mail.idl: Made the mail component sub-class
	Evolution.Component so it can add new interfaces for remote gui
	mail operations.

2005-05-31  Rodney Dawes  <dobey@novell.com>

	* em-folder-browser.c (emfb_view_hide_read, emfb_view_show_selected):
	(emfb_view_show_all): Update these methods to use the listener method
	of access from bonobo as they are radio buttons now
	(emfb_verbs): Comment out the verbs for the above methods, as they are
	configured through add_listener now
	(emfb_enable_map): s/ViewHideSelected/ViewShowSelected/
	(emfb_activate): Add the listeners for the radio buttons for filtering
	the message list for unread, selected, or all messages
	
2005-05-24  Rodney Dawes  <dobey@novell.com>

	* em-folder-selector.c (folder_created_cb): Remove this unused method
	(emfs_response): Remove unused variable declarations

	* em-folder-view.c (emfv_popup_{load_images,selectall}): Remove
	these unused methods
	
	* mail-component.c: Include em-folder-utils.h to fix warnings
	
2005-05-20  Not Zed  <NotZed@Ximian.com>

	* mail-component.c (mail_component_peek_session): add helper for
	plugins to get mail session.

2005-05-19  Chenthill Palanisamy  <pchenthill@novell.com>

	* mail.error.xml: Added a error message required for
	marking messages as read in subfolders.

2005-05-19  Not Zed  <NotZed@Ximian.com>

	* em-format-html-print.c (em_format_html_print_raw_message): new
	function to print a non-foldered message.  untested.

2005-05-19  Not Zed  <NotZed@Ximian.com>

	* em-folder-utils.h: fix rodney's name choices.  fix
	multiple-inclusion.  fix forward references.  fix all callers.
	add many fixme's for the busted api's.

	* em-format-quote.c (emfq_format_clone): use pseudo mime type to
	find message formatter.

	* em-format-html-display.c (efhd_format_message): remove, it
	didn't do anything.

	* em-format-html.c (efh_format_message): make this a handler
	callback.

	* em-format.c (emf_message_rfc822): make this use the pseudo
	mime-type x-evolution/message/rfc822 instead of the hardcoded
	format_message callback.

	* em-format-html-display.c (efhd_message_prefix): make this use a
	pseudo-mime-type handler rather than hard-coded, so it can be
	overridden by a plugin.

2005-05-17  Radek Doulik  <rodo@novell.com>

	* em-format-html.c: removed include of htmlengine.h which wasn't
	needed

	* em-format-html-display.c: use top level gtkhtml API instead of
	lower level one

	* em-folder-view.c (emfv_popup_selectall): use gtk_html_select_all
	instead of calling html engine directly

2005-05-16  Not Zed  <NotZed@Ximian.com>

	* mail-vfolder.h: 
	* mail-autofilter.h: forward-reference structures

	* *.h: Make installed headers includable from mail/

	* Makefile.am (mailinclude_HEADERS): install various mail headers
	as first cut at public plugin api.

	* move e-error into e-util/

2005-05-16  Srinivasa Ragavan <sragavan@novell.com>

	* GNOME_Evolution_Mail.server.in.in: Added tooltips
		
2005-05-13  Rodney Dawes  <dobey@novell.com>

	* Makefile.am: Add new em-folder-utils.[ch] abstraction

	* em-folder-browser.c: Update for new menu layout
	Add new methods to handle the actions that were previously only
	available from the context menu when right-clicking on a folder

	* em-folder-selector.c (emfs_response): Just call emfu_folder_create
	if the user wants to create a new folder in the selector dialog
	(em_folder_selector_get_selected_path): Clean up the code to fix a
	couple potential crashes

	* em-folder-tree.[ch]: Add methods to get pointers to a CamelFolder or
	CamelFolderInfo object for the selected item in the tree
	Add a method to get a pointer to an EMFolderTreeModelStoreInfo object
	for the selected store in the tree
	Move folder operations out into em-folder-utils.[ch] so that they
	are abstracted from the tree and can be used by methods other than
	the internal context menu

	* em-folder-utils.[ch]: Move the folder operations code to here

	* em-folder-view.c: Update for the new menu layout
	Fix Mark as Read/Unread in the context menu to only show up in the list

	* mail-component.c (create_item): Just call emfu_folder_create here
	when the user requests to create a new folder from the New toolbar item

2005-05-13  Shreyas Srinivasan	<sshreyas@novell.com>
	
	* Fixes bug #273868, #300113, #302831.
	
	* mail-offline-handler.c : Add check for Camel Offline
	store to is_service_relevant.

2005-04-21  Jeffrey Stedfast  <fejj@novell.com>

	* em-composer-utils.c (post_reply_to_message): Use the real folder
	and real uid (not the virtual if replying to a message in a
	vfolder). Fixes bug #269129.

2005-05-06  Vivek Jain <jvivek@novell.com>

	* em-folder-view.c: EPopupItem emfv_popup_items[] replace Print
	  with Print... Fixes #272242

2005-05-07  Sankar P  <psankar@novell.com>
	
	* mail-ops.c (mail_send_message)
	Added code to prevent copying of sent items, based on provider type

	* em-account-editor.c (emae_defaults_page)
	Added code to disable the Sent Folders button

2005-05-06  Not Zed  <NotZed@Ximian.com>

	* mail.error.xml: renamed from mail-errors.xml, add i18n tags, fix
	some whitespace issues.  Removed some unecessary translations.

2005-05-06  Chenthill Palanisamy  <pchenthill@novell.com>
	
	* evolution-mail.schemas.in.in: Removed the schema 
	/schemas/apps/evolution/mail/junk/sa/daemon_port
	since its not used anymore.

2005-05-06  Sarfraaz Ahmed <asarfraaz@novell.com>

	* mail/mail-errors.xml : Fixed a typo for #272786

2005-05-05  Radek Doulik  <rodo@site>

	* em-folder-view.c (em_folder_view_get_popup_target): use
	gtk_html_command to ask if selection is active tto avoid using
	selection API directly
	(emfv_popup_copy_text): use gtkhtml API instead of engine API
	(emfv_message_reply): use new gtk_html_get_selection_html function
	to avoid using low level gtkhtml APIs

2005-05-03  Radek Doulik  <rodo@site>

	* em-format-html-display.c: removed include of htmlinterval.h as
	it's not needed

2005-04-28  Parthasarathi Susarla <sparthasarathi@novell.com>

	* em-folder-view.c (emfv_set_folder): remove a call to
	  refresh folder from here
	* em-folder-browser.c (emfb_set_folder): call 
	  mail_refresh_folder here
	
2005-04-28  Not Zed  <NotZed@Ximian.com>

	* message-list.c: add some message list loading/profiling points,
	"list".

	* em-folder-view.c: add some message display/loading profiling
	points, "goto".

2005-04-12  Not Zed  <NotZed@Ximian.com>

	** See bug #273752

	* em-folder-tree.c (emft_drop_folder_rec): handle NULL
	"parent_name" - dropping to store node.

2005-04-08  Jeffrey Stedfast  <fejj@novell.com>

	* em-composer-utils.c (em_utils_send_receipt): Simplify the
	scanning for '@' by using strchr().

2005-04-08  Not Zed  <NotZed@Ximian.com>

	* em-composer-utils.c (em_utils_ask_receipt): removed.
	(em_utils_handle_receipt): asynchronously load message if none is
	supplied.

	* em-folder-view.c (emfv_set_seen): pass message in.

	* em-composer-utils.c (em_utils_ask_receipt): strip leading lwsp
	on the disposition address.
	(em_utils_ask_receipt): added a comment about which rfc.
	(em_utils_handle_receipt): merged ask_receipt into here.  Changed
	api to take a message instead, so we don't have to load the
	message every time.  Also only set receipt-handled if we have a
	receipt requested in the first place.

2005-04-05  ERDI Gergo  <cactus@cactus.rulez.org>

	* mail-errors.xml: Added new dialog for receipt requests

	* em-composer-utils.c (em_utils_guess_account): Made guess_account
	public, to be callable from em-folder-view
	(em_utils_send_receipt): New function to send an RFC
	2298-compliant message delivery notification

2005-04-05  Not Zed  <NotZed@Ximian.com>

	** See bug #74320

	* em-format.c (em_format_part_as): if the snooped type is NULL,
	fall back to application/octet-stream.

2005-04-04  Rodney Dawes  <dobey@novell.com>

	* em-folder-view.c (emfv_popup_items): Add Mark as Read/Unread back
	to the context menu (#73192)
	Fix the ordering values for some menu items in the context menu that
	had duplicate order values

2005-03-31  Not Zed  <NotZed@Ximian.com>

	** See bug #72935

	* em-folder-view.c: always enable the stop button.

2005-03-31  Not Zed  <NotZed@Ximian.com>

	** See bug #72518

	* em-folder-tree.c (emft_popup_delete_folder): prompt for vfolder
	case differently.

2005-03-31  Not Zed  <NotZed@Ximian.com>

	* message-list.c (on_selection_changed_cmd): only noop if we only
	have 1 message selected, otherwise we don't update the menu's.
	Fixes a problem introduced by 64987's fix.

2005-03-30  Li Yuan  <li.yuan@sun.com>

	* em-account-prefs.c: (em_account_prefs_treeview_new):
	add a11y name to Mail Accounts Table
	* mail-config.glade:
	add a11y name to tables in Mail Preferences page and 
	Composer Preferences page.
	Fixes #73914

2005-03-16  Jeffrey Stedfast  <fejj@novell.com>

	* em-format-html.c (efh_format_headers): Don't show multiple
	"Mailer" headers even if multiple x-mailer/user-agent/whatever
	headers exist. Fixes bug #70394.

2005-03-16  Not Zed  <NotZed@Ximian.com>

	** See bug #73363

	* em-folder-view.c (emfv_list_message_selected): insert a timeout
	before loading the message.
	(emfv_message_selected_timeout): handle the timeout, start loading
	the message.
	(emfv_set_folder, emfv_destroy): cleanups for above.

2005-03-16  Not Zed  <NotZed@Ximian.com>

	** See bug #73559
	
	* em-filter-source-element.c
	(em_filter_source_element_get_sources): check the url != "" and decoded
	before using it.

2005-03-16  Not Zed  <NotZed@Ximian.com>

	** See bug #71003, again.

	* mail-component.c (impl_quit): fix sense of 'can quit' logic.

2005-03-14  Not Zed  <NotZed@Ximian.com>

	** See bug #73550

	* em-format-hook.c (emfh_format_format): if we are disabled, don't
	invoke handler, try to invoke old handler if there was one.

2005-03-10  Not Zed  <NotZed@Ximian.com>

	** See bug #73293

	* message-list.c (main_folder_changed): emit a 'list built' signal
	if we just modified it too.

2005-03-10  Vivek Jain  <jvivek@novell.com>
	
	**fixes bug #73139
	* em-folder-tree.c (render_pixbuf):change the shared-folder icon names 
	to the names in gnome-icon-theme 

2005-03-03  Not Zed  <NotZed@Ximian.com>

	** See bug #66592

	* mail-tools.c (mail_tool_make_message_attachment): jus call
	camel_medium_remove_header to remove the bcc header, don't need to
	loop.

	* mail-ops.c (mail_send_message): try to find the account by uid
	first, fall back to name.

	* em-composer-utils.c (composer_get_message): set
	x-evolution-account by uid, not name.

2005-03-02  Not Zed  <NotZed@Ximian.com>

	** See bug #66592

	* em-composer-utils.c (got_post_folder): no longer needed.
	(composer_get_message): remove 'post' and 'no_recipeints' args.

	* mail-ops.c (mail_send_message): change for xev changes. Also
	handle postto if set.

	* mail-tools.c (mail_tool_remove_xevolution_headers) 
	(mail_tool_restore_xevolution_headers): fix for api change.
	(mail_tool_destroy_xevolution): remove.

	* mail-tools.h: remove XEvolution, just use a struct _header_raw
	for it.

	* em-composer-utils.c (em_utils_composer_send_cb): don't post
	message here, just queue it like any other outgoing mail.

2005-03-02  Not Zed  <NotZed@Ximian.com>

	** See "bug" 73100

	* mail-dialogs.glade: empty out the license_top_label text, it is
	always overwriten by the code.

2005-03-01  Not Zed  <NotZed@Ximian.com>

	* message-list.c: include atkutil.h
	(message_list_construct): cast warning.

	* mail-session.c (mail_session_set_interactive): remove unused
	variable since we can no longer terminate password requests.

	* mail-autofilter.c (em_vfolder_rule_from_address): properly
	define in header.

	* em-utils.c (emu_get_save_filesel): only define filename in the
	!gtkfilechooser case.

	* em-mailer-prefs.c (restore_labels_clicked): cast for warning.
	(em_mailer_prefs_construct): same.

	* em-format-html.c (efh_format_header): remove unused variable.

	* em-account-editor.c (emae_widget_druid_glade): remove unused
	variable.

	* importers/mail-importer.h: forward-delcare struct
	_MailComponent.

	* *c: remove/disable various debug.

2005-03-02  Harry Lu <harry.lu@sun.com>

	Fix for 71733.

	* mail-signature-editor.c: (mail_signature_editor): if is_new,
	let name_entry get the focus.

2005-02-28  JP Rosevear  <jpr@novell.com>

	* em-utils.c (em_utils_configure_account): pass in accountDruid
	config id

	* em-account-prefs.c (account_add_clicked): pass in accountDruid
	config id
	(account_edit_clicked): pass in accountWizard config id
	
	* em-account-editor.h: update protos

	* em-account-editor.c (em_account_editor_new_with_config_id):
	create a new account editor with a specific config id
	(em_account_editor_new): pass
	(em_account_editor_construct): make this static and take the
	config id as an arg

2005-02-24  Not Zed  <NotZed@Ximian.com>

	** See bug #72609

	* em-inline-filter.c (emif_scan): try to convert the filename
	based on the incoming charset or the locale charset.  This will
	make sure it is always valid.

2005-02-28  Not Zed  <NotZed@Ximian.com>

	* em-folder-browser.c: reverted Mengjie's patch for 72545.

2005-02-27  Frank Arnold  <farnold@cvs.gnome.org>

	* default/de/Inbox: Added German translation of default inbox.

2005-02-25  Mengjie Yu  <meng-jie.yu@sun.com>

	* em-folder-browser.c (emfb_edit_select_all): make the 'select
	all' work in all conditions.

	Fixes #72545

2005-02-24  Not Zed  <NotZed@Ximian.com>

	** See bug #68459

	* em-composer-utils.c (get_reply_sender): check the followup-to
	header before the newsgroups header.
	(reply_get_composer, get_reply_sender, get_reply_all): change
	post-to to be a CamelNNTPAddress not a string pointer.

2005-02-21  Not Zed  <NotZed@Ximian.com>

	** See bug #71003

	* mail-component.c (impl_quit): add a new state MC_QUIT_THREADS to
	wait for all mail threads to finish before quitting.

2005-02-23  Jeffrey Stedfast  <fejj@novell.com>

	* em-format-html.c (efh_format_header): Don't use the pre-UTF-8
	converted subject header string from the CamelMimeMessage object,
	decode it ourselves using the the user's override charset. Fixes
	bug #62109.

2005-02-21  Not Zed  <NotZed@Ximian.com>

	** See bug #34153 and no doubt duplicates

	* mail-component.c (impl_requestQuit): use the VISIBLE count not
	the TOTAL count to check if there are unsent emails.

2005-02-21  Not Zed  <NotZed@Ximian.com>

	** See bug #71528.

	* em-migrate.c (remove_system_searches, em_migrate_1_4): remove
	all 'system' searches when upgrading from pre 2.0.

2005-02-21  Not Zed  <NotZed@Ximian.com>

	** See bug #71967

	* em-account-editor.c (emae_receive_options_extra_item): make sure
	we track the keep_on_server setting in the e-account, not just the
	url (hack).

2005-02-23  Hans Petter Jansson  <hpj@novell.com>

	* mail-session.c:
	* mail-config.c: Include <libedataserverui/e-passwords.h>.

2005-02-22  Not Zed  <NotZed@Ximian.com>

	* em-account-editor.c (emae_send_page): fix argument order to
	memset.
	(emae_security_page): fix the non-have_nss case.

2005-02-22  Marco Pesenti Gritti  <marco@gnome.org>

	* mail/em-popup.c (emp_apps_open_in, emp_standard_menu_factory):
	Use gnome-vfs API to launch external applications

2005-02-22  Not Zed  <NotZed@Ximian.com>

	** See bug #40515

	* mail-config.c (mail_config_signature_run_script): run the script
	using /bin/sh -c, so arguments may be passed to the script.

2005-02-22  Not Zed  <NotZed@Ximian.com>

	** See bug #68866

	* em-format-quote.c (emfq_format_headers): line-feed after all
	headers for blind people.

2005-02-21  Not Zed  <NotZed@Ximian.com>

	** See bug #35219

	* em-utils.c (em_utils_flag_for_followup_clear): clear the flag
	tags rather than setting them to "".  Also change to using newer
	messageinfo api.
	(tag_editor_response, em_utils_flag_for_followup)
	(em_utils_flag_for_followup_completed):	some cleanup/api stuff.

2005-02-21  Not Zed  <NotZed@Ximian.com>

	** See bug #64987

	* message-list.c (message_list_select_thread): select the paths
	with one call.
	(on_selection_changed_cmd): get the cursor_uid from the cursor.

2005-02-21  Not Zed  <NotZed@Ximian.com>

	** See bug #72337

	* mail-component.c (store_info_new, store_info_unref): refcount
	the storeinfo's.
	(mc_add_store_done): noop if removed.
	(store_hash_free, mail_component_remove_store): mark storeinfo
	removed.

2005-02-21  Not Zed  <NotZed@Ximian.com>

	** See bug #70718

	* em-folder-view.c (emfv_list_built): handle list_built events -
	whenever the list changes.
	(emfv_gui_folder_changed, emfv_folder_changed): removed, we want
	to run off the viewed list, not the physical folder.

2005-02-22  Rodney Dawes  <dobey@novell.com>

	* em-account-editor.c (emae_security_page): The GladeXML object is
	no longer a part of the private structure, and we need to reference
	it directly as it is a local variable now

2005-02-14  Not Zed  <NotZed@Ximian.com>

	** See bug #61363 & e-util/ChangeLog

	* em-account-editor.c: All sorts of changes to make the ui more
	dynamic, re-create all widgets when it needs a reconfigure.  A bit
	slower and it flickers a bit.
	
	* em-account-editor.c (emae_setup_service): take xml file pointer.
	(emae_send_page): create a new send page every time we need to,
	don't re-use the old oneq.
	(emae_setup_authtype): renamed to refresh_authtype.
	(emae_setup_service): init authtype pointer.
	(emae_needs_auth): use the auth_frame pointer directly.
	(emae_refresh_providers): rename from setup_providers.

2005-02-11  Not Zed  <NotZed@Ximian.com>

	* em-account-editor.c (emae_setup_service): set needs_auth to NULL
	if we don't, so it gets reset if the ui changes.

2005-02-10  Not Zed  <NotZed@Ximian.com>

	* em-account-editor.c (emae_setup_providers): don't include any
	providers which are store and transport in the transport page.
	(emae_send_page): show no send options page at all if the provider is
	store and transport.
	(emae_uri_changed): copy store url to transport if as above.

2005-02-09  Not Zed  <NotZed@Ximian.com>

	** See bug #70795

	* em-folder-view.c (em_folder_view_open_selected): set the search
	on the browser to match the current view.

	* message-list.c (mail_regen_list): save the search if no folder
	set, incase the folder gets set later on.

2005-02-18  Rodney Dawes  <dobey@novell.com>

	* mail/em-folder-view.c (emfv_popup_copy_text): New method to copy
	the selected text in the mail display, to the clipboard
	(emfv_popup_items): Restructure this list for the new context menus
	layout that we are moving to, to improve the UI
	(emfv_popup): Add a third argument for whether we are on the mail
	display or not, so that we can pop up the correct portion of the menus
	Pass the on_display argument on to create the popup target
	Only generate the label items if we are on the list and not the display
	(emp_uri_popup_vfolder_{sender,recipient}): New methods to create
	vfolders to and from mailto: addresses from the context menu
	(emfv_enable_menus): Create the target here for clicking on the list
	(em_folder_view_get_popup_target): Add a third argument so that we
	can tell whether we are on the display or not
	Set the appropriate flags on the target for whether we are on the
	message display,, and whether or not there is selected text in it
	(emfv_list_right_click): We aren't rigt-clicking on the display here
	(emfv_popup_menu): We aren't right-clicking on the mail display here
	(emfv_uri_popups): Add the submenu for creating a vfolder from mailto:
	(emfv_format_popup_event): We are right-clickingo nt he display here

	* mail/em-folder-view.h: Add the new flags we need for the mail
	context menus popup target here
	(em_folderiew_get_popup_target): Add the on_display argument

	* mail/em-popup.c (emp_standard_uri_popups): Fix the label and mnemonic
	for the Send New Message popup item for mailto: addresses

	* mail/mail-autofilter.c (rule_from_address):
	(em_vfolder_rule_from_address): New methods to create a vfolder based
	on a CamelInternetAddress object that we get from the mailer

	* mail/mail-vfolder.[ch] (vfolder_gui_add_from_address): New method to
	create a vfolder rule based on the mailto: addresses

	Fixes #23822

2005-02-15  Radek Doulik  <rodo@novell.com>

	* em-junk-filter.c: use camel_debug

2005-02-10  Not Zed  <NotZed@Ximian.com>

	** See bug #72266

	* em-folder-selection-button.c
	(em_folder_selection_button_clicked): if the selector is already
	up, just raise it.
	(em_folder_selection_button_destroy): destroy the selector if it
	is still up.

2005-02-09  Not Zed  <NotZed@Ximian.com>

	** See bug #71429
	
	* em-folder-view.c (emfv_activate): setup the plugin menu's after
	the main ones.

2005-02-08  Not Zed  <NotZed@Ximian.com>

	** See bug #72228

	* mail-ops.c (mail_send_message): fix this god-awful goto-loop
	crap, and delete the message if it worked.
	(mail_send_message): fix a major-leak with sent messages never
	being unreffed.
	(send_queue_send): don't get messages ourself.
	(mail_send_message): dont lose the exception if we
	can't even open the sent folder.

2005-02-07  Not Zed  <NotZed@Ximian.com>

	** See bug #72209

	* em-folder-tree.c (emft_popup_copy_folder_exclude): implement one
	for copying/moving folders.

	* em-folder-selection.c (em_select_folder): add an excluded func
	argument, fix callers.

	* em-folder-tree.c
	(em_folder_tree_set_exclude_func): allow custom callback for
	exclusion.
	(emft_select_func): handle the custom excluded callback.

2005-02-07  Harry Lu  <harry.lu@sun.com>

	Fix for 72275.
	* em-folder-view.c: (emfv_popup_menu): try to bring up menu for
	preivew html object.  
	(emfv_format_popup_event): handle event == NULL case.
	* em-format-html-display.c: (em_format_html_display_popup_menu):
	New function to popup context menu.
	* em-format-html-display.h: add new function declaration.

2005-02-04  Not Zed  <NotZed@Ximian.com>

	* em-subscribe-editor.c (sub_folderinfo_get): reverted jeff's
	patch for the subscribed hint.

	** See bug #65329

	* em-folder-properties.c (emfp_dialog_got_folder): translate
	local-store special folders.

	* mail-session.c (alert_user, do_user_message): if we aren't
	waiting for cancel, then don't worry about waiting on the reply
	port, otherwise we could block when we don't need to, if there is
	another window already up.

2005-02-03  Jeffrey Stedfast  <fejj@novell.com>

	* message-list.c (message_list_set_folder): Use
	g_hash_table_foreach_remove() instead so the keys don't point to
	free'd values.
	(normalised_free): Return TRUE.

2005-02-02  Rodney Dawes  <dobey@novell.com>

	* em-subscribe-editor.c (em_subscribe_editor_new): Use the
	gtk_widget_ensure_style method instead of gtk_widget_realize when
	setting the border widths of the dialog containers for HIG compliance

	Fixes #68743

2005-02-02  Jeffrey Stedfast  <fejj@novell.com>

	Fixes bug #70454

	* em-subscribe-editor.c (sub_folderinfo_get): Request subscription
	info (new flag).
	(sub_fill_level): Fixed the FIXME here (imap4 now implements
	CAMEL_FOLDER_SUBSCRIBED flag properly).

2005-02-01  Rodney Dawes  <dobey@novell.com>

	* em-folder-browser.c: Replace "_Virtual Folder" with "_vFolder" for
	the search menu to create a vfolder from a search

	* em-folder-tree-model.c (sort_cb): s/VFolders/vFolders/ for sorting
	in the folder tree
	(em_folder_tree_model_load_state): s/VFolders/vFolders/ in a comment

	* em-folder-view.c: s/VFolder/vFolder/ for the popup menu

	* em-vfolder-editor.c (em_vfolder_editor_new): Replace the string
	"Virtual _Folders" with "v_Folders" for the label

	* em-vfolder-rule.c (em_vfolder_editor_sourcelist_new): Repalce the
	string "VFolder source" with "vFolder source"

	* mail-errors.xml:
	* mail-errors.xml.h: Replace "virtual folder" with "vFolder" in an
	error string

	* mail-vfolder.c (vfolder_setup_desc): s/vfolder/vFolder/
	(vfolder_setup_do): s/vfolder/vFolder/
	(vfolder_load_storage): s/VFolders/vFolders/
	(vfolder_edit_rule): s/VFolder/vFolder/
	(vfolder_gui_add_rule): s/VFolder/vFolder/

	Fixes #68137
		
2005-02-01  Not Zed  <NotZed@Ximian.com>

	** See bug #65329.

	* mail-component.c (view_changed_cb): translate special names on
	the local store.

	* em-folder-tree-model.c (sort_cb): use the type hint to sort for
	inbox, not the name.
	(emft_is_special_local_folder): removed.
	(em_folder_tree_model_set_folder_info): special-case the
	local-store case, handle translated names and the name hints.

	* em-folder-tree.c (render_pixbuf): use the camel folderinfo
	folder type to determine the icon, don't hardcode based on name.

	** See bug #71310

	* em-composer-prefs.c (sig_add_script_response): force a save of
	the signatures as soon as they change.  Also save the script name
	if we were just editing it, not just the signature name.

	** See bug #71312.

	* em-folder-view.c (em_folder_view_open_selected): if we're
	looking at a vfolder, then look open the original folder if we need
	to perform any edits.

2005-01-31  Hans Petter Jansson  <hpj@novell.com>

	* importers/mail-importer.h (mc): Remove unused global symbol.

2005-01-28  Jeffrey Stedfast  <fejj@novell.com>

	* message-list.c (message_list_set_folder): Reset the normalised
	string sort table.

2005-01-31  JP Rosevear  <jpr@novell.com>

	Fixes #71937

	* evolution-mail.schemas.in.in: fix spelling error

	* mail-errors.xml: fix two spelling errors

2005-01-31  Not Zed  <NotZed@Ximian.com>

	** See bug #67083

	* em-format-html.c (efh_format_text_header): no-wrap the header line.

	** See bug #69850
	
	* mail-autofilter.c (rule_from_message): dont crash if we're
	missing the requested headers.

	** See bug #71521.

	* em-account-editor.c (emae_url_set_hostport): dont ever set a
	NULL host.

2005-01-28  Not Zed  <NotZed@Ximian.com>

	* em-account-editor.c (emae_service_provider_changed): handle
	'hide' bits, don't get/set values from the widgets at all.

	* em-account-editor.c: put some tables back into the
	druid and editor, since econfig supports tables now.

	* em-account-editor.c (emae_service_provider_changed): handle
	'hide' bits, don't get/set values from the widgets at all.

	* em-account-editor.c: put some tables back into the
	druid and editor, since econfig supports tables now.

	* em-account-editor.c (emae_service_provider_changed): handle
	'hide' bits, don't get/set values from the widgets at all.

	* em-account-editor.c: put some tables back into the
	druid and editor, since econfig supports tables now.

	** See bug #71520.
	
	* em-account-prefs.c (account_edit_clicked): repeat the nasty hack
	from account_edit, to refresh the list after edit.

2005-01-27  Not Zed  <NotZed@Ximian.com>

	* See bug #69815.
	
	* mail-component.c (impl_quit): shutdown vfolders as first step.

	* mail-vfolder.c (vfolder_setup_do): if we're shutdown during
	processing, just noop.
	(vfolder_adduri_do): same.
	(mail_vfolder_shutdown): set the shutdown flag.

2005-01-27  Rodney Dawes  <dobey@novell.com>

	* mail-config.glade: Fix the labels in the account druid to be
	left aligned, and justified left
	Fix the border and spacing for all the vboxes in the account druid
	pages to be HIG compliant
	Fix the account naming info label to be more concise

	Fixes #68696

2005-01-27  Rodney Dawes  <dobey@novell.com>

	* mail-send-recv.c (build_dialog): Fix the dialog to have borders
	that are HIG-compliant and fix up the spacing and padding of the
	internal widgets to do the right thing to be HIG compliant

2005-01-27  JP Rosevear  <jpr@novell.com>

	* em-format-hook.c: add a d(x) debugging define and default to off

2005-01-26  Mengjie Yu  <meng-jie.yu@sun.com>

	Fixes #71774 

	* em-folder-tree.c (emft_popup_rename_folder): we should check
	whether the 'new_name' is a NULL pointer to avoid Evolution
	crashes.

2005-01-25  Mengjie Yu  <meng-jie.yu@sun.com>

	* em-mailer-prefs.c: (restore_labels_clicked),
	(em_mailer_prefs_construct):
	add a11y names for color pickers.

2005-01-24  Hans Petter Jansson  <hpj@novell.com>

	* Makefile.am (libevolution_mail_la_LIBADD): Pull in the contact
	editors, so we can pass pointers to their creation functions to
	ENameSelectorEntry.

2005-01-24  JP Rosevear  <jpr@novell.com>

	* searchtypes.xml: add back body contains

2005-01-21  JP Rosevear  <jpr@novell.com>

	Fixes #46287
	
	* mail-config.glade: remove enable/disable button

	* em-composer-prefs.h: remove unused button

	* em-composer-prefs.c (spell_language_toggled): handle the cell
	being toggled
	(spell_setup): enable/disable button is gone
	(em_composer_prefs_construct): setup a listener for the toggle
	cell

2005-01-24  Radek Doulik  <rodo@ximian.com>

	* em-popup.[ch]: removed EM_POPUP_SELECT_MARK_[NO]JUNK masks

2005-01-20  Radek Doulik  <rodo@ximian.com>

	* em-folder-view.c: patch from Chris Lahey, makes Mark as Junk/not
	Junk items active on all messages, removes calls to
	message_list_get_selected where not needed

2005-01-24  Not Zed  <NotZed@Ximian.com>

	* searchtypes.xml: changed for 69122.

2005-01-21  JP Rosevear  <jpr@novell.com>
	
	Fixes #46404
	
	* em-folder-view.c (emfv_print_response): use the config in the
	print data and free it
	(em_folder_view_print): load the config from e_print and use the
	dialog from e_print

2005-01-21  Not Zed  <NotZed@Ximian.com>

	** See bug #60664.

	* em-format-html-display.c (efhd_init, efhd_gtkhtml_style_set): if
	the style changes, re-calculate the page colours, and redraw.

2005-01-20  Jeffrey Stedfast  <fejj@novell.com>

	* em-folder-tree.c (emft_copy_folders__desc): Added a description
	function for copying folders (so we don't get a "Working 0x..."
	status message).

	* mail-mt.c (do_op_status): Always g_free(what) since we always
	strdup it.

2005-01-20  Not Zed  <NotZed@Ximian.com>

	** See bug #55831.

	* evolution-mail.schemas.in.in: added open_many prompt key.

	* mail-errors.xml: added ask-open-many

	* em-folder-view.c (em_folder_view_open_selected): put back the
	'you're opening too many are you sure' thing.

2005-01-19  Jeffrey Stedfast  <fejj@novell.com>

	* em-folder-properties.c (emfp_get_folder_item): Increment i each
	time thru the loop or we lose widgets.

2005-01-19  Not Zed  <NotZed@Ximian.com>

	** See bug #66943.

	* em-composer-utils.c (save_draft_done): check if the
	editor_engine is still there before trying to invoke a method on
	it.
	(em_utils_composer_save_draft_cb): grab resources before getting
	the folder, so the composer doesn't go away.

2005-01-18  Rodrigo Moya <rodrigo@novell.com>

	* em-filter-source-element.c:
	* mail-config.c: removed e-url.h include.

2005-01-18  Not Zed  <NotZed@Ximian.com>

	** See bug #70768.

	* em-folder-browser.c (emfb_mark_all_read): get the uid list from
	the message-list (view) rather than folder (model).

	* message-list.c (message_list_foreach): removed, no longer used.
	(message_list_get_uids): new function replacing ml_foreach, get
	visible uids's of messages.

2005-01-18  Not Zed  <NotZed@Ximian.com>

	** See bug #71105.

	* em-folder-tree.c (emft_popup_rename_folder): dont let a user
	rename a folder to one including '/'.

	* em-format-html.c (emfh_gethttp): kill old 'load http 0 now=0' debug.

	** See bug #70563.

	* em-utils.c (emu_set_proxy, emu_proxy_setup)
	(em_utils_get_proxy_uri): make sure the init code is called from
	main thread (gconf usage), and add locking for data consistency.

2005-01-14  Not Zed  <NotZed@Ximian.com>

	** Related to changes for #65178.

	* mail-vfolder.c (mv_find_folder): changed from my_list_find, take
	store arg and use camel_Store_Folder_uri_equal() instead of wrong
	uri_cmp function.
	(mail_vfolder_delete_uri): same.
	(mail_vfolder_rename_uri): same.
	(uri_is_ignore): take store arg, and same as above.  use the right
	uri for checking sent folder.
	(mail_vfolder_*): convert to storing uri's in camel form.

2005-01-13  Not Zed  <NotZed@Ximian.com>

	** See bug #71029.

	* em-account-editor.c (emae_option_toggle): revert menjie's patch
	and do it using object args.

2005-01-12  Not Zed  <NotZed@Ximian.com>

	** See bug #70990.

	* em-account-editor.c (emae_service_url_changed): if the value is
	"" then don't set it

	** See bug #70018.

	* mail-signature-editor.c (mail_signature_editor): use the right
	version for the gtkhtml editor control.

2005-01-11  Vivek Jain  <jvivek@novell.com>

	* em-folder-tree.c (render_pixbuf): Added conditions to check for
	shared folders to display different icon if it is a shard folder.	

2005-01-07  Not Zed  <NotZed@Ximian.com>

	* em-account-prefs.c (account_add_clicked): remove old code, setup
	transient parent and weak ref for refresh.

2005-01-06  JP Rosevear  <jpr@novell.com>

	* Makefile.am: install schemas properly

2005-01-06  Jeffrey Stedfast  <fejj@novell.com>

	* mail-folder-cache.c (mail_note_store): Handle the
	CamelOfflineStore case just like the CamelDiscoStore case.

	* mail-ops.c (prep_offline_do): Since we can't kill off
	CamelDisco* (groupwise is using it), we have to handle both
	CamelOfflineFolder and CamelDiscoFolder for now.
	(set_offline_do): Same.

2005-01-05  Not Zed  <NotZed@Ximian.com>

	* em-menu.c: (emph_targets[]): Add the widget target, missed this.

2005-01-05  Not Zed  <NotZed@Ximian.com>

	* em-menu.c (em_menu_target_new_widget): add a semi-dummy target
	for widget target.

	* mail-component.c (handleuri_got_folder): handle the "reply"
	parameter, if set.

	* em-composer-utils.c (em_utils_reply_to_message): only ref the
	source if supplied.
	(reply_to_message): only unref the source if supplied.

2004-12-28  Mengjie Yu  <meng-jie.yu@sun.com>

	* em-folder-tree.c: (em_folder_tree_new_with_model):
	add atk name for the treeview.

2004-12-22  Not Zed  <NotZed@Ximian.com>

	* em-account-editor.c (emae_needs_auth): moved to after
	emae_authtype_changed to fix warning.

2004-12-17  Not Zed  <NotZed@Ximian.com>

	* em-format-html-display.c (efhd_attachment_popup): 

	* message-list.c (ml_tree_drag_data_received): 

	* em-folder-view.c (emfv_popup, emfv_format_popup_event): 

	* em-folder-tree.c (tree_drag_data_received): api changes.
	(emft_popup): 

	* em-popup.c (emp_standard_menu_factory) 
	(emp_standard_menu_factory): api changes.

2004-12-21  Not Zed  <NotZed@Ximian.com>

	* em-account-editor.c (emae_needs_auth): if we're turned on, then
	record the current authtype setting on the widgets, if we're
	turned off, clear the authmech setting.
	(emae_setup_service): setup the needs auth after the authtype, and
	get setting from url->authmech.
	(emae_service_provider_changed): only clear the url->authmech if
	we don't have the current one in our list.

2004-12-20  Takeshi AIHANA <aihana@gnome.gr.jp>

	* default/Makefile.am: Added 'ja' and 'nl' to install.

2004-12-14  Rodney Dawes  <dobey@novell.com>

	* mail-account-gui.c: Remove this from CVS
	
	* mail-config.glade: Use em_account_editor_folder_selector_button_new
	instead of mail_account_gui_folder_selector_button_new

2004-12-14  JP Rosevear  <jpr@novell.com>

	Fixes #68759
	
	* mail-account-gui.c (service_check_supported): fix typo in
	routine name

2004-12-08  Hans Petter Jansson  <hpj@novell.com>

	* importers/pine-importer.c: Include <libebook/e-destination.h> from
	evolution-data-server.

2004-12-08  Rodney Dawes  <dobey@novell.com>

	* em-folder-tree.c:
	* mail-component.c (impl__get_userCreatableItems): 
	Use stock_new-dir instead of stock_folder for "New Folder" creation

2004-12-07  Mengjie Yu  <meng-jie.yu@sun.com>

	* mail-config.glade: add mnemonic for buttons, labels, etc.
	* mail-dialogs.glade:add mnemonic for buttons, labels, etc.
	* message-tags.glade:add mnemonic for buttons, labels, etc.

2004-12-08  Not Zed  <NotZed@Ximian.com>

	* mail-component-factory.c (make_factory): and put them here
	instead so they're available even when the mailer isn't activated
	yet.

	* mail-component.c (mc_startup): remove plugin hook registrations.

2004-11-22  Not Zed  <NotZed@Ximian.com>

	* em-account-editor.c (emae_receive_options_extra_item): dont
	track containee widgets anymore, they are automagically destroyed
	by the container if required.

2004-11-25  Radek Doulik  <rodo@ximian.com>

	* em-junk-filter.c (em_junk_sa_test_spamd): do not call gconf here
	as we may be called from worker thread
	(em_junk_filter_get_plugin): read alternative spam[cd] binaries
	paths here, use init lock to be sure no one is accessing spam[cd]
	binaries paths

	Fixes #69623

2004-12-01  Mengjie Yu  <meng-jie.yu@sun.com>

	* em-account-editor.c:according to the HIG, remove accelerators in 
	the notebook tab labels 

2004-12-01  Mengjie Yu  <meng-jie.yu@sun.com>

	* em-account-editor.c: (emae_option_toggle),
	(emae_receive_options_item):add mnemonic for buttons.
	* em-format-html-display.c: (efhd_attachment_button):add atk name
	for the popup button.
	* mail-account-gui.c: (mail_account_gui_build_extra_conf):add 
	access key for checkbox.
	* message-list.c: (message_list_construct):add a atk name for the
	message list.

2004-11-22  Not Zed  <NotZed@Ximian.com>

	** See bug #69339.

	* em-format-html.c (efh_format_do): after closing the base output
	stream, re-loop if more jobs were queued.

2004-11-19  Not Zed  <NotZed@Ximian.com>

	** See bug #69339.

	* em-format-html.c (efh_format_do): close the stream/html after we're
	finished, since the multipart/related stuff may write more content
	for orphaned attachments.

2004-11-23  Not Zed  <NotZed@Ximian.com>

	** See bug #69579.

	* em-folder-properties.c (em_folder_properties_show): check to see
	if the vfolder is the unmatched folder before letting the user try
	to see its properties.

2004-11-30  Not Zed  <NotZed@Ximian.com>

	** See bug #68958.

	* em-folder-browser.c (emfb_list_built): if the pending selected
	uid isn't in the folder (yet), don't clear it, just keep it
	around.  Hook/unhook folder_changed events.
	(emfb_folder_changed, emfb_gui_folder_changed): if a select_uid is
	set, and the message is now available, then select it.

2004-11-28	S.Ã?aÄ?lar Onur <caglar@uludag.org.tr>

	** See bug #69446.

	* evolution-2.0.2/mail/mail-account-gui.c (mail_account_gui_setup): 
	some strcasecmp() calls changed with g_ascii_strcasecmp() for Turkish
	character conversiton problems [ http://www.i18nguy.com/unicode/turkish-i18n.html ]

2004-11-26  JP Rosevear  <jpr@novell.com>

	* em-format.c: wrap printf's in debug defines

2004-11-26  JP Rosevear  <jpr@novell.com>
	
	* em-format-html-display.c (efhd_xpkcs7mime_button): get image
	widget directly from icon factory

	* mail-send-recv.c (build_dialog): ditto
	
2004-10-12  Radek Doulik  <rodo@ximian.com>

	* em-junk-filter.c: when starting new spamd, call it with
	--socketpath parameter to use unix sockets instead of opening TCP
	port. kill such started daemon in finalize callback which is
	installed by atexit. also try to respawn spamd in case spamc
	returns error, if respawning is too fast (8 restarts in last 5
	minutes) fallback to spamassassin

	* mail-component.c (impl_quit): call mail_session_quit

	* mail-session.c (mail_session_init): call junk plugin init
	(mail_session_quit): new method, called on evo exit

2004-11-22  Joan Sanfeliu  <joan@fibranet.com>

	* mail-config.glade : Evolution word spelled with an uppercase E

	Fixes #61065

2004-11-16  Not Zed  <NotZed@Ximian.com>

	* Makefile.am:
	* importers/Makefile.am: Removed camel linking.

2004-11-15  Not Zed  <NotZed@Ximian.com>

	* *.c: Moved various things from e-util to libedataserver.

	* GNOME_Evolution_Mail.server.in.in: remove the startup wizard stuff.

	* mail-config-druid.[ch]:
	* mail-account-editor.[ch]:
	* mail-account-gui.[ch]: removed & deleted.

	* mail-session.c (mail_session_init): and here too.
	* em-migrate.c (em_migrate_1_4): init camel-provider library too.
	(e_path_to_physical): copy from e-util/e-path.c.

	* Makefile.am (libevolution_mail_la_LIBADD): link to new libcamel
	provider too.

2004-11-12  Not Zed  <NotZed@Ximian.com>

	* filtertypes.xml:
	* vfoldertypes.xml: 
	* searchtypes.xml: Added 'match all' rules.

	** Merge in notzed-messageinfo-branch.

2004-11-11  Radek Doulik  <rodo@ximian.com>

	* em-format-hook.c (emfh_enable): l = g_list_next (l); in inner
	loop instead of g = g_list_next (l).. probably typo after c'n'p

	* em-format.c (em_format_class_remove_handler): in case the old
	handler doesn't exist, remove 'info' handler from type_handler
	table

2004-11-03  Not Zed  <NotZed@Ximian.com>

	* em-folder-view.c (emfv_popup): Fix the popup id.
	
2004-11-03  Not Zed  <NotZed@Ximian.com>

	* em-folder-view.c (emfv_list_done_message_selected): revert
	jeff's last change - we do actually want to know when we couldn't
	load a message.  the crash he was fixing was fixed elsewhere.
	also fix the unref ordering stuff.

	* em-format-html.c (efh_format_timeout): removed the fixme i
	added.

2004-11-01  Not Zed  <NotZed@Ximian.com>

	** See bug #67496.

	* em-format-html.c (efh_text_html): use the base on the emformat
	to calculate our absolute iframe uri.
	(efh_multipart_related): same as emf_multipart_related.

	* em-format.c (emf_multipart_related): remove content-location
	handling, now done in format_part_as.
	(em_format_part_as): track content-base (& absolute
	content-location) of all parts here.

2004-11-02  Not Zed  <NotZed@Ximian.com>

	* em-event.c (eme_target_free, em_event_target_new_message):
	handle NULL folder or message.

2004-11-02  Jeffrey Stedfast  <fejj@novell.com>

	* em-folder-view.c (emfv_list_done_message_selected): Check for
	NULL messages (happens if the message isn't available).

2004-11-02  Radek Doulik  <rodo@ximian.com>

	* em-format-html.c: replace 3 nested html tables used to create
	this gray border around parts content with div block with border
	style
	use shorthand border: property

2004-11-01  Jeffrey Stedfast  <fejj@novell.com>

	* em-account-editor.c: Change the labels back to the same as they
	were in 2.0

2004-11-12  Not Zed  <NotZed@Ximian.com>

	* mail-send-recv.c (auto_account_finalised): fix the callback
	signature.

2004-11-11  Not Zed  <NotZed@Ximian.com>

	* mail-component.c (mc_add_store):
	(mc_add_store_done): Let the counters know about the junk/trash
	folders that have already been opened.

	* em-vfs-stream.[ch]: Added stream class to read/write gnome-vfs
	data from camel.  NFI if this will work, depends on how
	thread-safe gnome-vfs is.

2004-11-08  Not Zed  <NotZed@Ximian.com>

	* mail-vfolder.c (uri_is_spethal): fix the special check for local
	folders.

2004-10-30  Not Zed  <NotZed@Ximian.com>

	* */*.c, *.c: camel api changes.

2004-10-28  Not Zed  <NotZed@Ximian.com>

	* mail-folder-cache.c (real_flush_updates): 
	* em-message-browser.c (em_message_browser_new): 
	* em-mailer-prefs.c (em_mailer_prefs_construct): 
	* em-format-html-display.c (efhd_attachment_popup): 
	* em-folder-view.c (emfv_popup, emfv_list_done_message_selected) 
	(emfv_format_popup_event): 
	* em-folder-tree.c (emft_popup): 
	* em-folder-properties.c (emfp_dialog_got_folder): 
	* em-folder-browser.c (em_folder_browser_new): 
	* em-composer-utils.c (em_utils_reply_to_message): 
	* em-composer-prefs.c (em_composer_prefs_construct): 
	* em-account-editor.c (em_account_editor_construct): added hook
	docs, and cleaned up some of the hook point names.

2004-10-22  Jeffrey Stedfast  <fejj@novell.com>

	* em-folder-tree.c: Give the Rename item a different path than the
	Delete item.

2004-10-22  Not Zed  <NotZed@Ximian.com>

	* em-event.c (eme_target_free): duh, they're camel not gobjects.

	* em-folder-view.c (emfv_list_done_message_selected): added a
	message.reading event.

2004-10-22  Nat Friedman  <nat@novell.com>

	* em-event.c: Add a REPLY_ALL flag to the Message target.
	* em-composer-utils.c (em_utils_reply_to_message): Set the
	REPLY_ALL flag when appropriate.

2004-10-21  Not Zed  <NotZed@Ximian.com>

	* em-composer-utils.c (em_utils_reply_to_message): emit a
	'message.replying' event with a message target.

2004-10-21  Nat Friedman <nat@novell.com>

	* em-event.c (em_event_target_new_message): new target type for
	message-related events.

2004-10-21  Not Zed  <NotZed@Ximian.com>

	* em-folder-view.c (emfv_format_popup_event): put 'evolution' back
	in the popup hook names.

2004-10-19  JP Rosevear  <jpr@novell.com>

	* em-account-editor.c, em-composer-prefs.c, em-config.c,
	em-event.c, em-folder-browser.c, em-folder-properties.c,
	em-folder-tree.c, em-folder-view.c, em-format-hook.c,
	em-format-html-display.c, em-mailer-prefs.c, em-menu.c,
	em-message-browser.c, em-popup.c, message-list.c: convert to
	org.gnome hook names

2004-10-19  JP Rosevear  <jpr@novell.com>
	
	* message-list.c: convert to G_DEFINE_TYPE

2004-10-11  Not Zed  <NotZed@Ximian.com>

	** See bug #67014.

	* mail-errors.xml: added "checking-service" error.

	* em-account-editor.c (em_account_editor_construct): keep track of
	the dialogue
	(emae_editor_destroyed): , and clean up when destroyed.

	* em-account-editor.c (emae_check_authtype)
	(emae_check_authtype_response, emae_check_authtype_done): handle
	checking authtype gui here.

	* mail-config.c (check_service_describe, check_service_check) 
	(check_response, mail_config_check_service): removed.

	* mail-ops.c (mail_check_service): moved here from mail-config,
	and modified to be a re-usable threaded function.

2004-10-18  Not Zed  <NotZed@Ximian.com>

	** See bug #68006.

	* em-folder-view.c (emfv_init): dont ref/sink the invisible.
	(emfv_destroy): just destroy it here.

2004-10-15  Not Zed  <NotZed@Ximian.com>

	* em-composer-utils.c (create_new_composer):
	(em_utils_compose_new_message, forward_non_attached): do noting if
	the composer couldn't be created.  We get a popup from elsewhere
	to let the user know.

2004-10-14  Sivaiah Nallagatla <snallagatla@novell.com>

	* mail-errors.xml : Remove Pango markup from groupwise 
	account setup error message 

2004-10-12  Not Zed  <NotZed@Ximian.com>

	* em-format-html-display.c (efhd_find_handler): use builtin
	handlers (and plugins) always overriding bonobo ones.

2004-10-11  Not Zed  <NotZed@Ximian.com>

	** See bug #67408.

	* em-folder-view.c (emfv_gui_folder_changed): noop if we were
	destroyed.
	(emfv_destroy): set destroyed bit.

2004-10-11  Not Zed  <NotZed@Ximian.com>

	* mail-component.c (mc_startup): register the formatter types
	before registering the formatter hook.

2004-10-08  JP Rosevear  <jpr@novell.com>
 
	* mail-account-gui.c (browse_clicked): use "Select a file"
	
2004-10-08  Harry Lu  <harry.lu@sun.com>

	* em-folder-tree.c: (em_folder_tree_class_init), (real_popup_menu),
	(emft_popup_menu), (emft_tree_button_press): implement popup_menu
	so that popup menu can be shown with Shift+F10 on folder tree.
	* em-folder-view.c: (emfv_popup), (emfv_list_key_press):
	same as above.

2004-10-07  Not Zed  <NotZed@Ximian.com>

	* mail-component.c (mc_startup): dont init the base plugin system
	here anymore, only register the hook types for mail hooks.

2004-09-28  Not Zed  <NotZed@Ximian.com>

	* em-composer-utils.c (forward_non_attached): put back in the
	attachment attaching code.  Doesn't work for s/mime and pgp, but
	why bother arguing about it.

2004-10-06  Not Zed  <NotZed@Ximian.com>

	* em-folder-tree.c (emft_get_folder_info__desc): fix busted cast.

	* *.c: e-popup api changes.

2004-10-06  Not Zed  <NotZed@Ximian.com>

	* em-folder-tree.c (emft_tree_button_press): remove some debug
	that made it in accidentally.

2004-10-05  Not Zed  <NotZed@Ximian.com>

	* em-folder-tree.c (emft_popup_copy_folder_selected): remove old
	debug which no longer works.

	** See bug #66991 (related to #64377).

	* em-folder-tree.c (em_folder_tree_set_selected): if we get a NULL
	uri or "", just clear the list.
	(emft_tree_button_press): select the new path as well as move the
	cursor there, otherwise emft_tree_user_event clears the selection.

2004-09-30  David Malcolm  <dmalcolm@redhat.com>

	* em-migrate.c (upgrade_passwords_1_2): fix uninitialised pointer.

2004-09-27  Jeffrey Stedfast  <fejj@novell.com>

	* em-account-editor.c: Changed the SSL option menu labels.

2004-09-21  Not Zed  <NotZed@Ximian.com>

	** See bug #63521.

	* mail-ops.c (fetch_mail_fetch): delete all the messages on the
	server if we're not in keep on server mode and everything worked.
	uncancel ourselves before saving the cache uid since it could be
	cancelled otherwise.

2004-09-24  Not Zed  <NotZed@Ximian.com>

	** See bug #66706.

	* em-subscribe-editor.c: add a sequence number to EMSubscribe and
	the subscribe_msg structures.  NOOP if the sequence has changed in
	all callbacks.  up the sequence number when we refresh.

2004-09-20  Not Zed  <NotZed@Ximian.com>

	** See bug #65329.

	* em-folder-tree-model.c (emft_is_special_local_folder): added
	helper for finding local folders for translation.
	(em_folder_tree_model_set_folder_info): translate the special
	local folder names.

	* mail-component.c: mark standard folder names for translation.

2004-09-23  Not Zed  <NotZed@Ximian.com>

	** See bug #65058 (again again).

	* em-format-html.c (efh_text_html): calculate our location uri
	ourselves (content id).

	* em-format.c (em_format_add_puri): if we have no content-location
	key, don't fallback to any container's location.

2004-09-23  Not Zed  <NotZed@Ximian.com>

	* em-folder-tree.c (emft_get_folder_info__desc): describe the
	get-folder process.  This also makes it cancellable.

	** See bug #64972.

	* em-composer-utils.c (em_utils_reply_to_message): pass the folder
	to guess_account.

2004-09-03  Not Zed  <NotZed@Ximian.com>

	** See bug #65058.

	* em-format-html.c (efh_image): use the content-id rather than
	the uri for tracking our image reference.  Makes more
	sense anyway, its guaranteed unique.

2004-09-21  David Malcolm  <dmalcolm@redhat.com>

	* em-folder-tree-model.c (em_folder_tree_model_set_selected): Fix
	a typo setting the root node.

2004-09-09  Jeffrey Stedfast  <fejj@novell.com>

	* em-message-browser.c (emmb_set_message): Ignore the
	emfv->mark_seen for deciding whether or not to mark the message as
	seen. Fixes bug #65448.

2004-09-09  Jeffrey Stedfast  <fejj@novell.com>

	* mail-account-gui.c (mail_account_gui_new): If built with
	gtkfilechooser support, we need to add a checkbox in the chooser
	so that the user can select files or folders (allowing him to
	choose - otherwise they won't be able to setup certain types of
	accounts). Fixes bug #64974.

2004-09-12  JP Rosevear  <jpr@novell.com>

	Fixes #65703
	
	* em-popup.c: use proper stock icon name

2004-09-08  Not Zed  <NotZed@Ximian.com>

	** See bug #60515.

	* mail-account-gui.c (sig_fill_menu): connect to the activate
	signal for the none item.

2004-09-03  Not Zed  <NotZed@Ximian.com>

	** See bug #59717.

	* mail-config.c (mail_config_check_service): Make the dialog
	modal.  Not ideal but a problem with the way the function works,
	it should be fully async instead.

2004-09-01  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #63377 and prevention of similar cases.

	* em-format.c (emf_finalise): Free the default_charset.
	(emf_format_clone): Clone the default_charset - this prevents the
	particular crash described in bug #63377.

	* em-utils.c (em_utils_message_to_html): If source is NULL, set
	our own default charset (from the user's gconf key) on the
	formatter to make sure there's always a source charset for
	conversion to UTF-8.

2004-08-30  Jeffrey Stedfast  <fejj@novell.com>

	* em-folder-tree.c (emft_popup_delete_folder): Set the store and
	full_name info on the dialog.
	(emft_popup_delete_response): Use the requisite data stored on the
	dialog object rather than examining the selection again. Fixes bug
	#62665.

2004-08-30  Not Zed  <NotZed@Ximian.com>

	** See bug #64377.

	* em-folder-selector.c (emfs_response): only set the uri if we
	have one to set.

	* em-folder-tree.c (em_folder_tree_finalize): Removed
	cose using selected_path and selected_uri strings.
	(emft_popup_new_folder): "
	(emft_popup_copy_folder_selected): "
	(emft_tree_selection_changed): 
	(emft_tree_row_activated): ", free paths after use.

	* em-folder-selector.c (emfs_create_name_changed): free
	get_selected_uri return.
	(emfs_create_name_activate): "
	(em_folder_selector_get_selected_path): handle api change, store
	the selected_path too.

	* em-folder-tree.c (em_folder_tree_get_selected_uri):
	de-constify,and get the selection directly from the tree.
	(em_folder_tree_get_selected_path): same.

2004-08-27  Not Zed  <NotZed@Ximian.com>

	** See bug #63456.

	* message-list.c (main_folder_changed): noop if the async_event
	pointer is NULL which can happen during destroy.

2004-08-27  JP Rosevear  <jpr@novell.com>

	* importers/mail-importer.c (import_folders_rec): utf8_filename
	should be char * not char

2004-08-27  Hans Petter Jansson  <hpj@ximian.com>

	* em-utils.c (emu_can_save): Don't crash if we're passed a NULL
	path. GtkFileChooser can return NULL filenames that get passed
	to this function.

2004-08-26  Christian Neumair  <chris@gnome-de.org>

	* GNOME_Evolution_Mail.server.in.in:
	Don't mark component menu accel for translation.

2004-08-24  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #63177

	* em-folder-tree.c (emft_drop_async_drop): Check full_name == NULL
	rather than full_name[0] since store's have NULL full_names, not
	empty string (like they used to).
	(emft_drop_folder): Same.
	(tree_drag_data_received): Don't abort the drop if the user
	dropped on a store, this is allowed (depending on the store).

2004-08-25  Not Zed  <NotZed@Ximian.com>

	* mail-component.c (store_info_new): only open the trash or junk
	if they're vfolders here.  Some stores that implement their own
	trash folders are unacceptably slow to open otherwise.

2004-08-25  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* importers/evolution-mbox-importer.c (load_file_fn):

	* importers/evolution-outlook-importer.c (load_file_fn):

	* importers/mail-importer.c (import_folders_rec): Convert filename
	to UTF-8 from local encoding before displaying it.

2004-08-23  Not Zed  <NotZed@Ximian.com>

	* em-folder-tree.c (em_folder_tree_set_selected): store the
	select-uri on the view not in the thread message.
	(emft_get_folder_info__free):
	(emft_get_folder_info__got): select_uri removed.
	(em_folder_tree_set_selected_list): don't set each selected
	separately, do it as a list.
	(emft_maybe_expand_row): if this is a selected row, select it too.
	(emft_get_folder_info__got): do no pending set selection stuff
	here.
	(em_folder_tree_set_selected): just call set_selected_list with
	one item.
	(emft_expand_node): if this is a selected row, select it too.
	(emft_get_folder_info__got): no longer need to track lost folders.
	(emft_tree_row_activated): clear the pending select list.
	(emft_tree_selection_changed): and here too.
	(em_folder_tree_get_selected_uris): get the lost folders from the
	un-applied selected ones now.  also fixes a list appending error.
	(emft_tree_user_event): find out when the user hits a key or mouse
	button to override any pending single-user select and don't
	override the cursor setting either.
	(emft_tree_row_expanded): set the 'load subdirs' false before we
	load it, so we don't try to load it again if its still being
	loaded.
	(emft_get_folder_info__got): don't check the loaded flag here, it
	should be set by the callee, also check the exception return.

2004-08-13  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #62812

	* em-format-html-display.c (em_format_html_display_search): Set
	the search_dialog to be transient for the parent window and make
	sure to destroy the search_dialog when the parent gets destroyed.

2004-08-21 Sivaiah Nallagatla <snallagatla@novell.com>

	* mail-erros.xml: changed the groupwise account setup error
	message

2004-08-16  Not Zed  <NotZed@Ximian.com>

	** See bug #62963.

	* message-list.c (build_tree, build_flat): define selected in
	declaration block, not inline. Spotted by Vincent Noel
	<vnoel@cox.net>

2004-08-13  Not Zed  <NotZed@Ximian.com>

	* em-utils.c (em_utils_message_to_html): don't include the
	terminating NUL in the data length.
	(em_utils_part_to_html): nor here.

2004-08-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* em-utils.c: Optionally use GtkFileChooser if compiled against
	Gtk+ >= 2.4.0

	* mail-config.glade: added the "use_filechooser" property to the
	various GnomeFileEntries

2004-08-10  Jeffrey Stedfast  <fejj@novell.com>

	Partial fix for bug #62771

	* em-format-quote.c (emfq_format_header): Same.

	* em-format-html.c (efh_format_header): Decode the
	X-Mailer/User-Agent headers.

2004-08-10  Not Zed  <NotZed@Ximian.com>

	* mail-session.c (get_password): just call
	e_passwords_ask_password directly.
	(pass_activate, pass_response, request_password, do_get_pass)
	(do_free_pass, main_forget_password): no longer required as
	e_password now handles the magic, and is thread safe.

	* mail-config.c (mail_config_write_on_exit): epasswords api
	change.

2004-08-06  Jeffrey Stedfast  <fejj@novell.com>

	* em-folder-tree-model.c (em_folder_tree_model_get_selected):
	Return NULL not FALSE on error.

2004-06-08  Karsten BrÃ€ckelmann  <guenther@rudersport.de>

	* em-format-html-display.c (smime_encrypt_table[4]): minor typo,
	uppercase 'the' corrected.

2004-08-03  Jeffrey Stedfast  <fejj@novell.com>

	* em-composer-utils.c (format_sender): If type="{Sender}" and name
	is an empty string, use the addr. Fixes bug #62377

2004-08-01  JP Rosevear  <jpr@novell.com>

	* default/C/Inbox: Update to just call us "Evolution" and be more
	accurate about the new features included

2004-07-29  Sivaiah Nallagatla <snallagatla@novell.com>

	* mail-errors.xml: add the error message needed for groupwise
	account setup

2004-07-28  Not Zed  <NotZed@Ximian.com>

	** See #61958.

	* mail-folder-cache.c (real_flush_updates): remove the soreinfo
	lookup, it isn't used anywhere anymore.
	(mail_note_folder): hook onto the events outside of the lock, and
	don't pass the mfi pointer anymore.
	(mail_note_store): hook onto the events outside of the lock.
	(folder_changed, folder_finalised, folder_renamed): lookup the mfi
	if needed, it is no longer passed to the callback.
	(unset_folder_info): change unhook calls for new parameters.

2004-07-28  Not Zed  <NotZed@Ximian.com>

	** See #61940.

	* em-composer-utils.c (composer_set_body): add emformat source arg.
	(em_utils_reply_to_message): take source arg.  Fixed callers.

	* em-utils.c (em_utils_message_to_html): take a source formatter
	argument, so we can copy/honour settings from it.
	(em_utils_part_to_html): similar.

2004-07-27  Not Zed  <NotZed@Ximian.com>

	** See #57972.

	* message-list.c (search_func): removed.
	(ml_search_path): new function to just search, not actually change
	the cursor like e_tree_find does.
	(message_list_can_select): new function, returns true if the
	selection specified is possible without changing the selection.
	(message_list_select): rewritten.
	(select_path): helper to select a path in a way that 'works
	reliably'.
	(message_list_select_next_thread): rewritten to use the
	table-adapter, so it properly handles arbitrary sorting.

	* em-folder-view.c (em_folder_view_get_popup_target): setup
	next/prev flags as appropriate.
	(emfv_enable_map[]): setup next/prev flags.

	* em-folder-view.h: added last and first message status bits to
	folder view select mask.

2004-07-23  Radek Doulik  <rodo@ximian.com>

	* added len parameter to em_utils_part_to_html and
	em_utils_message_to_html. it is used to return length of returned
	buffer. we use that info later when setting composer body content.

2004-07-22  Not Zed  <NotZed@Ximian.com>

	* mail-component.c (impl_createControls): dont call
	e_error_default parent here, we dont have access to the toplevel
	yet.

2004-07-23  Not Zed  <NotZed@Ximian.com>

	** See bug #61824.

	* em-popup.c (emp_part_popup_reply_sender)
	(emp_part_popup_reply_list, emp_part_popup_reply_all): use new
	api.  We have no uid/folder to update here.

	* em-folder-view.c (emfv_message_reply): use new api for replying
	so we can supply the message content and have flags updated.

	* em-composer-utils.c (em_utils_reply_to_message): added optional
	folder and uid.
	(em_utils_reply_to_message_by_uid): removed, use the other
	interface instead.
	(reply_to_message): just call reply_to_message if we get a message
	to reply to.
	(em_utils_reply_to_message): if no message supplied, load it via
	the uid.

2004-07-22  Not Zed  <NotZed@Ximian.com>

	* em-utils.c (em_utils_part_to_html, em_utils_message_to_html):
	set the session on the formatter.  See #61767.

2004-07-22  Not Zed  <NotZed@Ximian.com>

	** See bug #61747.

	* message-list.c (search_func): don't emit a message_selected here
	(god knows why we did?).  Don't update cursor_uid either, just
	clear it.
	(message_list_select): select the path if we find it here, causing
	the cascade of selection action.

2004-07-19  Jeffrey Stedfast  <fejj@novell.com>

	* em-migrate.c (em_migrate_folder): Free uri and name
	strings. Fixes a leak.

2004-07-13  Jeffrey Stedfast  <fejj@novell.com>

	* em-folder-view.c (emfv_message_reply): Chck that the selection
	is active. Hopefully this will fix bug #61427.

2004-07-13  Dan Winship  <danw@novell.com>

	* em-utils.c (em_utils_selection_set_urilist):
	(em_utils_temp_save_part): free return value from e_mkdtemp

2004-07-09  Not Zed  <NotZed@Ximian.com>

	* em-folder-browser.c (emfb_folder_expunge): only call expunge if
	the folder is set.
	(emfb_enable_map[]): only enable expunge menu item if we have a
	valid folder set.

	** See bug #60900.

	* em-format-html.c: convert the text_inline_parts hash to be keyed
	off the partid.
	(efh_free_inline_parts): -> efh_free_cache and fix to do it.

	* em-format.c (emf_free_cache): make the inline table cache other
	info too based on partid, this frees the structure.
	(emf_clone_inlines): copy all of the cache data.
	(em_format_is_inline): use the new data structure to determine
	state.
	(em_format_set_inline): same for setting.
	(emf_multipart_signed): cache/lookup the cached part.
	(emf_insert_cache): helper to add a cache entry.
	(emf_multipart_encrypted): cache decrypted part.
	(emf_application_xpkcs7mime): same.

2004-07-08  Not Zed  <NotZed@Ximian.com>

	** See bug #60900 (related only).

	* em-format-html-display.c (efhd_attachment_show): let set_inline
	do the redraw itself if required.  kill some dead code.

	* em-format.c (em_format_set_inline): trigger a redraw here like
	the other em_format_set methods, if the state changed.

	* em-format.c (emf_format_clone): free inline table keys & setup
	string hash table.

	* em-format-quote.c (emfq_format_attachment): 
	* em-format-html-display.c (efhd_format_attachment): 
	* em-format-html.c (efh_format_attachment): is_inline api changes.

	* em-format-html-display.c (efhd_attachment_show): set_inline api
	changes.

	* em-format.c (em_format_is_inline): make this use the partid
	rather than the part address as a key, which may change.
	(emf_init): make the inline talbe a string hashtable.
	(emf_finalise): free inline keys.
	(emf_clone_inlines): copy the key string.

2004-07-07  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #61199.

	* em-format-html.c (efh_format_address): Same.

	* em-format-quote.c (emfq_format_address): Make sure 'real' isn't
	NULL before using.

2004-07-08  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* Makefile.am:
	tarball should ship .schemas.in.in files, not generated files.

2004-07-02  JP Rosevaer  <jpr@novell.com>

	* Makefile.am (SUBDIRS): Revert previous error change

2004-09-10  Not Zed  <NotZed@Ximian.com>

	* em-*: various doco updates.

	* em-format-quote.c (emfq_builtin_init): instead of removing the
	type, just add an override noop.  Changed api's.

2004-09-09  Not Zed  <NotZed@Ximian.com>

	* em-format.c (em_format_class_remove_handler): Change this to use
	the original structure only, not by type.

	* em-format-hook.c (emfh_enable): implement hook enablation.

2004-09-07  Not Zed  <NotZed@Ximian.com>

	* em-account-editor.c (emae_setup_providers): set the provider
	shown selected on the store as well.

	* mail-config.glade: moved the druid 'help text' directly into the
	glade file.

	* em-account-editor.c (emae_check_complete): add pre-load for
	management page options.

	* em-utils.c (em_utils_configure_account): remove use of
	mail-config-druid.

	* em-account-editor.c (emae_remove_childen): removed.
	(*): removed service->url, always get it from/set it to the
	e-account so it doesn't have side-effects with plugins.

	* mail-dialogs.glade: fix up the names of the various license
	dialog fields.

2004-09-06  Not Zed  <NotZed@Ximian.com>

	* em-account-editor.c (emae_receive_options_extra_item): store the
	config widgets in the item entry itself.
	(emae_auto_detect): wasted a whole lot of time on this crap.

	* em-account-prefs.c (account_able_clicked): removed some redundant logic.

	* mail-send-recv.c (mail_autoreceive_setup): renamed to
	mail_autoreceive_init and rewrote all the callbacks.  now it
	listens to events on the accountlist directly and doesn't need
	invoking manually.  It also runs relative to the account always,
	rather than copying the uri.  Removed all callers except the mail
	component one.

	* em-account-editor.c (em_account_editor_provider_selector_new):
	removed becaus eof below.
	(em_account_editor_construct): copy the account to a working
	object if supplied, else create a new one.

	* mail-config.glade: make the provider selectors just use
	em_account_editor_dropdown new for the dropdown menu.

	* em-account-editor.c (prepare_signatures): removed, merged into
	the identity page code.
	(sig_fill_menu): removed.
	(emae_setup_signatures): new function to setup signatures on a
	gtkcombobox.
	(clear_menu): removed.
	(signature_changed): removed.
